2013-09-21  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/prg/compton.jl: improve translucency for
	shadow settings [fuchur]

	* lisp/sawfish/wm/tabs/tabgroup.jl: make all inactive tabs
	shaded [fuchur]

	* themes/StyleTab/theme.jl: update for recent changes [fuchur]

2013-09-17  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/prg/compton.jl: improve support for xinerama setups
	[fuchur]

2013-09-16  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/prg/compton.jl: fixup support for
	xinerama shadow cropping, improve support for tabs [fuchur]

	* lisp/sawfish/wm/tabs/tabgroup.jl: add tab-group-windows-hook,
	returning all windows in the current tabgroup [fuchur]

2013-09-14  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/prg/compton.jl: improved working with shadows,
	don't draw shadows for tabbed windows by default, but provide an
	option to force to do so. Also add options to only draw shadows
	for specific window-types. Added no-shadows window-matcher. [fuchur]

2013-09-12  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/prg/compton.jl: added full featured integration
	of the compton compositing manager

	* lisp/sawfish/wm/user.jl: load sawfish.wm.prg.compton

	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/state/transient.jl: make 'focus-when-mapped matcher
	chooseable from 'never 'maybe and 'always. 'never is suggested for
	KDE users to prevent notification popups to take focus from currently
	active window (and possibly loosing keyboard input) [fuchur]

	* doc/AUTOSTART
	* man/news.texi: updated

	* lisp/sawfish/wm/tabs/tabgroup.jl
	* lisp/sawfish/wm/match-window.jl: add force-tab window-matcher,
	forcing a window to be tabbed [fuchur]

	* lisp/sawfish/wm/workspace.jl: remember window properties after
	switching workspaces (especially unmaximize-geometry and such) [fuchur]

	* lisp/sawfish/wm/ext/match-window.jl: add window-type window-matcher.
	This allows you to change the _NET_WM_TYPE of a window. Specification
	explicitly state that the client is not allowed to do so. Still, we
	provide this ability in case of bogus applications or testing purposes,
	it is neither desired nor required for normal work. [fuchur]

2013-05-02  Vedat Hallac <vedat@hallac.net>
	* lisp/sawfish/gtk/widget.jl: fix make-choice-item to properly support
	crux theme settings

2013-04-26  Christopher Roy Bratusek <nano@tuxfamily.org>
	* web/*.{html,png}: add files from http://sawfish.tuxfamily.org/

	* .tx/config: updated transifex config

	* po/ru.po: updated russian translation (Alexey516)

	* po/pt_BR.po: updated brazilian portuguese translation (Sandro)

2013-04-25  Christopher Roy Bratusek <nano@tuxfamily.org>
	* debian/changelog
	* configure.in: bump version to 1.9.91 "Steam Train"

	* man/news.texi: update

2013-04-16  Jose Antonio Ortega Ruiz <jao@gnu.org>
	* lisp/sawfish/wm/tile/tiler.jl: make never-tile window-matcher work
	properly, notify user when switching tiling-mode

	* lisp/sawfish/wm/tile/column.jl: #:resize predicate (whether windows
	should be resized to fit into columns)

2013-04-16  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/tile/tiler.jl: fix erroring when destroying last
	tileabe window

2013-04-15  Jose Antonio Ortega Ruiz <jao@gnu.org>
	* lisp/sawfish/wm/tile/tall.jl: #:right predicate (locate
	master-window on the right instead of left), #:master predicate (set
	what window can be the master-window in tall tiling)

2013-04-02  Christopher Roy Bratusek <nano@tuxfamily.org>
	* debian/control: make package sawfish depend on rep and rep-gtk

2013-03-30  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/ext/expose.jl: remove. We now have sawfish.wm.tile.*

	* lisp/sawfish/wm/edge/actions.jl
	* lisp/sawfish/wm/edge/conf.jl
	* lisp/sawfish/wm/edge/misc.jl
	* lisp/sawfish/wm/tile/tiler.jl
	* lisp/sawfish/wm/tile/utils.jl
	* lisp/sawfish/wm/ext/cabinet.jl: remove all references to sawfish.wm.ext.expose

	* lisp/sawfish/wm/match-window.jl: replace never-expose by never-tile

	* lisp/sawfish/wm/tile/utils.jl: add window-never-expose-p

	* lisp/sawfish/wm/tile/cols.jl: add increase-max-cols, decrease-max-cols,
	  minor fixups in col-tiler

	* lisp/sawfish/wm/tile/tile.jl: export increase-max-cols, decrease-max-cols,
	  window-never-expose-p

	* lisp/sawfish/wm/tile/tall.jl: don't error in tall-rotate-left and
	  tall-rotate-right if there are not enough windows for rotation

	* README: fixed my mail address

	* configure.in: small capitalization string-change

	* man/news.texi: update + changed tiling example.

	* lisp/sawfish/wm/tile/readme.org: update

2013-03-21  Robert Zenz <Bobby@bonsaimind.org>
	* themes/mxflat/theme.jl: Fixed $height-content and
	$width-content not being replaced in title.

2013-01-12  Christopher Roy Bratusek <nano@tuxfamily.org>
	* debian/changelog: update

	* debian/control: add dh-autoreconf as dependency

2012-12-01  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/tile/utils.jl: don't tile non-default windows

2012-11-27  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/tile/utils.jl: make tall-tiler support inexact
	values for master-window-width by making push-window failsafe

2012-11-26  Christopher Roy Bratusek <nano@tuxfamily.org>
	* src/windows.c: cap max-width / max-height of a window, if it exceeds
	32767 (X11 maximum) -- fixes odd window-behaviour with Firefox 17
	(original patch by Michael Panteleit)

	* lisp/sawfish/wm/tile/tile.jl
	* lisp/sawfish/wm/tile/col.jl
	* lisp/sawfish/wm/tile/tiler.jl
	* lisp/sawfish/wm/tile/utils.jl
	* lisp/sawfish/wm/tile/tall.jl: moved tiling from next-lisp/ into
	main-tree. Some minor fixups. Don't tile windows that are marked,
	ignored, dock, never-expose or are invisible. Original code: Jose A.
	Ortega Ruiz, modifications: Christopher Roy Bratusek

2012-11-03  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/util/keymap.jl: Revert "read-event now grabs pointer
	instead of keyboard." -- fixes grabbing keys doesn't always work

	* configure.in
	* src/fonts.c: no longer depend on pangoX -- not shipped in recent
	versions anymore (reported in Fedora, Arch). Either use PangoXFT or
	plain XFT (patch from Fedora)

2012-09-29  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/gtk/widget.jl: modified xdg widget to check for
	~/.sawfish/rc, too, if ~/.sawfishrc was requested (or vice versa)

	* lisp/sawfish/wm/custom.jl: removed some useless doc strings

2012-09-28  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/custom.jl: add some useful widgets to the main group
	of SawfishConfig (replacing bottom-buttons)

	* lisp/sawfish/gtk/widgets.jl: new defcustom-widgets: 'label, 'link,
	'xdg and 'shell

	* lisp/sawfish/cfg/shell.jl: removed some buttons from the bottom of
	SawfishConfig

2012-09-16  Christopher Roy Bratusek <nano@tuxfamily.org>
	* next-lisp/Undo-viewport.jl
	* next-lisp/sawflibs
	* next-lisp/sawflibs/readme.org
	* next-lisp/sawflibs/tile
	* next-lisp/sawflibs/tile/col.jl
	* next-lisp/sawflibs/tile/tall.jl
	* next-lisp/sawflibs/tile/tiler.jl
	* next-lisp/sawflibs/tile/utils.jl
	* next-lisp/sawflibs/tile.jl
	* next-lisp/sawflibs/utils.jl
	* next-lisp/undo.jl
	* next-lisp/uptimes.jl: added stuff marked for inclusion into Sawfish.
	NOTE: none of those modules is yet ready!

	* AUTOSTART
	* KEYBINDINGS
	* OPTIONS
	* XSettings: moved into doc/

	* man/Makefile.in: build FAQ and USERDOC in ../doc/, do gitclean for docs
	here rather than in Makefile.in

	* sawfish.pc.in
	* sawfish.spec.in
	* sawfish.ebuild.in
	* sawfish.desktop
	* sawfish-ksm.desktop
	* sawfish-session.desktop
	* sawfish-wm.desktop: moved into data/

	* sawfish.doap: removed (a relict from git.gnome.org)

	* debian/clean: removed (no longer needed)

	* debian/rules: call distclean rather than debclean

	* Makefile.in: remove debclean rule (no longer needed), improved distclean
	and gitclean rules, added export rule

	* themes/Makefile.in: improved distclean rule

	* debian/rules
	* data/sawfish.ebuild.in
	* data/sawfish.spec.in
	* configure.in: updated for above changes

2012-09-13  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/frames.jl: fixed cursor definitions in defcustoms
	(replace ll_angel with correct ll_angle, sb_bottom_arrow by
	sb_down_arrow and sb_top_arrow by sb_up_arrow). Set maximium width for
	custom-border-width in SawfishConfig to 10 [fuchur]

	* configure.in: bump version to 1.9.90

	* man/news.texi: updated

	* lisp/sawfish/wm/autoload.jl: removed non-existent entry

	* lisp/sawfish/wm/user.jl: give root window 'WINDOW_MANAGER property
	with value "sawfish" on startup

2012-09-12  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/user.jl: simplified sawfish.wm.prg.* startup

	* man/news.texi: updated

2012-09-11  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/prg/xsettingsd.jl: use xsettingsd-config in
	start-xsettingsd

	* lisp/sawfish/wm/prg/pancake.jl: pancake module, handles a pancake
	instance during a sawfish session.

	* lisp/sawfish/wm/prg/fehlstart.jl: fehlstart module, handles a
	fehlstart instance during a sawfish session.

	* man/news.texi
	* AUTOSTART: updated

	* lisp/sawfish/gtk/widgets/image.jl: make 'image widget more robust

	* lisp/sawfish/wm/ext/wallpaper.jl: improved wallpaper setter. Option
	for setting on start added

	* lisp/sawfish/wm/user.jl: handle autostart for fehlstart, pancake and
	wallpaper

	* lisp/sawfish/wm/menus.jl: make "Sawfish Rootmenu" label an
	insensitive menu-item, so that clicking it while the root-menu pops-up
	doesn't make the menu dissapear immediately in some cases

2012-09-09  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/prg/trayer.jl: a dozen of defcustoms

	* lisp/sawfish/wm/prg/xgamma.jl
	* lisp/sawfish/wm/prg/xmobar.jl
	* lisp/sawfish/wm/prg/xmodmap.jl
	* lisp/sawfish/wm/prg/xsettingsd.jl: some :depends in defcustoms

	* AUTOSTART: updated for trayer

	* lisp/sawfish/wm/user.jl: updated

2012-09-08  Christopher Roy Bratusek <nano@tuxfamily.org>
	* configure.in: bump required librep to 0.92.3 (sawfish.wm.prg.*
	requires new 'program-exists-p' from 'rep.util.misc'.

	* lisp/Makefile.in: add sawfish/wm/prg subdir

	* lisp/sawfish/wm/prg/trayer.jl: trayer module. handles a trayer
	instance during a sawfish session.

	* lisp/sawfish/wm/prg/xmobar.jl: xmobar module, handles a xmobar
	instance during a sawfish session.

	* man/news.texi: updated

	* lisp/sawfish/wm/xmodmap.jl: xmodmap module, supports loading a
	modmap file, saving original state and restoring original state

	* lisp/sawfish/wm/xsettingsd.jl: xsettigsd module, handles a
	xsettingsd instance during a sawfish session

	* lisp/sawfish/wm/xgamma.jl: xgamma module, allows changing gamma
	settings from sawfishrc

	* AUTOSTART: doc file that explains use of sawfish.wm.prg.* modules

	* XSettings: example configuration file for xsettingsd

	* lisp/sawfish/wm/user.jl: handle loading/auto-starts of
	sawfish.wm.prg.* modules

2012-09-06  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/state/transient.jl: :after-set for
	decorate-transients

	* lisp/sawfish/wm/menus.jl: make menus-include-shortcuts a defcustom
	again.

	* lisp/sawfish/wm/util/nokogiri.jl: make customize-show-symbols a
	defcustom again.

	* lisp/sawfish/wm/util/compat.jl: remove menus-include-shortcuts,
	customize-show-symbols from compat list to make defcustom work.

	* lisp/sawfish/wm/menus.jl: use resize-window-prompt in
	window-ops-menu, as resize-window-to-dimensions has been removed more
	than a year ago -.-

	* lisp/sawfish/wm/commands/move-resize.jl: completely new
	resize-window-prompt func. now displays old width and old height
	before prompting and checks whether given values actually are numbers.

2012-09-05  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/util/compat.jl: remove decorate-transients from compat
	list (defcustom works now)

2012-09-04  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/state/transient.jl: make decorate-transients a
	defcustom.

	* lisp/sawfish/wm/tabs/tab.jl: improve check-win. Always rebuild list
	of marked windows when a marked window is closed. [fuchur]

	* lisp/sawfish/wm/tabs/tabgroup.jl: add frame-style-tabs-support-p.
	Only allow tabbing a window, if the frame-style of the parent window
	has support for tabs [note that in Sawfish different windows can have
	different frame-styles!] [fuchur]

	* themes/StyleTab/theme.jl: updated for latest tab changes [fuchur]

	* themes/Elberg-tabbed/theme.jl: support for tab-system as of 1.9.1
	[fuchur]

	* themes/gradient-tabbed/theme.jl: support for tab-system as of 1.9.1
	[fuchur]

	* lisp/sawfish/wm/keymaps.jl: improved default keymap for titlebar and
	tabbar [fuchur]

2012-08-31  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/tabs/tab.jl: add support for coloring a window-title
	in a different color, when a window is marked for tabbing [fuchur]

	* themes/StyleTab/theme.jl: color window-title in a different color,
	when a window is marked for tabbing [fuchur]

	* themes/StyleTab/{Default,Glass,Reduce,Smoothly,WixDa}: updated
	image-sets for StyleTab [fuchur]

	* man/news.texi: updated

	* Makefile.in: also remove NEWS and config.h.in upon gitclean

	* install-sh: updated to 2011-01-19.21

2012-08-30  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/tabs/tabgroup.jl: support for sticky-workspace and
	sticky-viewport in tabs. [fuchur]

2012-08-29  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/tabs/tab.jl: remember default cursor [fuchur]

	* lisp/sawfish/wm/tabs/tabgroup.jl: when one of the tabbed windows is
	sticky and moved by selecting the first tab, it causes a crash. This
	is fixed now. [fuchur]

2012-08-28  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/tabs/tab.jl: allow a whole tabgroup to be added to
	another tabgroup (or a single) window. [fuchur]

	* lisp/sawfish/wm/keymaps.jl: bind tabgroup-add-to-group to
	'C-Button2-Off' in titlebar/tabbar-keymap. [fuchur]

	* lisp/sawfish/wm/tabs/tabgroup.jl: various bugfixes in raising,
	stickying, move-resizeing and tab-index. [fuchur]

	* lisp/sawfish/wm/tabs/tab.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl: only allow
	'_NET_WM_WINDOW_TYPE_NORMAL to be marked as a tabbed window. [fuchur]

	* man/news.texi: update

2012-08-27  Christopher Roy Bratusek <nano@tuxfamily.org>
	* Makedefs.in: include $(repexecdir)/rules.mk as first,
	so that --prefix & co. from configure don't get overwritten.
	[Allin Cottrell]

	* man/news.texi: update

2012-08-23  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/util/marks.jl: removed [fuchur]

	* lisp/sawfish/wm/tabs/tab.jl: implement mark-window here,
	fix an issue that tab didn't work anymore then a window
	selected for tabbing doesn't exist before tabbing was done.
	Change cursor shape when operating with tabs [fuchur]

	* man/news.texi: update

2012-07-11  Christopher Roy Bratusek <nano@tuxfamily.org>
	* debian/*.links: removed, fixed building on Debian Unstable

2012-07-07  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/integration/razor-qt.jl: add 'razor-about' to help
	sub-menu

	* configure.in: bump version to 1.9.1

	* man/news.texi: update

2012-07-05  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/ext/match-window.jl: call resize-window-with-hints*
	rather than resize-window-with-hints (fixes 'dimensions matcher)
	[Robert Zenz]

	* src/images.c: replace gdk_pixbuf_unref with g_object_unref [Togan Muftouglu]

	* src/windows.c: proper return in fake-release-window [Togan Muftouglu]

	COPYING
	lisp/sawfish/cfg/apply.jl
	lisp/sawfish/cfg/config.jl
	lisp/sawfish/cfg/group.jl
	lisp/sawfish/cfg/i18n.jl
	lisp/sawfish/cfg/layout.jl
	lisp/sawfish/cfg/layouts/keymaps.jl
	lisp/sawfish/cfg/main.jl
	lisp/sawfish/cfg/shell.jl
	lisp/sawfish/cfg/slot.jl
	lisp/sawfish/cfg/wm.jl
	lisp/sawfish/gtk/widget.jl
	lisp/sawfish/gtk/widgets/alist.jl
	lisp/sawfish/gtk/widgets/color.jl
	lisp/sawfish/gtk/widgets/command.jl
	lisp/sawfish/gtk/widgets/event.jl
	lisp/sawfish/gtk/widgets/file.jl
	lisp/sawfish/gtk/widgets/font.jl
	lisp/sawfish/gtk/widgets/frame-style.jl
	lisp/sawfish/gtk/widgets/keymap.jl
	lisp/sawfish/gtk/widgets/list.jl
	lisp/sawfish/gtk/widgets/match-window.jl
	lisp/sawfish/gtk/widgets/modifier-list.jl
	lisp/sawfish/gtk/widgets/pair.jl
	lisp/sawfish/gtk/widgets/scheme-boolean.jl
	lisp/sawfish/gtk/widgets/simple-dialog.jl
	lisp/sawfish/wm.jl
	lisp/sawfish/wm/animation/main.jl
	lisp/sawfish/wm/animation/modes.jl
	lisp/sawfish/wm/animation/setup.jl
	lisp/sawfish/wm/autoload.jl
	lisp/sawfish/wm/commands.jl
	lisp/sawfish/wm/commands/cycle.jl
	lisp/sawfish/wm/commands/describe.jl
	lisp/sawfish/wm/commands/groups.jl
	lisp/sawfish/wm/commands/grow-pack.jl
	lisp/sawfish/wm/commands/help.jl
	lisp/sawfish/wm/commands/jump-or-exec.jl
	lisp/sawfish/wm/commands/launcher.jl
	lisp/sawfish/wm/commands/move-cursor.jl
	lisp/sawfish/wm/commands/move-resize.jl
	lisp/sawfish/wm/commands/poweroff.jl
	lisp/sawfish/wm/commands/raise-commands.jl
	lisp/sawfish/wm/commands/size-window.jl
	lisp/sawfish/wm/commands/slide-window.jl
	lisp/sawfish/wm/commands/viewport-linear.jl
	lisp/sawfish/wm/commands/x-cycle.jl
	lisp/sawfish/wm/cursors.jl
	lisp/sawfish/wm/custom-defaults.jl
	lisp/sawfish/wm/custom.jl
	lisp/sawfish/wm/customize.jl
	lisp/sawfish/wm/edge/actions.jl
	lisp/sawfish/wm/edge/conf.jl
	lisp/sawfish/wm/edge/expand.jl
	lisp/sawfish/wm/edge/flip.jl
	lisp/sawfish/wm/edge/hot-spots.jl
	lisp/sawfish/wm/edge/misc.jl
	lisp/sawfish/wm/edge/util.jl
	lisp/sawfish/wm/ext/apps-menu.jl
	lisp/sawfish/wm/ext/audio-events.jl
	lisp/sawfish/wm/ext/auto-raise.jl
	lisp/sawfish/wm/ext/beos-window-menu.jl
	lisp/sawfish/wm/ext/error-handler.jl
	lisp/sawfish/wm/ext/hide-dialogs.jl
	lisp/sawfish/wm/ext/match-window.jl
	lisp/sawfish/wm/ext/mousetrap.jl
	lisp/sawfish/wm/ext/old-window-menu.jl
	lisp/sawfish/wm/ext/shade-hover.jl
	lisp/sawfish/wm/ext/shade-stack.jl
	lisp/sawfish/wm/ext/single-window-mode.jl
	lisp/sawfish/wm/ext/tooltips.jl
	lisp/sawfish/wm/ext/wallpaper.jl
	lisp/sawfish/wm/ext/window-history.jl
	lisp/sawfish/wm/ext/workspace-grid.jl
	lisp/sawfish/wm/focus.jl
	lisp/sawfish/wm/frames.jl
	lisp/sawfish/wm/gaol.jl
	lisp/sawfish/wm/integration/gnome.jl
	lisp/sawfish/wm/integration/kde.jl
	lisp/sawfish/wm/integration/lxde.jl
	lisp/sawfish/wm/integration/mate.jl
	lisp/sawfish/wm/integration/razor.jl
	lisp/sawfish/wm/integration/xfce.jl
	lisp/sawfish/wm/keymaps.jl
	lisp/sawfish/wm/menus.jl
	lisp/sawfish/wm/misc.jl
	lisp/sawfish/wm/placement.jl
	lisp/sawfish/wm/placement/off-center.jl
	lisp/sawfish/wm/placement/smart.jl
	lisp/sawfish/wm/placement/stagger.jl
	lisp/sawfish/wm/placement/top-left.jl
	lisp/sawfish/wm/server.jl
	lisp/sawfish/wm/session/init.jl
	lisp/sawfish/wm/session/load.jl
	lisp/sawfish/wm/session/save.jl
	lisp/sawfish/wm/stacking.jl
	lisp/sawfish/wm/state/configure.jl
	lisp/sawfish/wm/state/iconify.jl
	lisp/sawfish/wm/state/ignored.jl
	lisp/sawfish/wm/state/maximize.jl
	lisp/sawfish/wm/state/mwm.jl
	lisp/sawfish/wm/state/open-look.jl
	lisp/sawfish/wm/state/shading.jl
	lisp/sawfish/wm/state/transient.jl
	lisp/sawfish/wm/state/wm-spec.jl
	lisp/sawfish/wm/swapper.jl
	lisp/sawfish/wm/tabs/tab.jl
	lisp/sawfish/wm/tabs/tabgroup.jl
	lisp/sawfish/wm/theming/make-theme-preview.jl
	lisp/sawfish/wm/theming/make-theme.jl
	lisp/sawfish/wm/user.jl
	lisp/sawfish/wm/util/compat.jl
	lisp/sawfish/wm/util/decode-events.jl
	lisp/sawfish/wm/util/display-window.jl
	lisp/sawfish/wm/util/display-wininfo.jl
	lisp/sawfish/wm/util/edges.jl
	lisp/sawfish/wm/util/font.jl
	lisp/sawfish/wm/util/groups.jl
	lisp/sawfish/wm/util/gtkrc.jl
	lisp/sawfish/wm/util/keymap-diff.jl
	lisp/sawfish/wm/util/keymap.jl
	lisp/sawfish/wm/util/marks.jl
	lisp/sawfish/wm/util/nokogiri.jl
	lisp/sawfish/wm/util/ping.jl
	lisp/sawfish/wm/util/play-audio.jl
	lisp/sawfish/wm/util/prompt-extras.jl
	lisp/sawfish/wm/util/prompt-wm.jl
	lisp/sawfish/wm/util/recolor-image.jl
	lisp/sawfish/wm/util/rects.jl
	lisp/sawfish/wm/util/stacking.jl
	lisp/sawfish/wm/util/window-order.jl
	lisp/sawfish/wm/util/with-output.jl
	lisp/sawfish/wm/util/workarea.jl
	lisp/sawfish/wm/viewport.jl
	lisp/sawfish/wm/windows.jl
	lisp/sawfish/wm/workspace.jl
	src/keys.h
	src/libclient.h
	src/sawfish.h
	src/sawfish_subrs.h
	src/server.h: fix address of FSF [Togan Muftouglu]

2012-06-10  Christopher Roy Bratusek <nano@tuxfamily.org>
	* debian/changelog
	* debian/control
	* debian/rules: small fixes in the packaging scripts

2012-04-05  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/ext/expose.jl
	* lisp/sawfish/wm/edge/misc.jl: fixup expose action

	* lisp/sawfish/wm/commands/launcher.jl: add filemanager launcher

	* lisp/sawfish/wm/menus.jl
	* lisp/sawfish/wm/user.jl: if filemanager is set, provide 'Open Home'
	entry in Sawfish's root-menu

	* lisp/sawfish/wm/integration/mate.jl
	* lisp/sawfish/wm/integration/razor-qt.jl
	* lisp/sawfish/wm/integration/kde.jl
	* lisp/sawfish/wm/integration/gnome.jl
	* lisp/sawfish/wm/integration/xfce.jl: try to match against
	XDG_CURRENT_DESKTOP to detect desktop -- add desktop specific entries
	for filemanager launcher

	* lisp/sawfish/wm/integration/lxde.jl: LXDE integration module

	* configure.in: bump version to 1.8.99 "Housenation"

	* configure.in
	* Makdefs.in
	* scripts/Makefile.in
	* scripts/sawfish-about.jl.in: update copyright notice // show
	codename in the about-dialog

	* lisp/sawfish/cfg/shell.jl: re-align buttons

2012-03-26  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/ext/window-history.jl
	* lisp/sawfish/wm/tabs/tab.jl: add tab-group feature [fuchur]

2012-01-19  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/windows.jl: add window-class-name [Wang HongQin]

	* lisp/sawfish/wm/util/events.jl
	* lisp/sawfish/wm/ext/cabinet.jl: added cabinet [Wang HonqQin]

	* lisp/sawfish/wm/ext/expose.jl: new expose func [Wang HonqQin]

	* lisp/sawfish/wm/integration/razor.jl: fix razor-power calls

2012-01-14  Christopher Roy Bratusek <nano@tuxfamily.org>
	* sawfish.spec: sync spec-file with Fedora [Kim B. Heino]

	* themes/StyleTab/theme.jl: replace spinbuttons with comboboxes for
	configuration user-interface [fuchur]

	* lisp/sawfish/wm/integration/razor.jl: add integration-module for
	Razor-Qt

	* lisp/sawfish/wm/user.jl: same

2011-12-27  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/integration/mate.jl: add integration-module for MATE

	* lisp/sawfish/wm/user.jl: same

	* lisp/sawfish/wm/ext/single-window-mode.jl: properly call
	maximize-window-fullscreen

2011-10-09  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/edge/expose.jl
	* lisp/sawfish/wm/ext/expose.jl: moved file

	* lisp/sawfish/wm/edge/misc.jl: define expose-action here

2011-10-08  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/gtk/widgets.jl: support 'choice widgets with numeric
	arguements.

	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl: don't call adjust-title [fuchur]

	* themes/StyleTab/theme.jl: - added all styles back.
					- Dark => Default
					- Silver => WixDa
					- Reduce
					- Smoothly
					- Blue => Glass
				    - added corners to frames (for resize with
				    mouse)
				    -- [fuchur]

2011-10-04  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/edge/conf.jl
	* lisp/sawfish/wm/edge/actions.jl
	* lisp/sawfish/wm/edge/expose.jl
	* lisp/sawfish/wm/edge/tile.jl
	* lisp/sawfish/wm/ext/match-window.jl: renamed tile EdgeAction to
	expose

	* lisp/sawfish/wm/edge/maximize.jl
	* lisp/sawfish/wm/edge/misc.jl: renamed module

	* lisp/sawfish/wm/workspace.jl: added toggle-desktop function

	* lisp/sawfish/wm/edge/conf.jl
	* lisp/sawfish/wm/edge/actions.jl: added show-desktop as EdgeAction
	(using toggle-desktop)

	* lisp/sawfish/wm/ext/shade-stack.jl: added shade-stack feature.
	Original code by: Luke Gorrie. Changes compared to original:
		- module format // defun -> define
		- renamed already-stacked to window-shade-stacked-p
		- fixed bug were stacking couldn't be done,
		  caused by inexact instead of exact integers

	* themes/StyleTab/theme.jl: - add hash tables for images
				    - fix resize bug for buttons
				    - fix recolor bug by resize
				    - split create-frames into make-buttons
				    and make-frames
				    - add maximized to
				    call-after-state-changed
				    -- [fuchur]

2011-09-24  Christopher Roy Bratusek <nano@tuxfamily.org>
	* src/display.c: use XKB [Michal Maruska]

	* src/pixmap-cache.c: - append_to_age_list rather than prepend
			      - extend pixmap-cache-control to return more info
			      - pixmap-cache-images: return the list of all
			      images in cache
			      -- [Michal Maruska]

	* src/events.c: - simplify property_notify
			- apply property change only if window has 'refresh
			property
			- avoid Xmap for gone windows
			- possible segfault fix in leave_notify
			-- [Michal Maruska]

2011-09-23  Christopher Roy Bratusek <nano@tuxfamily.org>
	* themes/StyleTab/theme.jl: support recoloring theme [fuchur]

2011-09-16  Christopher Roy Bratusek <nano@tuxfamily.org>
	* src/display.c: when making X request, we might receive, and select
	will stuck. This is prevented now. [Michal Maruska]

	* src/display.c: drop unused prog_name from display.c [Michal Maruska]

	* src/windows.c: mark mapped_not_override_p static [Michal Maruska]

	* src/windows.c: better place for XAddToSaveSet [Michal Maruska]

2011-09-10  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/gtk/widgets.jl: added stepping property to 'number
	widgets.

2011-09-08  Christopher Roy Bratusek <nano@tuxfamily.org>
	* src/display.c: Fix a bug in manager selection handling. Set all
	required fields of the client message event. Call XSync before
	changing the error handler. [Timo Korvola]

	* lisp/sawfish/wm/ext/match-window.jl: fixed a bug in apps-menu,
	failing to generate the list, if a .desktop file contains the
	errorneous Category property instead of Categories (or both).
	-- [Matthew Love]

2011-08-27  Christopher Roy Bratusek <nano@tuxfamily.org>
	* themes/StyleTab/theme.jl: added BlueGlass and BlueDarker styles
	[fuchur]

2011-08-18  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/edge/util.jl: added move-window-to-corner and
	move-window-to-edge helpers

	* lisp/sawfish/wm/edge/actions.jl
	* lisp/sawfish/wm/edge/conf.jl
	* lisp/sawfish/wm/edge/expand.jl: added expand-window functionality to
	EdgeActions. expand-window-half-screen-vertical and
	expand-window-half-screen-horizontal are the public functions.

	* lisp/sawfish/wm/edge/actions.jl
	* lisp/sawfish/wm/edge/conf.jl
	* lisp/sawfish/wm/edge/maxmize.jl: added an maximize-window
	edge-action

2011-07-26  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/int/kde.jl
	* lisp/sawfish/wm/int/gnome.jl
	* lisp/sawfish/wm/int/xfce.jl: added entries for launching the
	desktop's menu-editor

	* lisp/sawfish/wm/menus.jl
	* lisp/sawfish/wm/commands/poweroff.jl: use SSD as fallback for
	poweroff commands (if none onf the integration modules are loaded).
	Add lockdown and logout stuff to poweroff.

2011-07-25  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/ext/single-window-mode.jl: added (my vision of)
	single-window-mode

2011-07-23  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/integration/kde.jl: added user-switch suspend and
	hibernate entries for KDE4

2011-07-11  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/windows.jl: fixed warping to a shaded windows

2011-07-10  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/frames.jl
	* themes/StyleTab/theme.jl: moved previous-workspace-button and
	next-workspace-button out of StyleTab into frames.jl

	* lisp/sawfish/wm/frames.jl: changed defaults for button-cursor-shape

2011-07-09  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/frames.jl: added an option to control the
	cursor-shape of all built-in titlebar buttons. A set of reasonable
	values to choose from is provided. left_ptr is default for all
	-- left_ptr is the general default shape.

	* lisp/sawfish/wm/user.jl: load customized cursor-shapes on startup.
	changed some if to when

	* lisp/sawfish/wm/edge/actions.jl: fixed calling tile-windows

2011-07-08  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/gtk/widgets/scheme-boolean.jl: scheme-boolean widget
	now really working as suppposed

	* lisp/sawfish/wm/edge/tile.jl: also exclude ignored windows from
	tiling. added window-never-tile-p

	* lisp/sawfish/wm/ext/match-window.jl: added never-tile window-matcher

	* man/sawfish.texi: updated EA docs

2011-07-05  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/cfg/slot.jl: hide widgets which depend on an disabled
	value (rather than showing insensitive widgets)

2011-07-02  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/edge/tile.jl: make interactive call tile-windows
	work again

2011-06-27  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/edge/conf.jl: define before/after-edge-action-hook
	here

	* lisp/sawfish/wm/edge/actions.jl: improved passing of while-moving
	flag to edge-actions

	* lisp/sawfish/wm/edge/flip.jl: split up code for flip-viewport and
	flip-workspace

	* lisp/sawfish/wm/edge/flip.jl
	* lisp/sawfish/wm/edge/hot-spot.jl
	* lisp/sawfish/wm/edge/tile.jl
	* lisp/sawfish/wm/edge/viewport-drag.jl: call
	before/after-edge-action-hook from the proper places

2011-06-26  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/integration/gnome.jl
	* lisp/sawfish/wm/integration/kde.jl
	* lisp/sawfish/wm/integration/xfce.jl: added menu-entries for locking
	the screen

2011-06-21  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/cfg/shell.jl: added button to install a theme (from
	tar-xz). Transform `sawfish-absent' into
	`sawfish-config-display-info', allowing to display any notice.

	* lisp/sawfish/wm/user.jl: close sawfish-config before restarting
	Sawfish and restart it after initialization. If not restarting, just
	close sawfish-config

	* src/main.c: add before-restart-hook

2011-06-20  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/cfg/layout.jl: add \\top \\bottom and \\left "flags" to
	defcustoms doc-string (\\w as compat-variant for \\left is kept). They
	let be choosen where to display the label, if it's a widget on it's
	own. (eg works with: number (= GtkSpinButton + GtkLabel), but not with
	choice (= GtkComboBoxText)).

	* themes/StyleTab/theme.jl: improved grouping and layout of options in
	SawfishConfig

	* lisp/sawfish/cfg/shell.jl: don't load old sawfish.cfg.widgets
	widgets, even if they are installed

2011-06-19  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/cfg/widgets/*.jl
	* lisp/sawfish/gtk/widgets/: moved all widgets into sawfish.gtk. tree

2011-06-18  Christopher Roy Bratusek <nano@tuxfamily.org>
	* scripts/Makefile.in: install sawfish-about in $BINDIR

	* lisp/sawfish/wm/commands/help.jl: updated

	* lisp/sawfish/cfg/shell.jl: add buttons for accessing Wiki, Info,
	resource file and about-dialog to SawfishConfig.

	* scripts/sawfish-about.jl: small update in about-dialog

	* lisp/sawfish/wm/ext/wallpaper.jl: fixed calling wallpaper-setter

	* lisp/sawfish/gtk/widgets/image.jl: fixed initializing the widget

2011-06-16  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/integration/xfce.jl: added hibernate and suspend
	entries to xfce-integration module

2011-06-15  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/frames.jl: ensure that title-offsets really are
	correct when switching styles from SawfishConfig

2011-06-14  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfih/wm/ext/match-window.jl
	* themes/StyleTab/theme.jl
	* lisp/sawfish/wm/animation/main.jl
	* lisp/sawfish/wm/viewport.jl: use 'range widget where appropriate

	* lisp/sawfish/wm/frames.jl: add an option to control the titlebar
	text position, both in vertical and horizontal direction. Added an
	ugly hack to ensure tab-adjustments are correct when switching between
	tabbed themes from SawfishConfig.

	* lisp/sawfish/wm/user.jl: load customized text-position on startup

	* themes/StyleTab/theme.jl: set title-x offsets so that
	update-text-position works properly with StyleTab

	* themes/gradient-tabbed/: added

	* themes/Makefile.in: updated

	* lisp/sawfish/wm/cfg/widgets/frame-style.jl: simplified 'frame-style
	widget a bit

2011-06-13  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/gtk/widgets/image.jl: improved loading of preview-image
	-- Lucas Pandolfo

	* lisp/sawfish/cfg/layout/keymaps.jl: ported selector for choosing
	keymap in SawfishConig to GtkComboBoxText

	* lisp/sawfish/gtk/widget.jl: added range widget. number-widget using
	GtkScale instead of GtkSpinButton

	* lisp/sawfish/wm/edge/conf.jl: use 'range widget

	* themes/get-S-tabbed/
	* themes/brushed-metal/
	* themes/simple/
	* themes/smaker/
	* themes/mono/
	* themes/gtk/
	* themes/gradient/: removed

	* themes/candido/
	* themes/Zami-like/: added

	* themes/Makefile.in: updated

2011-06-11  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/cfg/widgets/workspace-geometry.jl: removed, unused

	* lisp/sawfish/wm/misc.jl: add call-with-pointer-grabbed

	* lisp/sawfish/cfg/layouts/keymap.jl: removed beautify-keymap-name,
	use beautify-symbol-name instead

	* po/sawfish-xgettext: use beautify-symbol-name from rep.util.misc,
	removed own beautify-symbol-name/beautify-keymap-name

	* lisp/sawfish/cfg/widgets/frame-style.jl: shut-up a compiler-warning

	* lisp/sawfish/cfg/widgets/frame-style.jl
	* lisp/sawfish/gtk/widget.jl: properly loop through the list of
	options when filling GtkComboBoxText widgets

	* lisp/sawfish/cfg/widgets/match-window.jl: don't make scheme-boolean
	an optional widget

	* lisp/sawfish/gtk/widgets/scheme-boolean.jl: use GtkCheckButton
	instead of GtkToggleButton. Set intial and clear states to
	`inconsistent' and only return #t or #f it not `inconsistent'.
	Properly implements scheme-boolean in Window-Rules

	* lisp/sawfish/gtk/widgets/file.jl: removed the GtkEntry and GtkVBox

2011-06-10  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/cfg/utils.jl: removed (funcs now in rep.util.misc)

	* lisp/sawfish/cfg/layout.jl
	* lisp/sawfish/cfg/widgets/command.jl
	* lisp/sawfish/cfg/widgets/keymaps.jl
	* lisp/sawfish/cfg/widgets/match-windows.jl: updated for above change

	* lisp/sawfish/cfg/Makefile.in
	* lisp/sawfish/cfg/widgets/icon.jl: removed unused, dummy 'icon widget

	* lisp/sawfish/cfg/widgets/gtk/*: removed unused
	sawfish.cfg.widgets.gtk*

	* lisp/sawfish/gtk/widgets/program.jl: removed 'program widget (just
	an alias to 'file)

	* lisp/sawfish/gtk/Makefile.in
	* lisp/sawfish/wm/ext/play-audio.jl: updated

	* lisp/sawfish/gtk/widgets/simple-dialog.jl: better wmclass

	* lisp/sawfish/cfg/widgets/command.jl
	* lisp/sawfish/gtk/widget.jl: removed option-index (now in
	rep.util.misc) and command-index (exactly the same as option-index)

	* lisp/sawfish/cfg/widgets/command.jl
	* lisp/sawfish/cfg/widgets/frame-style.jl
	* lisp/sawfish/gtk/widget.jl: use option-index instead of position and
	protect against wrong values

2011-06-04  Christopher Roy Bratusek <nano@tuxfamily.org>
	* configure.in: bump minimum librep to 0.92.1, new funcs required by
	SawfishConfig

2011-06-02  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/ext/mousetrap.jl: added defvars to be able to
	adjust the mousetrap keybindings. Set a timer of one second to
	properly block edge-actions after mousetrapping

	* lisp/sawfish/wm/edge/actions.jl: added before-edge-action-hook and
	after-edge-action-hook. Fixed logic of blocking actions while
	mousetrapping

	* lisp/sawfish/wm/autoload.jl: drop edge-flip-invoke and
	viewport-drag-invoke from list

	* lisp/sawfish/wm/edge/tile.jl: added command definition

	* lisp/sawfish/gtk/widgets/image.jl: due two fixes in rep-gtk it's possible
	now to set the filename in GtkFileChooserButton, so the GtkEntry is
	removed

	* configure.in: bump minimum GTK+ to 2.24, GDK to 2.23

	* lisp/sawfish/gtk/widget.jl: port 'choice, 'symbol and 'frame-style widgets
	to GtkComboBoxText

2011-05-31  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/edge/actions.jl: don't exec any edge-action, while
	mousetrapping is active (new feature in misc-1.9 branch)

	* lisp/sawfish/wm/ext/mousetrap.jl: added mousetrapping feature,
	original module by Fernando Carmona Varo, modified by me

2011-05-29  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/ext/wallpaper.jl: added option to pass extra
	arguements to wallpaper-setter. Place widget-text to the left

	* lisp/sawfish/gtk/widgets/image.jl
	* lisp/sawfish/gtk/widgets/file.jl: better widget-layout

	* lisp/sawfish/gtk/widgets/font.jl.in: ported 'font widget to
	gtk-font-button (rather than ancient gtk-font-selection-dialog) and
	removed the entry and hbox widgets.

2011-05-28  Jeremy Hankins <nowan@nowan.org>
	* lisp/sawfish/wm/edge/flip.jl
	* lisp/sawfish/wm/edge/hot-spots.jl: EF/HS/HM timers are no
	longer started if a timer is already running; fixes bug where
	flip-viewport would jump multiple viewports.

2011-05-28  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/gtk/widgets/file.jl: ported 'file widget to
	gtk-file-chooser-button

	* lisp/sawfish/gtk/widgets/image.jl: improved 'image widget

	* lisp/Makefile.in: don't install wallpaper.jlc (breaks 'image and
	'file widgets (...))

	* lisp/sawfish/wm/ext/wallpaper.jl: added integration of wallpaper
	settings (also gnome2 and xfce4 if desired), original module by Lucas
	Pandolfo and heavily modified by me

2011-05-25  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/gtk/widgets/image.jl: added image-widget for
	sawfish-config (contains preview and selector), original widget by
	Lucas Pandolfo and heavily modified by me

	* lisp/sawfish/gtk/Makefile.in: updated

	* configure.in: bump minimum rep-gtk to 0.90.7 (new funcs required by
	image widget)

2011-05-22  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/frames.jl: fixed setting frame-font colors for
	states inactive-highlighted and inactive-clicked

	* themes/get-S-tabbed/theme.jl
	* themes/Crux/theme.jl
	* themes/mxflat/theme.jl
	* src/frames.c
	* src/sawfish_subrs.h
	* lisp/sawfish/wm/frames.jl: remove frame-font, fallback to
	default-font again. Instead offer options for changing frame-font
	according to the window state.

	* lisp/sawfish/wm/frames.jl: added option to adjust border-width and
	border-color options.

	* lisp/sawfish/wm/user.jl: load frame-font and border-width/color
	options on startup

2011-05-21  Christopher Roy Bratusek <nano@tuxfamily.org>
	* debian/changelog
	* debian/rules
	* debian/postinst
	* debian/sawfish-data.postinst
	* Makefile.in: make packaging scripts work

2011-05-14  Christopher Roy Bratusek <nano@tuxfamily.org>
	* src/frames.c
	* src/sawfish_subrs.h
	* lisp/sawfish/wm/gaol.jl
	* lisp/sawfish/wm/frames.jl: use frame-font for titlebars, rather than
	default-font (now changing titlebar-font leaves message-font intact)

	* themes/mxflat/theme.jl
	* themes/get-S-tabbed/theme.jl
	* themes/Crux/theme.jl
	* themes/StyleTab/theme.jl: updated to use frame-font instead of
	default-font. Remove custom-font-setting option from StyleTab

	* lisp/sawfish/wm/frames.jl: added options for chaning highlight and
	clicked font-colors for inactive tabs and titlebars

2011-05-13  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/frames.jl: add possibility to also change the
	font-color for highlighted and clicked frames regardless of theme

	* lisp/sawfish/wm/frames.jl: fixed changing font-color for horizontal
	tabbars (vertical don't show text (yet))

	* themes/StyleTab/theme.jl: remove custom color-changing option

	* lisp/sawfish/wm/edge/flip.jl: only call after-flip for
	flip-workspace. set scroll-viewport-steps to 1 for flip-viewport
	while-moving (no hang when viewport-boundary-mode 'dynamic)

	* lisp/sawfish/wm/edge/actions.jl: add while-moving key-value

	* lisp/sawfish/wm/edge/tile.jl: call fake-release-window when tiling
	while moving a winodw (so that it properly works)

2011-05-07  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/viewport.jl: add window-on-current-head-viewport

	* lisp/sawfish/wm/edge/tile.jl: one-shot-try to make tile
	xinerama-aware

2011-05-05  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/commands/jump-or-exec.jl: reverted 2 commits

	* lisp/sawfish/wm/windows.jl: more robustness for get-window-by
	-name, -class, -role

	* **/Makefile.in: remove VPATH to appease makepp [Daniel Pfeiffer]

	* configure.in: check for XTest

	* lisp/sawfish/wm/windows.jl: remove release-window function

	* src/windows.c: add fake-release-window subroutine

	* lisp/sawfish/wm/edge/hot-spot.jl: improve HotMove for easier user-setup

	* lisp/sawfish/wm/edge/action.jl: block HotSpot for 1 second after
	HotMove was called

2011-04-26  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/autoload.jl: removed maybe-raise-tab from
	autoload, aswell as viewport-linear stuff. Add edge-flip-invoke,
	viewport-drag-invoke and tile-windows to autoload

	* lisp/sawfish/wm/tile.jl: make tiling actually work

2011-04-25  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/edge/tile.jl: only include windows on
	current-workspace AND current-viewport

	* lisp/sawfish/wm/workspace.jl: fixed window-on-current-workspace-p
	added window-on-current-workspace-viewport-p

2011-04-24  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/edge/tile.jl: tiling for EdgeActions
	original code by Mark Triggs, updated by me [not yet working!]

	* lisp/sawfish/wm/edge/hot-spot.jl: added HotMove for EdgeActions

	* lisp/sawfish/wm/windows.jl
	* lisp/sawfish/wm/workspace.jl
	* lisp/sawfish/wm/commands/move-resize.jl: various support functions
	for HotMove and Tiling

	* lisp/sawfish/wm/edge/conf.jl
	* lisp/sawfish/wm/edge/actions.jl: updated

2011-04-16  Christopher Roy Bratusek <nano@tuxfamily.org>
	* configure.in: bump minimum rep to 0.92.0

2011-04-15  Christopher Roy Bratusek <nano@tuxfamily.org>
	* sawfish.desktop
	* sawfish-wm.desktop
	* sawfish-ksm.desktop: unified order
	                       spec compliance
			       -- Kim B. Heino

2011-04-14  Christopher Roy Bratusek <nano@tuxfamily.org>
	* configure.in
	* Makefile.in
	* sounds/Makefile.in
	* themes/Makefile.in: remove version from install-paths

	* debian/**: merged more stuff from Ian Zimmermann

2011-04-13  Christopher Roy Bratusek <nano@tuxfamily.org>
	* Makefile.in: added debclean rule
	               improved distclean rule
		       improved gitclean rule

	* config.h.in: removed from GIT

	* config.guess
	* config.sub: added

	* Makedefs.in
	* Makefile.in
	* build-info
	* sawfish.pc.in
	* configure.in: removed architecture from install-paths

	* sounds/Makefile.in
	* src/Makefile.in: minor clean-ups -- Ian Zimmermann

	* debian/**: merged scripts from Ian Zimmermann

2011-04-12  Christopher Roy Bratusek <nano@tuxfamily.org>
	* Makefile.in: don't remove NEWS upon clean or distclean

	* configure.in
	* sawfish.pc.in: improved pkg-config file (dependencies)

2011-04-11  Christopher Roy Bratusek <nano@tuxfamily.org>
	* man/sawfish.texi: updated EA docs
	                    updated copyright year

	* OPTIONS: removed edge-flip
	           removed infinite-desktop
		   removed tabs
		   added EdgeActions
		   updated apps-menu
		   changed all defcustom to defvar-setq

	* man/news.texi: updated / typo fix

2011-04-10  Christopher Roy Bratusek <nano@tuxfamily.org>
	* man/sawfish.texi: fixed wrong logic of doc for insert-workspace

	* lisp/sawfish/wm/workspace.jl: update insert-workspace accordingly
	add insert-workspace-before to workspace-menu

	* lisp/sawfish/wm/commands/describe.jl
	* lisp/sawfish/wm/commands/groups.jl
	* lisp/sawfish/wm/commands/jump-or-exec.jl
	* lisp/sawfish/wm/commands/launcher.jl
	* lisp/sawfish/wm/commands/poweroff.jl
	* lisp/sawfish/wm/commands/raise-commands.jl
	* lisp/sawfish/wm/commands/viewport-extras.jl
	* lisp/sawfish/wm/stacking.jl
	* lisp/sawfish/wm/state/transient.jl
	* lisp/sawfish/wm/viewport.jl
	* lisp/sawfish/wm/workspace.jl: removed unneeded 'default class from commands
	removed unused 'default and 'advanced classes from commands

	* man/news.texi
	* configure.in: bump version to 1.8.1

	* man/news.texi: updated

	* po/es.po
	* po/sl.po: updated spanish and slovenian translation
	-- [gnome-es and gnome-sl team]

	* lisp/sawfish/wm/edge/actions.jl: make edge-actions deactivatible via
	sawfishrc and add edge-actions-enabled defcustom

	* lisp/sawfish/wm/edge/actions.jl
	* lisp/sawfish/wm/edge/util.jl
	* lisp/sawfish/wm/edge/flip.jl
	* lisp/sawfish/wm/edge/hot-spot.jl
	* lisp/sawfish/wm/edge/viewport-drag.jl
	* lisp/sawfish/wm/edge/conf.jl: move all defcustoms into edge.conf
	module, in order to make them appear in the right order in
	SawfishConfig (options from flip/hots-pot/viewport-drag/util were
	shown before those from actions.jl, as they were loaded first)

	* lisp/sawfish/wm.jl
	* lisp/sawfish/wm/user.jl: load edge-actions in user.jl, not wm.jl

2011-04-08  Christopher Roy Bratusek <nano@tuxfamily.org>
	* Makefile.in: fixed uninstall rule

2011-04-07  Christopher Roy Bratusek <nano@tuxfamily.org>
	* themes/mxflat/theme.jl: fixed two strings in mxflat

	* po/sawfish.pot: updated pot file

2011-04-05  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/sawfish/wm/commands/jump-or-exec.jl: fixed failing jump-or-exec
	when a window without WM_CLASS exists

2011-03-08  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/frames.jl
	* man/news.texi
	* man/sawfish.texi
	* themes/StyleTab/theme.jl
	* themes/mxflat/CHANGELOG: Minor doc.

	* lisp/sawfish/wm/gaol.jl: Crash prevention from wrong theme codes.

	* themes/Elberg-tabbed/INSTALL
	* themes/get-S-tabbed/INSTALL
	* themes/microGUI/TODO
	* themes/mxflat/GPL
	* themes/mxflat/clean
	* themes/mxflat/compile
	* themes/mxflat/reformat
	* themes/mxflat/resize
	* themes/mxflat/restart
	* themes/mxflat/screenshot.xcf: Deleted. These files are obsolete.

2011-03-02  Christopher Roy Bratusek <zanghar@freenet.de>
	* debian/watch
	* debian/sawfish-lisp-source.lintian
	* debian/README*: removed

	* debian/changelog.in
	* debian/changelog: renamed file

	* debian/control.in
	* debian/control: renamed file

	* configure.in: don't export gitdate
	                don't generate debian/changelog
			don't generate debian/control

	* debian/rules: update

	* Makefile.in: don't remove debian/changelog
	               debian/contro.

	* debian/sawfish-data.docs: added

2011-03-01  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/commands/move-resize.jl
	* lisp/sawfish/wm/state/iconify.jl
	* lisp/sawfish/wm/state/shading.jl
	* lisp/sawfish/wm/swapper.jl
	* lisp/sawfish/wm/util/workarea.jl
	* lisp/sawfish/wm/viewport.jl
	* lisp/sawfish/wm/windows.jl
	* src/events.c
	* src/flippers.c
	* src/functions.c
	* src/keys.c
	* src/windows.c: All hooks are now initialized to nil.
	`remove-hook' doesn't consider if it's bound or not, so this is
	better to avoid error. (All means all defined in Sawfish.)

	* lisp/sawfish/wm/commands/move-resize.jl
	* man/news.texi
	* man/sawfish.texi: New resize commands.
	Deleted `resize-window-to-dimensions', and implemented
	`resize-window-to-preset-size' and `resize-window-prompt'.

	* lisp/sawfish/wm/commands/jump-or-exec.jl
	* lisp/sawfish/wm/state/iconify.jl
	* man/sawfish.texi: toggle-or-exec cleanup:
	- jump-or-exec-leave is deleted, and toggle-or-exec instead uses iconify-window.
	- Instead, iconify-on-leave-fun, a hook function, is re-implemented in wm/state/iconify.jl.
	- Minor improvements in related doc.

	* OPTIONS
	* lisp/sawfish/wm/ext/apps-menu.jl
	* man/news.texi
	* man/sawfish.texi: Improvements in doc on apps-menu. One minor
	fix in filtering.
	- In apps-menu-filter, it was attempted to accept a lisp
	expression.  It is deleted, since it didn't work, and it was
	useless since the expression can't receive the desktop entry list
	to process.
	- Also news.texi and OPTIONS are updated.
	- It includes whitespace fix.

	* OPTIONS
	* lisp/sawfish/wm/ext/error-handler.jl
	* themes/Makefile.in
	* themes/StyleTab/theme.jl: Minor doc.

2011-02-28  Christopher Roy Bratusek <zanghar@freenet.de>
	* themes/StyleTab/theme.jl: Fixed crash when changing style
	on-the-fly (by improving keybindings (gaols and internal commands
	do now have different names). Renamed the hash-tables. [fuchur]

2011-02-22  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/keymaps.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl: remove tab-raise-on-hover and
	maybe-raise-tab. Instead make, what was tab-raise-on-hover the
	predefined behaviour.

	* lisp/sawfish/wm/tabs/tabgroup.jl: improved tab-refresh-group, added
	support for maximized/unmaxmized, focus-mode, gravity, sticky-viewport
	and never-maximize. Small fix for before-move-resize [fuchur]

	* KEYBINDINGS: small update

2011-02-21  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/tabs/tabgropu.jl: make opaque move and
	resize animator work with tabbed windows. Improved various functions
	tab-refresh-group, tab-group-window, tab-put-window-in-group [fuchur]

	* po/sawfish.pot: updated

2011-02-20  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/edge/hot-spot.jl: small string-change

	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/keymaps.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl: add maybe-raise-tab-function,
	rather than using a lambda in tabbar keymap (no tooltip then)

	* KEYBINDINGS: updated

	* man/sawfish.texi: added doc for toggle-or-exec
	                    EdgeActions docs
	                    - EdgeFlip
			    - ViewportDrag
			    - HotSpots
			    - example configuration
			    -- (complete, but not perfect)

2011-02-19  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/edge/actions.jl
	* lisp/sawfish/wm/edge/utils.jl: improved two strings

	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl: renamed adjustment-title to
	adjust-title

2011-02-18  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/workspace.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl: - support tabbed windows in
	send-to/copy-to-next/previous-workspace
	- add tab-group-window-index function
	- don't add a window to tabgroup, if it already exists on another
	workspace
	-- [fuchur]

	* lisp/sawfish/wm/keymaps.jl: more natural keymap for raise-lower-button
	-- [fuchur]

	* themes/StyleTab/theme.jl: - make use of tab-group-window-index
	- update send-to-prev/next button after action performed
	-- [fuchur]

2011-02-16  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/tabs/tabgroup.jl: - make sure we only call the
	tab-hooks if the window is actually tabbed
	- in tab-refresh-group rename the reframe-style property to style
	- use reframe-window rather than rebuild-frame in tab-refresh-group for type property
	- make tab-group-window with non-click focus-modes work (regression)
	- make sure already tabbed windows, can be added to a different tab-group
	-- [fuchur]

	* lisp/sawfish/wm/keymaps.jl: improved default bindings for tabbar [fuchur]

	* themes/StyleTab/theme.jl: - make Button2-Off for menu-button work
	- add call-after-state-changed for sticky, fixed-position and stacking
	properties [fuchur]

	* themes/Elberg-tabbed/theme.jl
	* themes/get-S-tabbed/theme.jl: removed old comment [fuchur]

2011-02-13  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/edge/actions.jl: don't call edge-action for
	non-dragging, while moving a window. Else both edge-actions would be
	called, which would mess up things.

	* themes/StyleTab/theme.jl: - option for choosing titlebar-font, (independent
	of prompt/message font)
	- make commands for moving tabbars accessible to the keyboard (tabbar-move-to-top/bottom/left/right)
	- rewrote code for frametype-button
	- add keybindings for changing frametype with resize
	- change fallback font for tabbar to overall default (failsafe)
	- temporarly disable reloading the style immediately (until crash is fixed)
	-- [fuchur]

	* debian/rules: interims update [Daniel M. German]

2011-02-11  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/commands.jl: fixed a small typo

	* themes/StyleTab/theme.jl: updated README
	                            fixed a regression regarding the icon [fuchur]
				    updated docstring for styletab:style option

2011-02-11  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/state/shading.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl
	* lisp/sawfish/wm/windows.jl: Added some funcs to gaol.

	* themes/StyleTab/theme.jl: Major rework
	- compressed long 'defcustom's using mapc.
	- Improved tabbar-rotating commands definition.
	You will have to delete styletab-related parts in ~/.sawfish/custom.

	Definitions are now collected into one function.
	For users, tooltip is shown for tab-rotating button.
	Keybinding is changed a bit.

	- typo fix 'frame-typ' -> 'frame-type'. It accompanies
	many image filenames change.
	Other minor typo fix:  rigth  -> right, hight -> height

2011-02-10  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/apps-menu.jl: more robust category loading [Matthew Love]

	* lisp/sawfish/wm/frames.jl: removed tabs-raise-on-hover from here

	* lisp/sawfish/wm/tabs/tabgroup.jl: moved tabs-raise-on-hover here. Let
	tabgroup's focus-in-hook handle it (read: it's now working properly).
	- add "tabbed" property to tabbed windows
	- added window-tabbed-p function
	- fixed the "overlapping glitch"
	- fixed some focus issues
	- don't use sawfish's default groups for tabs
	- support for calling title-position from theme.jl
	-- [fuchur]

	* themes/StyleTab/theme.jl: updated for above changes [fuchur]
	                            make switching styles work on-the-fly

	* lisp/sawfish/wm/gaol.jl: added reload-frame-style to list of gaol'ed
	functions

2011-02-08  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/apps-menu.jl: move "Emulators" category from
	"Games" to "System" / check whether a .desktop file contains a valid
	category string (more robustness). [Matthew Love]

2011-02-07  Christopher Roy Bratusek <zanghar@freenet.de>
	* themes/StyleTab/theme.jl: overall internal improvements [fuchur]
	                            added Silver and SilverColor styles [fuchur]

	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl: moved from adjustment-title from
	frames.jl to tabgroup.jl / small fixups [fuchur]

	* man/sawfish.1: fixed typo (s/replac/replace) [Matthew Love]

	* lisp/sawfish/wm/ext/apps-menu.jl: a new version of our FDO
	menu-implementation by Matthew Love. Features filtering-abilities and
	improved categorizing of applications, aswell as overall polishment

	* man/sawfish.texi: updated docs for apps-menu [Matthew Love]

2011-02-02  Christopher Roy Bratusek <zanghar@freenet.de>
	* themes/StyleTab/theme.jl: fixed a typo (default style is Dark not DarkTab)
	                            updated README [fuchur]
				    improved Reduce and Smoothly styles when
				    there are about 30 buttons [fuchur]

2011-02-01  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/state/iconify.jl: removed an unused #!key argument
	from toggle-window-sticky/viewport

	* themes/DarkTab: removed DarkTab theme

	* themes/StyleTab: added StyleTab (successor of DarkTab)
	                   changes to original StyleTab:
			   - default style changed to Dark
			   - improved README

	* man/news.texi
	* themes/Makefile.in
	* lisp/sawfish/wm/user.jl: updated for DarkTab > StyleTab switch

2011-02-01  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/customize.jl
	* lisp/sawfish/wm/ext/auto-raise.jl
	* lisp/sawfish/wm/windows.jl
	* man/sawfish.texi
	* themes/mxflat/theme.jl: Minor docs.

	* lisp/sawfish/wm/commands/move-resize.jl
	* lisp/sawfish/wm/custom.jl
	* lisp/sawfish/wm/ext/apps-menu.jl
	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/focus.jl
	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/keymaps.jl
	* lisp/sawfish/wm/menus.jl
	* lisp/sawfish/wm/state/wm-spec.jl
	* lisp/sawfish/wm/util/display-wininfo.jl
	* lisp/sawfish/wm/windows.jl: Indent in lisp files.
	Not thorough, only recently changed files are chosen.

	* lisp/sawfish/wm/keymaps.jl
	* lisp/sawfish/wm/state/iconify.jl
	* lisp/sawfish/wm/windows.jl: Doc readability improvements in
	keymap.jl. Anonymous functions are moved to appropirate modules.

	* lisp/sawfish/wm/edge/actions.jl
	* lisp/sawfish/wm/edge/flip.jl
	* lisp/sawfish/wm/edge/hot-spots.jl
	* lisp/sawfish/wm/edge/util.jl
	* lisp/sawfish/wm/edge/viewport-drag.jl
	* lisp/sawfish/wm/ext/shade-hover.jl
	* lisp/sawfish/wm/ext/tooltips.jl
	* lisp/sawfish/wm/focus.jl
	* man/news.texi
	* src/flippers.c: Doc in edge and news. Minor cleanups.
	News items are also sorted.

	* lisp/sawfish/wm/edge/util.jl
	* man/sawfish.texi: Typo fix "lenght" -> "length" in edge.

	* lisp/sawfish/wm.jl
	* lisp/sawfish/wm/animation/main.jl
	* lisp/sawfish/wm/animation/modes.jl
	* lisp/sawfish/wm/animation/outline.jl
	* lisp/sawfish/wm/animation/setup.jl
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/commands/move-resize.jl
	* lisp/sawfish/wm/util/window-outline.jl
	* lisp/sawfish/wm/window-anim.jl
	* man/news.texi: Renamed animation related modules.
	All are collected under wm/animation/. Imports are also updated.
	window-anim.jl         -> animation/setup.jl
	animation/outline.jl   -> animation/main.jl
	util/window-outline.jl -> animation/modes.jl

	* lisp/sawfish/wm/animation/setup.jl
	* lisp/sawfish/wm/ext/match-window.jl
	* man/news.texi
	* man/sawfish.texi: Per-window animator from "Window Rules" in configurator.

	* lisp/sawfish/wm/ext/error-handler.jl
	* lisp/sawfish/wm/user.jl
	* man/news.texi: Implemented `init' for error-destination.
	An error during initialization is printed to both screen and stderr by default.

	* lisp/sawfish/wm/ext/tooltips.jl: Minor tooltip improvement:
	Don't show it for empty keymap.
	Padding frame classes, which are used for tab, have empty
	keymap. Don't show their tooltip.

2011-01-30  Christopher Roy Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm.jl
	* lisp/sawfish/wm/gaol.jl
	* themes/StyleTab/theme.jl
	* themes/Elberg-tabbed/theme.jl
	* themes/get-S-tabbed/theme.jl: reverted commit "Simplified accesses to
	the module sawfish.wm.tabs.tab." (452d34d5df577f9ffa832ba6e9997017a5332efc)

	* src/flippers.c: give EdgeActions subroutines better names:
	  - enable-flippers => raise-flippers
	  - disable-flippers => destroy-flippers

	* src/flippers.c: updated recreate-flippers routine
	                  removed flippers-after-restacking (dupplicate of
			  raise-flippers)

	* lisp/sawfish/wm/edge/util.jl: - updated for subroutine renaming
	                                - renamed flippers-activate to
					  activate-flippers (consistency)
					- renamed hot-spots-area to
					  hot-spots-corner-length

	* lisp/sawfish/wm/edge/actions.jl: - updated for function renaming
	                                   - renamed edges-activate to
					     activate-edges (consistency)
					   - changed default value for
					     *-move-action to "none" rather than
					     "none/hot-spot", as hot-spot is not
					     called while moving a window

	* lisp/sawfish/wm/user.jl: updated for function renaming

	* man/sawfish.texi: began writing EA docs:
	                    - Subroutines
			    - Utils
			    - Infrastructure

	* lisp/sawfish/wm/tabs/tabgroup.jl: when moving a window using keyboard
	it could sometimes happen, that there was a "gap" between the tabs
	afterwards. This is fixed now. [fuchur]

2011-01-18  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/commands/launcher.jl
	* lisp/sawfish/wm/custom.jl
	* man/news.texi
	* man/sawfish.texi: Minor doc.
	Texi: "&optional" is replaced by "#!optional".
	In texi, "deffn Command" are improved:
	- "Function" is added.
	- Arguments of commands are either null or "window".
	Minor news.

	* lisp/sawfish/wm/state/wm-spec.jl: Suppress a byte compiler warning.

	* lisp/sawfish/wm/tabs/tabgroup.jl: Tab: bugfix, by updating the
	title when a window in a tabgroup is closed. [fuchur]

	* lisp/sawfish/wm/tabs/tab.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl
	* lisp/sawfish/wm/util/compat.jl
	* man/news.texi: Tab.
	Replaced defvar-setq with plain setq.
	Many minor, internal improvements.
	News and comments.
	Indent fix.

	* lisp/sawfish/wm/commands/jump-or-exec.jl
	* lisp/sawfish/wm/util/compat.jl
	* lisp/sawfish/wm/windows.jl
	* man/news.texi
	* man/sawfish.texi: Revised recent changes in get-window-*.
	Full doc is written.
	Moved old functions to compat.jl.
	Bugfix in compat.jl; exports recently added functions.

	* lisp/sawfish/wm.jl:
	Simplified a bit, in making modules exports. It used two
	identical lists, but now combined to one, making maintenance
	easier.

	* lisp/sawfish/wm.jl
	* lisp/sawfish/wm/gaol.jl
	* themes/DarkTab/theme.jl
	* themes/Elberg-tabbed/theme.jl
	* themes/get-S-tabbed/theme.jl: Simplified calls of
	sawfish.wm.tabs.tab.

	* po/Makefile.in
	* scripts/Makefile.in
	* scripts/sawfish-client.jl
	* scripts/sawfish-menu.jl
	* sounds/Makefile.in
	* themes/Makefile.in: Replaced sawmill -> sawfish.
	Any remaining "sawmill" shouldn't be changed, except po/*po.

2011-01-15  Christopher Roy Bratusek <zanghar@freenet.de>
	* sawfish.pc.in: fixed includedir

	* man/news.texi: NEWS refinement

2011-01-08  Teika Kazura <teika@lavabit.com>
	* src/sawfish_subrs.h: Exports symbols in src/flippers.c.

	* lisp/sawfish/wm/util/compat.jl: Added old variables from
	former edge-flip and infinite-desktop.

	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/edge/viewport-drag.jl
	* lisp/sawfish/wm/focus.jl
	* man/news.texi
	* man/sawfish.1
	* man/sawfish.texi
	* sawfish.doap
	* src/main.c: Minor doc.
	Clarification in families of functions which return window geometry,
	with and without frame parts.
	Minor correction in "Pointer Motion Hooks".
	News brushup. (Not complete yet.)

	* lisp/sawfish/wm/commands.jl: Deleted one meaningless line.

	* lisp/sawfish/cfg/main.jl.in
	* scripts/sawfish-about.jl.in
	* scripts/sawfish-client.jl
	* scripts/sawfish-menu.jl: Updated Emacs auto mode setting upon
	finding file.

	* lisp/sawfish/wm/commands/jump-or-exec.jl
	* man/sawfish.texi: Jump-or-exec cleanup.
	Wrote a thorough documentation.
	Handling of arguments "prog" and "onfocused" is extended in lucid way.
	They can be a command-name or a lisp expression, too.
	Code is cleaned.

	* lisp/sawfish/wm/windows.jl: In `rename-window-func', the 1.6.0
	code is restored, reverting all edits after 1.6.0.
	In fact, revert was intended, but this version is correct.

	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/util/compat.jl
	* lisp/sawfish/wm/windows.jl
	* man/news.texi: Renamed window-rename functions.
	'rename-window-func' is renamed to 'rename-window'. Old name is
	supported. 'rename-window-interactive' is deleted. Update
	instruction is written in news.texi.

2011-01-06  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/commands/move-resize.jl
	* lisp/sawfish/wm/menus.jl: added a function to resize either the
	current-event-window or a given one, to a specific size. Also added
	corresponding window-operations-menu entry. (resize-window-to-dimensions)
	Improved version of a code snippet from GSR

	* sawfish-ksm.desktop: let KDE4 know, that Sawfish can now replace a
	running WM (respectively properly be replaced)

	* lisp/sawfish/wm/workspace.jl: some separators in workspace-menu
	-- (root-menu) for easier readability

2010-12-29  Christopher Bratusek <zanghar@freenet.de>
	* src/events.c: rep_INTERN while-grabbed [Teika Kazura]

2010-12-28  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/state/wm-spec.jl
	* src/events.c: add support for NotfiyWhileGrabbed event
			explicitly handle NotifyUngrab event
			makes nil the fallback value, rather than ungrab
			-- [Harald van Dijk]

	* ICCCM-Selection >> HEAD: merged ICCCM-Selection branch. Adds
			support for MSS (Manager Selection Support),
			as described by ICCCM [2.8 4.3]. [Timo Korvola]

2010-12-20  Christopher Bratusek <zanghar@freenet.de>
	* ChangeLog
	* ChangeLog.TNG: merged

	* man/news.texi: typo fixes
			 updates

2010-12-18  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/tabs/tabgroup.jl: fixed a regression that made all
	windows in the group {un,}sticky when one became [fuchur]

2010-12-17  Christopher Bratusek <zanghar@freenet.de>
	* debian/control.in: make debian packaging scripts compatible with
	Debian/Experimental

2010-12-09  Christopher Bratusek <zanghar@freenet.de>
	* configure.in
	* lisp/sawfish/cfg/Makefile.in: fix installation for non-root-users by
	not hardcoding /usr for icons and kde4-prefix [Stefano Sabatini]

	* lisp/sawfish/wm/edge/actions.jl
	* lisp/sawfish/wm/edge/viewport-drag.jl
	* lisp/sawfish/wm/edge/hot-spots.jl
	* lisp/sawfish/wm/edge/flip.jl: renamed functions and variables so that
	they are easier to understand (activate/call/init confusion is gone now)
	- options none and hot-spot merged together (none/hot-spot)
	- code-cleanup in hot-spots
	- corrected copyright header of viewport-drag
	- some doc / indention fixes
	-- Teika Kazura

2010-11-27  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/commands.jl
	* man/news.texi: Minor bugfix of interactive "call-command".
	It used to print an error message when you cancel an interactive
	call of `call-command' with the escape key, but it doesn't any
	more.

	* OPTIONS
	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/util/nokogiri.jl
	* man/news.texi
	* man/sawfish.texi: New function `report-commands'.

	* man/sawfish.texi: Revised "commands" section a bit.

	* lisp/sawfish/wm/commands.jl
	* man/news.texi
	* man/sawfish.texi
	* sawfish.el: Dropped two outdated featuers in command definition.
	Function 'define-command-args' is deleted. In 'define-command',
	'doc-key' arg is dropped.

2010-11-20  Christopher Bratusek <zanghar@freent.de>
	* lisp/sawfish/wm.jl: load & export edge-actions from here

	* lisp/sawfish/wm/user.jl: init flippers from here automatically

	* lisp/sawfish/wm/edge/hot-spots.jl: improved fallback values for
	actions (no error messages with latest edge-actions)

	* lisp/sawfish/wm/edge/actions.jl: removed edge-actions-enabled option
					   simplified the code a bit
					   combined actions for left & right edge
					   combined actions for top & bottom edge
					   also delay Hot-Spots for corners
					   string-change for delay option
					   changed in the action delay:
					   	- Viewport-Drag = no delay
						- Hot-Spot = half delay
						- Edge-Flip = full delay

2010-11-13  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/edge/hot-spots.jl: simplified hot-spots (now only takes funcs)

2010-11-13  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/commands/x-cycle.jl
	* man/news.texi: cycle-among-groups bugfix.
	Previously, when window-cycle is limited to the same workspace or
	viewport, then not all window groups were not cycled.

	* OPTIONS
	* lisp/sawfish/wm/focus.jl
	* man/news.texi
	* man/sawfish.texi: Minor bugfix.
	`focus-ignore-pointer-events' was customizable, but not now.
	This variable is used internally, and introduced in commit 1c544853.
	Sometime it was turned to a defcustom, but it confuses users. So now a plain defvar.

	* man/sawfish.texi
	* po/README: Minor doc.

	* po/*: Added a note to translators.

2010-11-12  Christopher Bratusek <zanghar@freenet.de>
	* themes/Elberg-tabbed/theme.jl
	* themes/get-S-tabbed/theme.jl: updated

2010-11-11  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/tabs/tabgroup.jl: reframe windows from here [fuchur]
					    remember title-position on uniconify [fuchur]
					    reset tab-adjustments of themes (if required) [fuchur]
					    small fixes [fuchur]

	* lisp/sawfish/wm/frames.jl: call window-state-changed-hook while reframing a window,
	updating the title-position [fuchur]

	* themes/Elberg-tabbed/theme.jl
	* themes/get-S-tabbed/theme.jl: updated

2010-11-10  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/windows.jl: make get-window-by-role return nil if matching using a
				      regex, rather than throwing an error
				      reduce rename-window-func to props that actually work

2010-11-09  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/windows.jl: added window-role function
				      merged get-window-by-name-re into get-window-by-name
				      added possibility to get-window-by-name to check on icon-name
				      merged get-window-by-class-re into get-window-by-class
				      added get-window-by-role
				      added dummy get-window-by-class-re for compat
				      added dummy get-window-by-name-re for compat

	* lisp/sawfish/wm/commands/jump-or-exec.jl: updated

2010-11-08  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/DarkTab/theme.jl: small fix in right tabbar [fuchur]
					    change default values for font colors [fuchur]
					    added possibilty to change button-width [fuchur]

2010-11-07  Christopher Bratusek <zanghar@freent.de>
	* lisp/sawfish/wm/DarkTab/theme.jl: make right tabbar look like others [fuchur]

2010-11-06  Christopher Bratusek <zanghar@freenet.de>
	* src/flippers.c: build into sawfish and rename module to sawfish.wm.edge.subrs

	* src/main.c
	* src/Makefile.in
	* lisp/sawfish/wm/edge/util.jl: updated

	* lisp/sawfish/wm/edge/actions.jl: customizable actions for while-moving-hook
	-- actions for when the pointer hits the edge and when a moving window hits the
	   edge can now be setup differently (while-moving actions don't delay!)
					   simplified edge-action-init function

	* lisp/sawfish/wm/DarkTab/*: improved DarkTab theme [fuchur]

2010-11-06  Teika kazura <teika@lavabit.com>
	* man/news.texi
	* sawfish.el: supports let-loop indent.

	* lisp/sawfish/gtk/widget.jl
	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/custom.jl
	* lisp/sawfish/wm/state/wm-spec.jl
	* lisp/sawfish/wm/util/ping.jl: Corrected indents of 'let' using
	new sawfish.el.

	* lisp/sawfish/wm/integration/kde.jl
	* lisp/sawfish/wm/user.jl
	* man/news.texi: Bugfix: It was impossible for users to override
	`kde-desktop-directories'.

	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/keymaps.jl
	* lisp/sawfish/wm/menus.jl
	* lisp/sawfish/wm/util/compat.jl
	* man/news.texi: Renamed popup-window-menu to popup-window-ops-menu.
	Old name is supported, too.

	* OPTIONS
	* lisp/sawfish/wm/menus.jl
	* man/news.texi
	* man/sawfish.texi
	* po/README
	* sawfish.spec.in: Doc.
	Section of "popup menu" is rewritten.
	"commandp" doc correction; t can be returned only for symbols.
	Minor po/README update.
	RPM spec file is declared to be unofficial.

2010-11-05  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/tabs/tab.jl: small fix for margin-l [fuchur]

	* themes/DarkTab/*: added DarkTab theme by fuchur

	* lisp/sawfish/wm/user.jl: set DarkTab as default theme

	* themes/Makefile.in: updated

2010-11-04  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/autoload.jl: removed tab-system from autoload [fuchur]

	* lisp/sawfish/wm/tabs/tab.jl: added set-tab-adjustments function
				       remove defcustoms
				       renamed several classes [fuchur]
				       removed cursor, x/y-justify from classes [fuchur]
				       removed keymap from classes [fuchur]

	* lisp/sawfish/wm/tabs/tabgroup.jl: add settings for state-changed title-position [fuchur]
					    raise all windows automatically if one window in the
					    tabgroup gets focus [fuchur] -- temporarly removed
					    make all windows automatically sticky if one window in
					    the tabgroup gets sticky [fuchur]
					    improved hooks (faster tabgroups) [fuchur]
					    some preparative work and small fixes [fuchur]

	* lisp/sawfish/wm/keymaps.jl
	* lisp/sawfish/wm/frames.jl: add keymaps and bindings for tabbar-horizontal and
	tabbar-vertical [fuchur]

	* lisp/sawfish/wm/focus.jl: add tab-raise-on-hver here (needs fixing, though) [fuchur]
				    -- improved setter func

	* lisp/sawfish/wm/gaol.jl: add sawfish.wm.tabs.tab to gaol'd modules [fuchur]

	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/ext/window-history.jl: add title-position window matcher
						 add title-position to remembered properties

	* themes/Elberg-tabbed/theme.jl
	* themes/get-S-tabbed/theme.jl: major rework for above changes [fuchur]

	* lisp/sawfish/wm/edge/infinite-desktop
	* lisp/sawfish/wm/edge/viewport-drag.jl: renamed module (and remaining functions)
						 added structure-alias

	* lisp/sawfish/wm/edge/actions.jl: updated for above change

	* lisp/sawfish/wm/tabs/util.jl: removed => check new tabs-ng branch

2010-11-02  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/edge/flip.jl: removed all defcustoms
					removed now unused variables
					removed most functions (only before-flip, after-flip
					and edge-flip-activate remain)
					changed the way it's activated
					removed the delay timer

	* lisp/sawfish/wm/edge/hot-spots.jl: removed all defcustoms
					     renamed hot-spot-call to hot-spot-activate
					     removed hot-spot-hook function
					     changed the way it's activated
					     removed the delay timer

	* lisp/sawfish/wm/edge/infinite-desktop.jl: removed most defcustoms (only for distances are
	left and moved from "Edge Flip/Infinite Desktop" to "Edge Actions" group in SawfishConfig)
						    began to rename to viewport-drag
						    removed infinite-desktop-enable
						    renamed infinite-desktop-hook to infinite-desktop-activate
						    changed the way it's activated

	* lisp/sawfish/wm/edge/actions.jl: added edge-actions (unified edge-flip, hot-spots and
	viewport-drag (ex infinite-desktop)). Each edge can now have a different action. Currently
	there are: - hot-spot
		   - flip-workspace
		   - flip-viewport
		   - viewort-drag
		   - none
	corners are preserved to hot-spot. edge-action is also responsible for properly activating
	the eges and adding the required hooks to make flip and viewpor-drag work while moving a window
	too. Now only one timer is being used to delay the activation (same for all actions now).
	All configuration options now reside in the "Edge Actions" group in SawfishConfig.

2010-10-28  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/edge/infinite-desktop.jl: make infinite-desktop work while moving a window

2010-10-26  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/commands/jump-or-exec.jl: added toggle-or-exec wrapper
	                                            updated introduction part

2010-10-25  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/match-window.jl: add iconify-on-leave window-matcher

	* lisp/sawfish/wm/commands/jump-or-exec.jl: syntax change (read the introduction in the file)
	                                            merged toggle-or-exec into it

	* lisp/sawfish/wm/edge/flip.jl
	* lisp/sawfish/wm/edge/hot-spots.jl
	* lisp/sawfish/wm/edge/infinite-desktop.jl: don't auto-enable infinit-desktop by just loading the module
	                                            export hook-functions and also check on window-class before
						    calling `onfocused' function

2010-10-24  Christopher Bratusek <zanghar@freenet.de>
	* src/flippers.c: add recreate-flippers function
			  don't auto-enable flippers when loading
			  renamed module to sawfish.wm.edge.flippers

	* lisp/sawfish/wm/ext/edge-flip.jl: open sawfish.wm.util.flippers
	                                    remove the eval-when-compile call
					    removed three unneeded exports
					    remove restart-flippers

	* lisp/sawfish/wm/ext/infinite-desktop.jl
	* lisp/sawfish/wm/edge/infinite-desktop.jl: moved file

	* lisp/sawfish/wm/ext/edge-flip.jl
	* lisp/sawfish/wm/edge/flip.jl: moved file

	* lisp/sawfish/wm/edge/util.jl: added. flippers-activate (=> user-modules
	should use THIS, not recreate-flippers (as it handles the hooks))
	                                added get-active-corner function
					added get-active-edge function
					added defcustom for hot-spots-area here
					 -- (as it's used by get-active-corner)

	* OPTIONS
	* src/fake-libexec
	* lisp/Makefile.in
	* src/Makefile.in: updated

	* lisp/sawfish/wm/edge/infinite-desktop.jl: renamed infinite-desktop.move-distance to
	infinite-desktop-move-distance and renamed infinite-desktop.move-cursor-distance to
	infinite-desktop-move-cursor-distance (note `.' VS `-')
	                                            improved infinite-desktop-enable
						    ported get-active-edge function
						    no longer depends on edge.flip

	* README.IMPORTANT: updated

	* configure.in: display a red warning

	* lisp/sawfish/wm/edge/flip.jl: move add-hook calls to edge-flip-enable

	* lisp/sawfish/wm/edge/hot-spots.jl: added hot-spots version 2.0.0
	                                     no longer depends on edge.flip

2010-10-23  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/windows.jl: remove desktop check from rename-window-func

2010-10-21  Christopher Bratusek <zanghar@freenet.de>
	* man/news.texi: fixed a typo
	                 updated

	* lisp/sawfish/wm/windows.jl: behavior change in `rename-window'.
	Check NEWS for more infos.

2010-10-19  Teika kazura <teika@lavabit.com>
	* man/news.texi: Added a template.

	* CONTRIBUTING
	* Makefile.in
	* man/news.texi
	* po/README
	* po/make-pot: Doc. Added Kim B Heino to the "Thanks" list.
	News. More translation docs.

2010-10-16  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/menus.jl: window-ops-menu does now handle
	window-matchers and makes entries insensitive accordingly.
	Also move the send-window-to and copy-window-to entries into
	the Workspace sub-menu

	* man/news.texi: typo in 1.7.0 NEWS / added 1.7.1

	* sawfish.pc.in: small fix to correctly build pager

2010-10-13  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/menus.jl: "Poweroff" bugfix (again).

2010-10-12  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/menus.jl: "Poweroff" bugfix.
	In 1.7.0, poweroff related commands under root-menu -> session can't
	be invoked. This is fixed.

	* sawfish.el: Indent of `let' is wrong, so deleted it for now.

2010-10-09  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/integration/gnome.jl
	* lisp/sawfish/wm/integration/kde.jl
	* lisp/sawfish/wm/integration/xfce.jl
	* lisp/sawfish/wm/user.jl: Desktop detection minor cleanup.
	Detection and inintialization are separated. This makes less likely
	to err when further changes are done.

	* lisp/sawfish/gtk/widgets/scheme-boolean.jl
	* lisp/sawfish/wm/user.jl: Minor cleanup. Deleted bogus imports.

	* po/make-pot: bugfix; requires "make all" prior to this.
	po/make-pot needs the file "DOC", but it used to generate it in
	wrong way, resulting in sawfish.pot which lacks some strings.
	Now po/make-pot doesn't generate DOC, but it simply aborts if it's
	absent, printing instruction message.

	* po/sawfish.pot: Deleted bogus entries.

	* po/README: Added. It is the manual for translators.

	* po/update.sh: accepts both ja and ja.po.

	* po/am.po
	* po/ar.po
	* po/az.po
	* po/be.po
	* po/bg.po
	* po/bs.po
	* po/ca.po
	* po/cs.po
	* po/da.po
	* po/de.po
	* po/dz.po
	* po/el.po
	* po/en_CA.po
	* po/en_GB.po
	* po/es.po
	* po/et.po
	* po/eu.po
	* po/fi.po
	* po/fr.po
	* po/ga.po
	* po/gl.po
	* po/hu.po
	* po/id.po
	* po/it.po
	* po/ja.po
	* po/ko.po
	* po/lv.po
	* po/mk.po
	* po/ms.po
	* po/nb.po
	* po/ne.po
	* po/nl.po
	* po/nn.po
	* po/no.po
	* po/oc.po
	* po/pa.po
	* po/pl.po
	* po/pt.po
	* po/pt_BR.po
	* po/ro.po
	* po/ru.po
	* po/rw.po
	* po/sk.po
	* po/sl.po
	* po/sr.po
	* po/sr@Latn.po
	* po/sv.po
	* po/tr.po
	* po/uk.po
	* po/vi.po
	* po/wa.po
	* po/zh_CN.po
	* po/zh_TW.po: Updated against new sawfish.pot

	* sawfish.el: Supports indent for 'let-fluids' and let-loop.

	* lisp/sawfish/cfg/group.jl
	* lisp/sawfish/cfg/layouts/keymaps.jl
	* lisp/sawfish/cfg/slot.jl
	* lisp/sawfish/cfg/utils.jl
	* lisp/sawfish/cfg/widgets/command.jl
	* lisp/sawfish/cfg/widgets/match-window.jl
	* lisp/sawfish/cfg/widgets/modifier-list.jl
	* lisp/sawfish/gtk/widget.jl
	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/custom.jl
	* lisp/sawfish/wm/ext/apps-menu.jl
	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/menus.jl
	* lisp/sawfish/wm/misc.jl
	* lisp/sawfish/wm/session/init.jl
	* lisp/sawfish/wm/stacking.jl
	* lisp/sawfish/wm/state/transient.jl
	* lisp/sawfish/wm/state/wm-spec.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl
	* lisp/sawfish/wm/user.jl
	* lisp/sawfish/wm/util/font.jl
	* lisp/sawfish/wm/util/keymap-diff.jl
	* lisp/sawfish/wm/util/ping.jl
	* lisp/sawfish/wm/util/recolor-image.jl
	* lisp/sawfish/wm/util/rects.jl
	* lisp/sawfish/wm/util/window-order.jl
	* lisp/sawfish/wm/util/workarea.jl
	* lisp/sawfish/wm/windows.jl: Indents.
	Let-loop and let-fluids are correctly indented, making them more
	readable.

	* lisp/sawfish/wm/ext/match-window.jl: Two items group changed.
	Group "Placement" is renamed to "Geometry".

2010-09-25  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/ext/old-window-menu.jl: Resurrected. It was
	removed in commit cf79775e.

	* lisp/sawfish/gtk/widgets/scheme-boolean.jl: Reverted the last
	commit b961a052fced. (Retaining bugfix.)

 	* lisp/sawfish/gtk/widgets/simple-dialog.jl
	* man/news.texi
	* man/sawfish-config.1: News & doc. See git commit 5fafc9680e log
	for the details.

2010-09-23  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/commands/viewport-extras.jl: export `move-viewport-next'
	and `move-viewport-previous' (both required for pager 0.7.5)

2010-09-21  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/gtk/widgets/scheme-boolean.jl: fixed loading widget-dialog,
	it's now in simple-dialog. Also change the behaviour a bit: Previously the
	buttons label changed from "Yes" to "No" depending on state, now it's only
	"Enable", this to improve window-matcher appearance (scheme-boolean is only
	used in window-matcher and an revised version (with real fix) will come with
	Sawfish 3.0.0).

	* debian/sawfish-data.install.in: remove monitor.png from here, too.

	* lisp/sawfish/wm/ext/edge-flip.jl: some comments on upcoming changes
	in 2.90.0 cycle

	* lisp/sawfish/wm/ext/infinite-desktop.jl: improved name of the functions.
	some comments on upcoming changes in 2.90.0 cycle. export
	`infinite-desktop-enable' (so that it can be enabled via sawfishrc, too)

2010-09-21  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/keymaps.jl
	* lisp/sawfish/wm/windows.jl: window-property 'never-delete'
	spec change.
	It was only used in delete-window-safely. But now, this property
	is valid for some others too, but only when they are called
	interactively. This allows user to choose the mouse binding of
	"close-button".
        The key binding of "close-button" is reverted to 'delete-window',
	the previous.

2010-09-19  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/old-window-menu.jl: removed. it has been replaced
	by beos-window-menu in version 0.28.1

	* lisp/sawfish/wm/ext/3d-hack.jl: removed.

	* lisp/sawfish/cfg/Makefile.in
	* lisp/sawfish/gtk/Makefile.in
	* po/POTFILES.in
	* po/sawfish.pot: updated

	* lisp/sawfish/gtk/widgets/simple-dialog.jl: fix in it's define-structure

	* lisp/sawfish/cfg/utils.jl: added. contains `remove-newlines' and
	`beautify-symbol-name' functions.

	* lisp/sawfish/cfg/layout.jl
	* lisp/sawfish/cfg/widgets/command.jl
	* lisp/sawfish/cfg/widgets/keymap.jl
	* lisp/sawfish/cfg/widgets/match-window.jl: removed multiple definitons
	of `remove-newlines' and `beautify-symbol-name' functions. Modules now
	use sawfish.cfg.utils instead.

	* lisp/sawfish/gtk/widgets/list.jl: use the nicer gtk-stock-buttons rather
	than plain ones

	* lisp/sawfish/cfg/shell.jl: the shadow-type of the root-container was
	changed from out to etched-in. The command-line option --single-level
	was removed, as it was broken and somewhat useless. Early GNOME-ControlCenter
	did use capplets to start configuration. Capplets aren't in use for years
	anymore and have been removed from Sawfish 1.5.0. Now some remaining
	fragments from SawfishConfig are removed, too, with them the --socket-id
	command-line option. Set window-icon to "sawfish-config"

	* lisp/sawfish/cfg/sawfish-config.png: default window-icon for SawfishConfig
	If it doesn't show up, run `gtk-update-icon-cache /usr/share/icons/hicolor/'
	first and restart SawfishConfig, it will be displayed then.

	* lisp/sawfish/cfg/monitor.png: removed. was used by the capplets and those
	where removed a long time ago.

2010-09-18  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/gtk/widgets/simple-dialog.jl: renamed sawfish.gtk.stock
	to sawfish.gtk.widgets.simple-dialog as the functions `about-dialog'
	-(replaced by native gtk-about-dialog) and `stock-button' (replaced by
	native gtk-button-new-from-stock) have been removed and `simple-dialog'
	is the only remaining function. A wrong export has been removed, too.

	* lisp/sawfish/gtk/Makefile.in
	* lisp/sawfish/cfg/shell.jl
	* lisp/sawfish/cfg/apply.jl
	* lisp/sawfish/cfg/widgets/keymap.jl
	* lisp/sawfish/cfg/widgets/match-window.jl
	* lisp/sawfish/gtk/widget-dialog.jl: updated for above change

	* lisp/sawfish/gtk/widget-dialog.jl
	* lisp/sawfish/gtk/widgets/simple-dialog.jl: merged widget-dialog.jl
	into simple-dialog.jl

	* lisp/sawfish/gtk/widget-test.jl: removed, since it is heavily broken

2010-09-17  Christopher Brautsek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/windows.jl: added `never-delete' window-matcher.
	Window matched by this can't be deleted by the `delete-window-safely'
	function, only by `delete-window' (which equals to `xkill').

	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/commands/move-resize.jl: added `fixed-size' window-matcher.
	Window matched by this can't be resized by the `resize-window-interactively',
	`halve-window-size' or `double-window-size' functions, but by maximize-*.

	* lisp/sawfish/wm/keymaps.jl: by default the close-buttons calls `delete-window-safely'
	rather than `delete-window'.

2010-09-16  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/commands/grow-pack.jl
	* lisp/sawfish/wm/ext/window-history.jl
	* lisp/sawfish/wm/state/wm-spec.jl
	* man/news.texi
	* themes/mxflat/theme.jl: Minor doc, including news.

	* lisp/sawfish/wm/defaults.jl
	* lisp/sawfish/wm/user.jl: Cleanups around user.jl.
        Deleted fake support of ~/.sawfish/rc{,.jl,.jlc}. A file with a
	suffix was never read, but the code was in the guise of supporting
	them.
	Renaming of "sawmill" is not done when batch-mode. The code is
	pushed into a function.
	Deleted (require 'sawfish.wm.ext.error-handler) from
	`defaults.jl'. It is now meaningless because it's already opened
	by user.jl.

	* lisp/sawfish/wm/user.jl: Print stack trace on error during
	~/.sawfish/rc execution.

	* OPTIONS
	* lisp/sawfish/wm/defaults.jl
	* lisp/sawfish/wm/integration/gnome.jl
	* lisp/sawfish/wm/integration/kde.jl
	* lisp/sawfish/wm/integration/standalone.jl
	* lisp/sawfish/wm/integration/xfce.jl
	* lisp/sawfish/wm/menus.jl
	* lisp/sawfish/wm/user.jl
	* man/news.texi
	* man/sawfish.texi: Desktop environmet detection cleanup.
	defaults.jl is deleted.
	DE detection are done by each module, e.g. kde detection is done
	in kde.jl
	defvar of `desktop-environment' and `want-poweroff-menu' are
	centralized to .jl
	Each DE support module doesn't defvar them, but simple setq.
	standalone.jl is deleted. Adding poweroff menu is moved to menus.jl
	Doc.

	* lisp/sawfish/wm.jl
	* lisp/sawfish/wm/user.jl: Cleanup; loading of wm-spec
	is moved to wm.jl

2010-09-11  Teika kazura <teika@lavabit.com>
	* configure.in
	* man/news.texi: Librep version re-bump. 0.90.7 -> 0.91.0

	* CONTRIBUTING
	* OPTIONS
	* lisp/sawfish/gtk/stock.jl
	* lisp/sawfish/wm.jl
	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/commands/describe.jl
	* lisp/sawfish/wm/customize.jl
	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/util/nokogiri.jl
	* lisp/sawfish/wm/windows.jl
	* man/news.texi
	* man/sawfish.1
	* man/sawfish.texi
	* src/functions.c
	* src/x.c
	* themes/mxflat/README: doc. Typo fixes for x-draw-text. Session
	management command line options are listed in "sawfish.1".
	Added history on lisp/sawfish/gtk/stock.jl. Update on bug reporting
	instruction. Sort of news items by importance. Others.

	* po/gl.po
	* po/it.po
	* po/ro.po
	* po/tr.po: Switched to utf-8.

	* debian/sawfish.el:
	* sawfish.el: Moved sawfish.el to the top dir, and updated.
	Read news.texi for changes.

	* TODO
	* lisp/sawfish/cfg/WISHLIST: WISHLIST is merged to TODO. Some
	items in TODO are in bugzilla too, but the latter contained
	some extra info. Now TODO records it, too.
	Cleanup of redundant or obsolete items.

2010-08-26  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/apps-menu.jl: more power for our fdo-menu.
	The variable apps-menu-ignore-no-display is replaced by
	apps-menu-show-all (check OPTIONS or NEWS) [Matthew Love]

2010-08-24  Christopher Bratusek <zanghar@freenet.de>
	* src/flippers.c: plug a memory-leak

2010-08-22  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/integration/kde.jl: append /usr/share/applications/kde4
	to desktop-directory, so that kde4-only menu-entries show up

	* lisp/sawfish/wm/ext/apps-menu.jl: make the apps-menu honor NotShowIn
	and OnlyShowIn values. Some refinements [Matthew Love]

2010-08-21  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/cfg/shell.jl: improved look of the error-dialog
	-- (improved spacing, window-title, window-icon, line-wrapping)

	* lisp/sawfish/wm/ext/apps-menu.jl: improved the way the apps-menu
	detected the language to use. It now better follows the fdo spec
	-- [Matthew Love]

	* lisp/sawfish/wm/integration/standalone.jl: header update

	* lisp/sawfish/wm/integration/gnome.jl
	* lisp/sawfish/wm/integration/kde.jl: accelerators for all
	menu-entries in kde-int and gnome-int. added GNOME-CC and KDE4
	SystemSettings menu-entries in session-menu

	* lisp/sawfish/wm/defaults.jl: added XFCE detection, improved KDE4
	detection

	* lisp/sawfish/wm/integration/xfce.jl: added xfce integration-module

	* lisp/sawfish/wm/menus.jl: added accelerators for all menu-entries,
	betters strings for sawfish-help menu-entries

	* lisp/sawfish/wm/menus.jl: revert ba60d1e51c6420a3e3d07b1417d9d4ee30cf849a

	* lisp/sawfish/wm/integration/gnome.jl
	* lisp/sawfish/wm/integration/kde.jl
	* lisp/sawfish/wm/integration/standalone.jl
	* lisp/sawfish/wm/integration/xfce.jl: added `desktop-environment' variable
	which might be used by DE-dependent scripts to check which one is running
	or `none'

	* configure.in: bump minimum rep-gtk to 0.90.4

	* man/news.texi: updated

2010-08-21  Teika kazura <teika@lavabit.com>
	* README.IMPORTANT
	* lisp/sawfish/wm.jl
	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/frames.jl
	* man/news.texi
	* man/sawfish.texi: Doc, including news improvements.

	* src/keys.c
	* src/keys.h
	* src/main.c: Dropped button9 support. It has been broken.
	Proof: in src/keys.h,
        Button9Mask = 1 << 16 = EV_TYPE_KEY = 0x10000;

	* lisp/sawfish/cfg/shell.jl
	* man/news.texi: When configurator is executed and Sawfish WM is
	not run, prints a message window.  No care is taken for its
	appearance.

	* lisp/sawfish/wm/commands/x-cycle.jl
	* man/news.texi: Minor warp fix in x-cycle. This reduces warping
	for some cases.  Previously, the necessity of a warp is judged by
	the geometry before the raise is done. Now the updated one is
	used.

	* lisp/sawfish/wm/commands/raise-commands.jl
	* lisp/sawfish/wm/ext/auto-raise.jl
	* lisp/sawfish/wm/util/compat.jl
	* lisp/sawfish/wm/util/stacking.jl
	* man/news.texi
	* man/sawfish.texi: Functions maybe-raise-window and
	maybe-lower-window are now obsolete.
	They're now aliases to raise-window* and lower-window*. The only
	difference is that the obsolete version supports a nautilus
	feature which was dropped long ago.

	* lisp/sawfish/wm/commands/launcher.jl
	* man/news.texi: Command `xterm' bugfix.
	It didn't run if the optional argument as a command is not set.

2010-08-19  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/apps-menu.jl: correctly alphabetize menu-entries.
	Previously they were sorted [A-Z][a-z] (first all upper- then all loser-case
	entries), now it's done properly [aA-zZ]. [Matthew Love]

2010-08-18  Christopher Bratusek <zanghar@freenet.de>
	* src/x.c
	* lisp/sawfish/wm/util/window-outline.jl: added x-draw-text function for properly
	drawing strings in the draft animator. Fixes the issues where the numbers drawn
	by it had the wrong color (might have been invisible) and that they didn't get erased

	* man/news.texi
	* man/sawfish.texi: updated

2010-08-15  Christopher Bratusek <zanghar@freenet.de>
	* man/news.texi: wording & co

	* man/sawfish.1: add --5-buttons to SYNOPSIS

2010-08-14  Jeremy Hankins <nowan@nowan.org>
	* lisp/sawfish/wm/state/maximize.jl
	* lisp/sawfish/wm/util/edges.jl
	* lisp/sawfish/wm/util/workarea.jl: Fixed bug where maximized
		  windows could overlap avoided windows on restart.

2010-08-13  Christopher Bratusek <zanghar@freenet.de>
	* src/flippers.c
	* lisp/sawfish/wm/ext/edge-flip.jl: make edge-flipping work after
	resolution-change

	* lisp/sawfish/wm.jl: revert commit 379750f67d7227499a93b35dfa8c138d4ca5606f
	fixes sawfish not starting up when receiving a session-id

2010-08-13  Jeremy Hankins <nowan@nowan.org>
	* lisp/sawfish/wm/viewport.jl: Fixed viewport init bug.

2010-07-31  Teika kazura <teika@lavabit.com>
	* KEYBINDINGS
	* lisp/sawfish/wm.jl
	* lisp/sawfish/wm/ext/edge-flip.jl
	* lisp/sawfish/wm/ext/match-window.jl
	* man/faq.texi
	* man/news.texi
	* man/sawfish.texi
	* man/user-doc.texi
	* src/frames.c
	* src/keys.c
	* src/sawfish.h
	* src/sawfish_subrs.h: Doc
	Polished news.
	Corrected edge-flip docs.
	Supplemented lacking description of subrs: (un)grab-keymap,
	x-raise-window, x-lower-window, and frame-state-mutex.
	In sawfish.texi, all "#!optional" are put into @t{..}.
	Comments.

2010-07-30  Christopher Bratusek <zanghar@freenet.de>
	* src/main.c: add --5-buttons to sawfish --help

2010-07-24  Christopher Bratusek <zanghar@freenet.de>
	* debian/source/format: set 3.0 (native) source format

	* man/news.texi
	* configure.in: bump version to 1.7.0

2010-07-20  Christopher Bratusek <zanghar@freenet.de>
	* config.h.in: updated

	* configure.in: bump minimum librep to 0.90.7

	* lisp/sawfish/wm/integration/gnome.jl
	* lisp/sawfish/wm/integration/kde.jl
	* themes/Elberg-tabbed/INSTALL
	* themes/get-S-tabbed/INSTALL
	* screenshotter/prep_config.sh
	* README.IMPORTANT
	* OPTIONS: syntax-update for librep 0.90.7

	* man/news.texi: updated

2010-07-03  Teika kazura <teika@lavabit.com>
	* configure.in
	* man/news.texi
	* man/sawfish.1
	* src/events.c
	* src/keys.c
	* src/keys.h: Keyboard layout switching support.
	In 5-button mode, event's state is masked to drop the key group, and
	lower 13 = 8 + 5 bits are taken. (8 for modifiers, 5 for buttons.)
	This fixes the bug that keyboard layout switching messed bindings.
	5-button is now a command line option, not any more the build-time option.

	* lisp/sawfish/wm/server.jl
	* man/news.texi
	* src/server.c: Errors of asynchronous connection are printed
	to Sawfish's output.

	* man/news.texi
	* src/client.c: Polished news. A comment in source.

2010-06-22  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/menus.jl: add a separator to the start of the root menu
	                            the menu might disappear directly due to the
				    dummy "Sawfish Rootmenu" headline, this border
				    prevents that.

2010-06-22  Teika kazura <teika@lavabit.com>
	* man/news.texi
	* src/functions.c: x-atom-name accepts full 32 unsigned
	int. Previously only 30 bits are treated, if the architecture is
	32-bit.

	* lisp/sawfish/wm/server.jl
	* man/news.texi: Prints backtrace for sawfish-client, too.
	This makes sense if you're using librep >= 0.90.7. Harmless anyway.

	* lisp/sawfish/cfg/main.jl.in
	* lisp/sawfish/cfg/shell.jl
	* man/news.texi: Made `sawfish-config' minimal, moving most the
	contents to sawfish.cfg.shell.  This facilitates hacks.

	* lisp/sawfish/wm/ext/error-handler.jl
	* man/news.texi: Better error message.
	Phrase "Sawfish error:" is prepended to error messages printed to
	standard error.

	* lisp/sawfish/wm/util/compat.jl
	* man/news.texi: Restored two options from "obsolete" declaration.
	They're workspace-boundary-mode and workspace-send-boundary-mode.

	* lisp/sawfish/wm/commands.jl
	* man/faq.texi
	* man/news.texi: Manuals (1). All options are now described.

	* CONTRIBUTING
	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/ext/old-window-menu.jl
	* man/faq.texi
	* man/news.texi
	* man/sawfish-client.1
	* man/sawfish.texi
	* src/display.c
	* src/libclient.h: Doc.
	Improvement of news and man on the new "border" feature.
	Two new faq items.
	Added Daniel M. German to "thanks" list.

	* sawfish.ebuild.in: Declared that it is not an official one of
	any distribution.

	* sawfish-wm.desktop: Encoding fix in sawfish-wm.desktop.
	Greek was broken.

	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/ext/3d-hack.jl: Not autoloaded any more.

2010-05-28  Jeremy Hankins <nowan@nowan.org>
	* lisp/sawfish/wm/util/prompt.jl: Fix compilation error
	                 -- [Harald van Dijk]

2010-05-23  Jeremy Hankins <nowan@nowan.org>
	* lisp/sawfish/wm/util/prompt-extras.jl
	* lisp/sawfish/wm/util/prompt-wm.jl
	* lisp/sawfish/wm/util/prompt.jl: Changed the way prompt is called:
		helper functions are now passed directly instead of implicitly
		via let statements.  Also reverts the previous compilation error
		fix, since it's no longer necessary.

2010-05-23  Christopher Roy Bratusek <zanghar@freenet.de>
	* man/sawfish.texi
	* src/events.c
	* src/frames.c
	* src/sawfish.h
	* src/windows.c: added border_with and border_color frame-part attributes
			 -- [Alexey I. Froloff]

2010-05-16  Christopher Bratusek <zanghar@freenet.de>
	* src/display.c: allow compilation with -DDEBUG

	* man/news.texi: updated

2010-05-15  Teika Kazura <teika@lavabit.com>
	* man/news.texi: Added a link.

2010-05-11  Teika Kazura <teika@lavabit.com>
	* man/news.texi
	* man/sawfish.texi
	* src/display.c
	* src/events.c
	* src/functions.c
	* src/sawfish_subrs.h: Complets the last RandR edit. At least it's
	correct if you have only one screen, or if you use Xinerama.
	Most importantly, screen size information is updated after
	XRRScreenChangeNotifyEvent.
	Other changes:
	NULL display check of the RandR is changed to Sawfish conventional
	way. (Just to be in accordance.) Minor memeory leak fix.
	Doc.

	* ChangeLog
	* man/faq.texi
	* man/news.texi
	* man/sawfish.texi
	* KEYBINDINGS
	* src/keys.c: docs.

2010-04-27  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: make xinerama an optional dependency
			-- [modified patch from Gentoo]

	* lisp/sawfish/wm/ext/apps-menu.jl: Allow whitespace and comments
	                                    at the beginning of .desktop files.
					    -- [Matthew Love, Teika Kazura]

	* src/Makefile.in
	* src/display.c
	* src/events.c: add a way to response to XRandR changed events
	                eg resolution changes via randr-change-notify-hook
			-- [Daniel M. German]

2010-04-06  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/util/gtkrc.jl
	* man/news.texi
	* man/sawfish.texi: Minor doc. News improvements. Minor typo fix.

	* lisp/sawfish/wm/ext/old-window-menu.jl: Utf8 support in
	old-window-menu.jl.

2010-03-20  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/tabs/tab.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl: several additions, check man/news.texi [Fuchur]

	* man/news.texi: updated

2010-03-20  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/windows.jl
	* man/news.texi
	* man/sawfish.texi: Implemented 'spec' option for window-class.

	* lisp/sawfish/wm/windows.jl
	* man/news.texi
	* man/sawfish.texi: Implemented 'window-pid'. Checked that even if
	pid is not available it doesn't signal an error (with xv).

	* README
	* man/news.texi
	* man/sawfish.texi
	* src/keys.c: Doc. Info "Events" chapter improvements. News revision.

2010-03-19  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/state/maximize.jl: make maximize-/-fullscreen/fullxinerama
	                                     honor maximize-raises [Nolan Leake]

	* lisp/sawfish/wm/ext/apps-menu.jl: Anti-brekage for "R".
	Removal of phony constants. Some code refactoring. [Teika Kazura]

2010-03-13  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/util/display-wininfo.jl: missing require

2010-03-13  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/util/display-wininfo.jl
	* man/news.texi
	* man/sawfish.texi: 'display-window-position' command is implemented.

	* lisp/sawfish/wm/state/maximize.jl: Deleted bogus exports.

	* lisp/sawfish/wm/custom.jl
	* lisp/sawfish/wm/stacking.jl: Fix of a semi-bug. (defgroup stacking)
	is moved to custom.jl from stacking. Without this, adding 'tab' to
	open clause of wm.frames breaks the startup. Read git commit
	928355 log for the details.

	* README
	* lisp/sawfish/wm/ext/old-window-menu.jl: Minor doc change.

2010-03-06  Teika Kazura <teika@lavabit.com>
	* OPTIONS
	* lisp/sawfish/wm/util/display-window.jl
	* man/faq.texi
	* man/news.texi
	* man/sawfish.texi
	* src/events.c
	* src/windows.c: Doc, mainly texi "windows" chapter organization. Groups are revised. New sections: "Getting Windows",
	                 "Stacking Vilibility", "Activating Window". Functions `display-window' and `activate-window' are documented.
			 Option `unshade-selected-windows' is documented.  Distinction between 'window-wants-input-p' and
			 'window-really-wants-input-p' is described. Minor error fix: 'window-transient-p' returns the parent id,
			 not t, when transient. Docstring with trailing "\\w" puts the widget right to the label in the configurator.
			 Faq item on per head workspace switching.

	* OPTIONS
	* lisp/sawfish/wm/windows.jl
	* man/faq.texi
	* man/news.texi: Long unsupported option 'ignore-window-input-hint' is deleted, together with related codes.

	* man/news.texi
	* man/sawfish.texi: In texi, dropped 'edition' number, the date oflast update, and so on. These items tend to be
	                    incorrect, since editors often forget touching them.

2010-02-27  Teika Kazura <teika@lavabit.com>
	* lisp/Makefile.in
	* lisp/sawfish/cfg/main.jl.in
	* lisp/sawfish/wm.jl
	* man/news.texi
	* man/sawfish.texi
	* src/main.c
	* src/sawfish_subrs.h
	* themes/Makefile.in: Implements SAWFISH_USER_LISP_DIR. Like PATH, it's colon seperated directories.
	                      Its value will be prepended to load-path. Now it's possible for users to override any
			      installed lisp files. sawfish-config respects it, too. Doc.

	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/custom.jl
	* lisp/sawfish/wm/misc.jl
	* lisp/sawfish/wm/state/iconify.jl
	* lisp/sawfish/wm/util/with-output.jl
	* lisp/sawfish/wm/windows.jl
	* man/news.texi
	* man/sawfish.texi: Doc. Comments in source to prevent error during init. Comment on _SAWFISH_WM_RAISE_WINDOW
	                    and _SAWFISH_WM_LOWER_WINDOW. `select-window' returns nil for the root window.

2010-02-17  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/keymaps.jl: then pressing the lock-button also do a state-change [Fuchur]

2010-02-16  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: post-release versionbump to 1.6.3 "Hava Nagila"

2010-02-13  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/ext/apps-menu.jl
	* man/news.texi: The dangerous 'open-file' in apps-menu.jl is protected with condition-case. Symlink is read again.
	                 All 'if' are replaced by 'when' when possible.

	* lisp/sawfish/gtk/README
	* src/display.c: Doc. Comments in source. New file lisp/sawfish/gtk/README describes the diretory's contents.

	* lisp/sawfish/wm/tabs/tab.jl: Minor fix: delete bogus export in tab.jl.

	* lisp/sawfish/wm/ext/match-window.jl
	* man/news.texi: Bugfix of window placement by direction. When the window placement mode is for example east
	                 and the window is wider than the screen, then the window was put wrongly. It is fixed.

2010-02-13  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/apps-menu.jl: non-readable .desktop files are no longer stopping sawfish startup
	                                    though files with permission 000 are still...

2010-02-10  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/apps-menu.jl: - ignore .desktop files that are symlinks
	                                    - don't crash if first char of a keyvalue is ;
					    - don't crash if # is part of the keyvalue
					    -- [Matthew Love]

2010-02-02  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/cfg/wm.jl
	* lisp/sawfish/wm/commands/grow-pack.jl
	* lisp/sawfish/wm/commands/shrink-yank.jl
	* lisp/sawfish/wm/util/compat.jl
	* lisp/sawfish/wm/util/nokogiri.jl
	* man/Makefile.in
	* man/faq.texi
	* man/news.texi
	* man/sawfish.texi:  Doc changes. Corrections and descrption / format improvements in grow, pack, shrink and yank.
	                     Verbose instruction on how to compile docs. Describes exactly what 'obsolete' variables are.
			     Comments in sourecs. Basic Xinerama doc.

2010-01-24  Christopher Bratusek <zanghar@freenet.de>
	* sawfish.spec.in: improved [Kim B. Heino]

2010-01-23  Christopher Bratusek <zanghar@freenet.de>
	* sawfish.ebuild.in: improved

2010-01-18  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/menus.jl: sawfish-themer is dead, so remove the corresponing entry from custom-menu

	* lisp/sawfish/wm/frames.jl: sawfish-themer is dead, so remove frame-style-editable-p
	                             and all remaining sawfish-themer fragments

	* KEYBINDINGS: underline headings
	               add keymap for specific application section
		       add keymap-trans section

	* man/sawfish.texi
	* man/news.texi: updated

2010-01-15  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/commands/jump-or-exec.jl: added a modified version of jump-or-exec,
	                                            which supports both matching against WM_NAME
						    and WM_CLASS

	* Makefile.in: remove sawfish.pc upon distclean, not gitlcean

2010-01-12  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/state/maximize.jl
	* man/news.texi
	* man/sawfish.texi: New command 'maximize-discard'. Some doc and code improvements in maximize.jl.

2010-01-10  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: post-release version-bump to 1.6.2 "Mighty Disco King"

2010-01-06  Jeremy Hankins <nowan@nowan.org>
	* lisp/sawfish/wm/viewport.jl: Reset the viewport to 0,0 on exit
		  for *all* workspaces.  This prevents windows from ending
		  up in strange places on restart.  Also fixed a bug in
		  select-workspace-and-viewport where it would not select
		  the correct viewport.

2010-01-03  Christopher Bratusek <zanghar@freenet.de>
	* Makefile.in: + add gitclean target
	               + instead of removing generated packging-script files upon
		        `distclean', remove them on `gitclean'
		       + call fakeroot debian/rules clean
		       + remove NEWS and FAQ rules (dupped, as in man/Makefile.in)

	* debian/changelog.in: s/+0200/+0100/

	* debian/control.in: removed debian-specific bits

	* sawfish.spec.in: don't call autogen.sh

	* debian/rules: don't all autotools
	                don't remove config.{guess,sub} on rules/clean
			removed unnecessary bit

	* lisp/Makefile.in
	* lisp/sawfish/cfg/Makefile.in
	* lisp/sawfish/gtk/Makefile.in
	* man/Makefile.in
	* scripts/Makefile.in
	* sounds/Makefile.in
	* themes/Makefile.in
	* src/Makefile.in: renamed all realclean rules to gitclean
	                   general improvements on *clean rules

	* autogen.sh: call gitclean instead of distclean

	* sawfish.ebuild.in: remove audiofile/esound
	                     missing `fi' added

2010-01-03  Jeremy Hankins <nowan@nowan.org>
	* lisp/sawfish/wm/state/wm-spec.jl
	* lisp/sawfish/wm/viewport.jl: Fixed bug where gnome-pager gets
		  confused about the viewport when displaying all
		  workspaces.

2010-01-02  Christopher Bratusek <zanghar@freenet.de>
	* po/Makefile.in: don't remove sawfish.pot upon distclean

	* sawfish.pc.in: export the imageloader sawfish is configured
	                 to make use of [required for sawfish-pager 0.7.2]

	* man/news.texi: revised and updated

	* sawfish.pc.in
	* sawfish.spec.in
	* debian/sawfish.install
	* src/Makefile.in: install headers to $includedir/sawfish/
	                   -- [required for sawfish-pager 0.7.2]

	* src/client.c
	* src/sawfish.h: updated for librep 0.90.5 header directory change

	* src/sawfish.h: include config.h, if available, else sawfish_config.h

	* configure.in: bump minimum librep to 0.90.5
	                bump minimum rep-gtk to 0.90.2

	* autogen.sh: added --nocfg flag for not running configure afterwards

	* sawfish.spec.in: improved [Kim B. Heino]

2009-12-30  Timo Korvola <tkorvola@iki.fi>
	* lisp/sawfish/wm/commands/shrink-yank.jl: fixed docstrings

2009-12-29  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: auto-generate debian/control

	* debian/control: clean-up, configure-magic

	* debian/sawfish.install: updated

	* man/news.texi: updated

	* configure.in
	* config.h.in
	* src/dlmalloc.c: removed our own dlmalloc, as it breaks too many arches,
	                  and is therefore never in use since several years [Kim B. Heino]

2009-12-28  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: use `kde4-config --install data' instead of `kde4-config --path data' [Kim B. Heino]

	* sawfish.spec.in: find kde4/librep directories while runtime instead of hardcoding [Kim B. Heino]

	* man/news.texi: added 1.6.1 section
	                 updated
			 added Codenames to Headings

	* configure.in: generate debian/changelog from debian/changelog.in

2009-12-27  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: improve configures help message for better readability [Kim B. Heino]

	* lisp/sawfish/wm/workspace.jl
	* src/display.c: s/sawmill/sawfish/ [Kim B. Heino]

	* man/sawfish.texi: small misstake in doc

2009-12-22  Christopher Bratusek <zanghar@freenet.de>
	* man/news.texi: revised

	* KEYBINDINGS: more description on KeyPad

	* README.IMPORTANT: updated

	* debian/changelog: removed, generated from .in file

	== 1.6.1 ==

	* configure.in: post-release version-bump to 1.6.1 "Astral"
			--without-nine-mouse-buttons is not allowed to have 4 hyphens,
			so it's now --without-nine-mousebuttons

	* sawfish.spec.in: small fixup [Kim B. Heino]

2009-12-21  Christopher Bratusek <zanghar@freenet.de>
	* po/sawfish.pot: updated

	* man/sawfish.texi: added doc for popup-window-list-menu

	* configure.in: different code name (I don't want to have the same for RC and Stable)

2009-12-19  Christopher Bratusek <zanghar@freenet.de>
	* po/sawfish.pot: added sawfish.pot to the tree, as intltool + sawfish is a no-go currently

2009-12-19  Teika Kazura <teika@lavabit.com>
       * lisp/sawfish/wm/ext/infinite-desktop.jl
       * OPTIONS
       * man/sawfish.texi: Give short description on "infinite desktop". Docstrings. Small clean up.

2009-12-18  Christopher Bratusek <zanghar@freenet.de>
	* po/POTFILES.in: recreated file

	* po/*.po: regenerated

	* po/make-pot: make this work in an empty tree

2009-12-15  Teika Kazura <teika@lavabit.com>
	* man/news.texi: News items for 'libexec' -> 'lib' change, and need for sawfish-pager recompilation.

	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/state/maximize.jl
	* lisp/sawfish/wm/util/edges.jl
	* lisp/sawfish/wm/viewport.jl
	* man/sawfish.texi: Renamed 'viewport-offset-pixel' to 'viewport-offset-coord'.

	* lisp/sawfish/wm/state/maximize.jl
	* lisp/sawfish/wm/viewport.jl
	* man/news.texi
	* man/sawfish.texi: 'window-relative-position' is unified to 'window-absolute-position'. These two functions are similar, but not identical. The former is recently introduced, so I chose to make the old one remain, and merged the newer to the older.
			     Yet, I don't understand the exact difference under the real world use. Improvements in documentation is desired

	* README.IMPORTANT
	* man/news.texi: News item on the deletion of 'user-level' defcustom property.

2009-12-15  Christopher Bratusek <zanghar@freenet.de>
	* NEED_DOC_BEFORE_1_6_0: removed (infinite-desktop is the only remaining item)

2009-12-12  Christopher Bratusek <zanghar@freenet.de>
	* README.IMPORTANT: updated

	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/menus.jl: added popup-window-list-menu command

2009-12-12  Teika Kazura <teika@lavabit.com>
	* man/faq.texi
	* man/news.texi
	* man/sawfish.texi: Doc for poweroff.

	* man/sawfish.texi: Small reorganization.

	* lisp/sawfish/wm/util/compat.jl: Outdated part deletion.
					  Declaration as obsolete for 'sawfish-directory' and so on are not necessary now, after purge of 'sawmill'.
					  Deleted codes are harmless, but confusing.

	* OPTIONS
	* lisp/sawfish/wm/integration/gnome.jl
	* lisp/sawfish/wm/integration/kde.jl
	* lisp/sawfish/wm/integration/standalone.jl
	* lisp/sawfish/wm/user.jl
	* man/news.texi: Poweroff refinements. Describes the option if you want poweroff menu. Option "extra-session-menu" is renamed to 'want-poweroff-menu'.

2009-12-08  Christopher Bratusek <zanghar@freenet.de>
	* debian/rules
	* debian/control: depend on automake rather than on automake1.10

2009-12-07  Christopher Bratusek <zanghar@freenet.de>
	* man/Makefile.in: don't hardcode /usr in manpage installation path

2009-12-05  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/commands/x-cycle.jl: make cycle-class don't ignore window-order [Daniel M. German]

	* lisp/sawfish/wm/ext/window-history.jl: more commands in the window-history-menu

	* lisp/sawfish/wm/commands/launcher.jl: addded structure alias

	* OPTIONS
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/defaults.jl
	* lisp/sawfish/wm/commands/poweroff.jl
	* lisp/sawfish/wm/integration/gnome.jl
	* lisp/sawfish/wm/integration/kde.jl
	* lisp/sawfish/wm/integration/standalone.jl
	* lisp/sawfish/wm/user.jl
	* man/sawfish.texi: Added poweroff command for letting none KDE/GNOME users easily
			    reboot, halt, suspend or hibernate their machine. The commands
			    beeing used to do so are also user-settable. In addition, when
			    it's used to reboot or halt, when we call the `before-exit-hook'
			    and `map-windows delete-window' before actually rebooting or halting,
			    to ensure everything is fine on the next startup. Furthermore
			    entries to the session-menu are beeing added. If you're using
			    KDE or GNOME then those are not generated.

	* Makedefs.in
	* configure.in
	* debian/rules
	* sawfish.pc.in
	* sawfish.spec.in: use $prefix/lib instead of $prefix/libexecdir to satisfy FHS

	* configure.in: minimum librep is now 0.90.4

	* man/news.texi: updated

2009-12-05  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/custom-defaults.jl
	* lisp/sawfish/wm/ext/match-window.jl
	* man/news.texi
	* man/sawfish.texi: New grammar for 'add-window-matcher' and 'remove-window-matcher'.

	* lisp/sawfish/wm/commands/move-resize.jl: Minor bugfix. Correct integer type is used, instead of "round".

	* README.IMPORTANT
	* lisp/sawfish/wm/viewport.jl
	* man/news.texi
	* man/sawfish.texi
	* man/user-doc.texi: Doc improvements.

2009-11-28  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/ext/match-window.jl: New grouping for configurator items. Group "State" is removed. New items for 1.6, "fullscreen" and "fullscreen-xinerama" are combined into "maximize".

	* man/news.texi: Description on GNOME is completed. The error in the previous edit (some lines dup) is fixed.

2009-11-21  Teika Kazura <teika@lavabit.com>
	* lisp/sawfish/wm/util/compat.jl
	* man/news.texi: Custom var 'uniconify-to-current-viewport' is deprecated, but valid again.

	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/state/maximize.jl
	* lisp/sawfish/wm/util/edges.jl
	* lisp/sawfish/wm/viewport.jl
	* man/sawfish.texi: `viewport-offset' is renamed to `viewport-offset-pixel'.

	* lisp/sawfish/wm/viewport.jl
	* man/sawfish.texi: Doc bugfix of window-absolute-position.

	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/commands/help.jl
	* lisp/sawfish/wm/commands/launcher.jl
	* lisp/sawfish/wm/commands/user.jl
	* lisp/sawfish/wm/ext/apps-menu.jl
	* lisp/sawfish/wm/integration/gnome.jl
	* lisp/sawfish/wm/integration/kde.jl
	* lisp/sawfish/wm/menus.jl
	* lisp/sawfish/wm/workspace.jl: Renamed wm/commands/user.jl to wm/commands/launcher.jl. Necessary changes for 'define-structure' and module openings are included.

	* lisp/sawfish/wm/commands/launcher.jl
	* man/news.texi
	* man/sawfish.texi:News and docs for xterm and browser are improved.

	* lisp/sawfish/wm/commands/launcher.jl: Commands xterm & browser can take an argument.

	* OPTIONS
	* lisp/sawfish/wm/viewport.jl
	* man/news.texi
	* man/sawfish.texi: Doc improvements, mostly on viewport.

2009-11-17  Christopher Bratusek <zanghar@freenet.de>
	* src/keys.[ch]: reverted merge of mouse branch

	* man/news.texi: updated

	* configure.in: added --with-nine-mousebuttons to make 9 button support
			optional, enabled by default, configures ending message
			shows how many buttons are configured to be supported

	* README.IMPORTANT: updated

	* po/POTFILES.in: added sawfish.wm.ext.apps-menu to the list

	* lisp/sawfish/wm/custom.jl
	* themes/Crux/theme.jl
	* themes/gradient/theme.jl
	* themes/mono/theme.jl
	* themes/simple/theme.jl
	* themes/smaker/theme.jl: removed user-level value of defcustom. Not used for years,
				  but still here, so it's gone now

2009-11-14  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/user.jl
	* lisp/sawfish/wm/workspace.jl: removed display-message-with-timeout
						view-clipboard
						display-ws-name
						with all setters and defvars/defcustoms

	* man/news.texi
	* OPTIONS: updated

	* src/display.c: When a window sends request_code 12 (X_ConfigureWindow), don't auto-asumme
			 it to be unmapped, as this may let several windows disappear at once randomly
			 not just the one that sent the request, this bug appears mostly in Xinerama
			 setups, but is not limited to it. The change is not 100% failsafe at the moment
			 but it reduces the failure-rate by 95% which is the reason why it is integrated
			 while not beeing final. [Janek Kozicki]

	* lisp/sawfish/wm/commands/grow-pack.jl: Make grow/pack Xinerama aware. Old implementations supported only 1
						 Head, current does 3, but needs to be extended to support atleast 4.
						 Also shrink-yank needs to be improved, but since Xinerama was previously
						 not supported this patch was still applied [Nolan Leake]

2009-11-14  Teika kazura <teika@lavabit.com>
	* sawfish-client.jl: won't say "bye" at exit. The greeting "bye" annoys if you use emacs' sawfish-mode, so drop it.

	* README.IMPORTANT
	* man/faq.texi
	* man/news.texi: Description on reboot and shutdown is improved. It was put in README.IMPORTANT, but moved to faq.texi.

	* OPTIONS
	* lisp/sawfish/wm/util/play-audio.jl
	* man/faq.texi
	* man/news.texi
	* man/sawfish.texi: Doc improvements on sound support change.

	* OPTIONS
	* lisp/sawfish/wm/workspace.jl
	* man/news.texi
	* man/sawfish.texi: Minor doc improvements.

2009-11-03  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/state/maximize.jl: removed maximize-reframe maximize-unframe

2009-11-03  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/commands.jl
	* man/news.texi
	* man/sawfish.texi: `this-command' is set to nil when command execution is over.

	* scripts/sawfish-client.jl: sawfish-client says "Bye." on normal exit.

	* lisp/sawfish/wm/state/maximize.jl
	* man/news.texi
	* man/sawfish.texi :Bugfix. Commands 'maximize-window-fullscreen' and 'maximize-window-fullxinerama' work. Related doc error is corrected, too.

	* lisp/sawfish/wm/extras.jl
	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/user.jl: Moved contents of wm/extras.jl to wm/frames.jl, and deleted extras.jl.

2009-10-28  Christopher Bratusek <zanghar@freenet.de>
	* scripts/sawfish-client.jl: merged branch `quit' from Ti-Mo (improved ,quit action)

2009-10-27  Christopher Bratusek <zanghar@freenet.de>
	* debian/*: added debian packaging scripts based on the official ones

2009-10-26  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/defaults.jl: added reboot/shutdown menu entries for non GNOME/KDE users

	* README.IMPORTANT: provide instructions for how to let normal users use `shutdown'

2009-10-24  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/apps-menu.jl: added a missing bracket

	* scripts/Makefile.in
	* scripts/sawfish-about.jl.in: switched from custom about-dialog to GtkAboutDialog

2009-10-24  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/user.jl
	* man/news.texi: minor news & comment fix.

2009-10-22  Teika kazura <teika@lavabit.com>
	* OPTIONS
	* man/sawfish.texi
	* lisp/sawfish/wm/viewport.jl: Docstring improvement for 'scroll-viewport-steps'

	* OPTIONS
	* lisp/sawfish/wm/ext/apps-menu.jl
	* man/sawfish.texi: Doc improvements on applications menu.

2009-10-21  Jeremy Hankins <nowan@nowan.org>
	* lisp/sawfish/wm/state/maximize.jl
	* lisp/sawfish/wm/util/compat.jl
	* lisp/sawfish/wm/util/rects.jl
	* lisp/sawfish/wm/util/workarea.jl
	* lisp/sawfish/wm/viewport.jl
	* man/news.texi: Fix bugs introduced by the recent changes to allow maximization outside of the current viewport:
			 - viewport-window now gives the viewport where most of the window is located.
			 - A few new functions for working with rectangles.

	* lisp/sawfish/wm/ext/infinite-desktop.jl: infinite-desktop now checks viewport-honor-workspace-edges
						   (in sawfish.wm.viewport) before allowing movement past workspace boundaries.

	* man/sawfish.texi: Adjustments to viewport docs; new docs for sawfish.wm.util.rects.

2009-10-19  Teika kazura <teika@lavabit.com>
	* OPTIONS
	* lisp/sawfish/wm/ext/apps-menu.jl
	* man/news.texi
	* man/sawfish.texi: Completed doc updates for applications menu.

	* lisp/sawfish/wm/commands/grow-pack.jl
	* man/sawfish.texi: grow-pack doc upgrade.

2009-10-17  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/apps-menu.jl: removed dupped Development Category from Developmentmenu
					    added Editors Category to Developmentmenu
					    make use of global `xterm-prgoram' instead of local `my-term-string'

	* OPTIONS: updated for Teikas changes

	* lisp/sawfish/wm/menus.jl: updated "Reload Appsmenu" entry to call new `update-apps-menu' instead of `update-saw-menu'

	* man/sawfish.texi: added docs for several functions and variables:
				- grow-window-up
				- grow-window-down
				- grow-window-left
				- grow-window-right
				- shrink-window-up
				- shrink-window-down
				- shrink-window-left
				- shrink-window-right
				- pack-window-up
				- pack-window-down
				- pack-window-left
				- pack-window-right
				- yank-window-up
				- yank-window-down
				- yank-window-left
				- yank-window-right
				- grow-is-maximize
				- pack-warp-pointer
				- grow-pack-bump-obscured
				- grow-pack-bump-other-depth
				- grow-pack-bump-ignored
				- shrink-window-minimum-size
				- yank-window-minimum-visible

	* NEED_DOC_BEFORE_1_6_0: added (general reminder about missing docs)

2009-10-16  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/user.jl
	* lisp/sawfish/wm/ext/apps-menu.jl: User can prepend their own apps-menu to the auto generated one. Cleanups, mostly in variables.

	* README.IMPORTANT
	* man/news.texi: News rewritement.

2009-10-15  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/defaults.jl
	* lisp/sawfish/wm/user.jl
	* man/faq.texi
	* man/news.texi: News and doc that sawfish.wm.defaults is always read, regardless of .sawfishrc existence.

	* lisp/sawfish/wm/windows.jl: Bugfix; deleted a wrong quote.

2009-10-15  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/commands/grow-pack.jl: make Grow Pack Shrink Yank subgroup of Move Resize

2009-10-13  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/tabs/tab.jl
	* lisp/sawfish/wm/ext/edge-flip.jl
	* lisp/sawfish/wm/workspace.jl: export setter functions
					- raise-tabs-on-hover-setter
					- edge-flip-enable
					- display-ws-name-setter

	* OPTIONS: updated

2009-10-11  Jeremy Hankins <nowan@nowan.org>
	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/state/maximize.jl
	* lisp/sawfish/wm/util/edges.jl
	* lisp/sawfish/wm/viewport.jl: Fix bugs that shift windows between viewports on restart:
				       - maximize-window and maximize-window-fullscreen now work for windows outside of the current viewport
				       - the position window matcher now preserves the current viewport

	* lisp/sawfish/wm/ext/infinite-desktop.jl: infinite-desktop.stop-at-workspace-borders is now true iff viewport-boundary-mode is not dynamic.

2009-10-09  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/menus.jl: added "Reload Appsmenu" entry

	* src/windows.c: more work on the race condition fix [Janek Kozicki]

2009-10-09  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/commands/user.jl
	* man/news.texi:  Deleted functions `some' and `program-available'. They should be in librep.  They are adopted in commit e1f68c.

2009-10-08  Christopher Bratusek <zanghar@freenet.de>
	* ChangeLog
	* man/sawfish.texi
	* lisp/sawfish/wm/focus.jl
	* lisp/sawfish/wm/transient.jl: revert timo/kde-menu-focus branch merge, (re)merge timo/focus-revert instead

2009-10-07  Jeremy Hankins <nowan@nowan.org>
	* themes/mxflat/theme.jl: Removed bindings for Button6-Click that are no longer valid.

2009-10-07  Christopher Bratusek <zanghar@freenet.de>
	* src/events.c
	* lisp/sawfish/wm/focus.jl
	* lisp/sawfish/wm/transient.jl: merged timo/kde-menu-focus branch
					- Changed an ugly cond into an ugly when
					- Fix focus behaviour of KDE Run Command
					- Fix KDE focus behaviour also in transient-unmap-window
					- Ignore grab-induced enter-notify events

	* lisp/sawfish/wm/frames.jl: merged timo/frame-fix branch
				     - added remove-frame-part-value
				     - improved update-frame-font-color

	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/windows.jl: merged timo/kde4 branch
				      -- (merged earlier already)
				      - fixed doc-window properties

	* lisp/sawfish/wm/ext/fdo-menu.jl: merged timo/fdo-fix branch
					   - improved find-lang-string
					   - s/\012/\n/
					   - Fix whitespace and other ugliness
					   - Fix more ugliness in find-lang-in-desktop-file and generate-menu-entry
					   - Import rep.regexp

	* src/windows.c: merged timo/race branch
			 - Wrap most of add_window in rep_PUSHGC/rep_POPGC

	* Makefile.in: don't try to remove ancient sawmill* binaries

	* man/news.texi: added entries for above changes
			 reworked sawfish 1.6.0 section partially

2009-10-05  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/defaults.jl
	* man/news.texi: removed try-require

2009-10-03  Jeremy Hankins <nowan@nowan.org>
	* lisp/sawfish/cfg/main.jl.in
	* lisp/sawfish/gtk/widgets/font.jl.in
	* scripts/sawfish-about.jl.in: Whitespace cleanup in files that were missed before.

2009-10-03  Teika kazura <teika@lavabit.com>
	* man/faq.texi: update on how to read info

2009-10-01  Christopher Bratusek <zanghar@freenet.de>
	* configure.in
	* OPTIONS
	* src/play-sample.c
	* src/Makefile.in
	* Makedefs.in
	* sawfish.ebuild.in
	* lisp/sawfish/wm/util/play-audio.jl: removed built-in audio support, using /usr/bin/paplay by default

	* man/sawfish.texi
	* KEYBINDINGS
	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/keymaps.jl: added new buttons (frame-classes) (+ keymaps and docs):
				      - sticky button
				      - lock button
				      - rename button
				      - move/resize button
				      - raise/lower button

	* lisp/sawfish/wm/menus.jl: string change in customize-menu

	* man/news.texi: updated

	* OPTIONS: updated

2009-10-01  Teika kazura <teika@lavabit.com>
	* OPTIONS
	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/windows.jl
	* man/sawfish.texi: Doc on window types.

2009-09-30  Teika kazura <teika@lavabit.com>
	* OPTIONS
	* lisp/sawfish/wm/windows.jl: Docstring of 'dont-avoid-ignored' is corrected.

2009-09-29  Jeremy Hankins <nowan@nowan.org>
	* lisp/sawfish/cfg/apply.jl
	* lisp/sawfish/cfg/config.jl
	* lisp/sawfish/cfg/group.jl
	* lisp/sawfish/cfg/i18n.jl
	* lisp/sawfish/cfg/layout.jl
	* lisp/sawfish/cfg/layouts/keymaps.jl
	* lisp/sawfish/cfg/shell.jl
	* lisp/sawfish/cfg/slot.jl
	* lisp/sawfish/cfg/widgets/command.jl
	* lisp/sawfish/cfg/widgets/event.jl
	* lisp/sawfish/cfg/widgets/frame-style.jl
	* lisp/sawfish/cfg/widgets/gtk/icon.jl
	* lisp/sawfish/cfg/widgets/gtk/workspace-geometry.jl
	* lisp/sawfish/cfg/widgets/icon.jl
	* lisp/sawfish/cfg/widgets/keymap.jl
	* lisp/sawfish/cfg/widgets/match-window.jl
	* lisp/sawfish/cfg/widgets/modifier-list.jl
	* lisp/sawfish/cfg/widgets/workspace-geometry.jl
	* lisp/sawfish/cfg/wm.jl
	* lisp/sawfish/gtk/stock.jl
	* lisp/sawfish/gtk/widget-dialog.jl
	* lisp/sawfish/gtk/widget-test.jl
	* lisp/sawfish/gtk/widget.jl
	* lisp/sawfish/gtk/widgets/alist.jl
	* lisp/sawfish/gtk/widgets/color.jl
	* lisp/sawfish/gtk/widgets/file.jl
	* lisp/sawfish/gtk/widgets/list.jl
	* lisp/sawfish/gtk/widgets/pair.jl
	* lisp/sawfish/gtk/widgets/program.jl
	* lisp/sawfish/gtk/widgets/scheme-boolean.jl
	* lisp/sawfish/wm.jl
	* lisp/sawfish/wm/animation/outline.jl
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/commands.jl
	* lisp/sawfish/wm/commands/cycle.jl
	* lisp/sawfish/wm/commands/describe.jl
	* lisp/sawfish/wm/commands/groups.jl
	* lisp/sawfish/wm/commands/grow-pack.jl
	* lisp/sawfish/wm/commands/help.jl
	* lisp/sawfish/wm/commands/move-cursor.jl
	* lisp/sawfish/wm/commands/move-resize.jl
	* lisp/sawfish/wm/commands/raise-commands.jl
	* lisp/sawfish/wm/commands/shrink-yank.jl
	* lisp/sawfish/wm/commands/size-window.jl
	* lisp/sawfish/wm/commands/slide-window.jl
	* lisp/sawfish/wm/commands/user.jl
	* lisp/sawfish/wm/commands/viewport-extras.jl
	* lisp/sawfish/wm/commands/viewport-linear.jl
	* lisp/sawfish/wm/commands/x-cycle.jl
	* lisp/sawfish/wm/cursors.jl
	* lisp/sawfish/wm/custom-defaults.jl
	* lisp/sawfish/wm/custom.jl
	* lisp/sawfish/wm/customize.jl
	* lisp/sawfish/wm/defaults.jl
	* lisp/sawfish/wm/ext/3d-hack.jl
	* lisp/sawfish/wm/ext/audio-events.jl
	* lisp/sawfish/wm/ext/auto-raise.jl
	* lisp/sawfish/wm/ext/beos-window-menu.jl
	* lisp/sawfish/wm/ext/edge-flip.jl
	* lisp/sawfish/wm/ext/error-handler.jl
	* lisp/sawfish/wm/ext/fdo-menu.jl
	* lisp/sawfish/wm/ext/hide-dialogs.jl
	* lisp/sawfish/wm/ext/infinite-desktop.jl
	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/ext/old-window-menu.jl
	* lisp/sawfish/wm/ext/shade-hover.jl
	* lisp/sawfish/wm/ext/tooltips.jl
	* lisp/sawfish/wm/ext/window-history.jl
	* lisp/sawfish/wm/ext/workspace-grid.jl
	* lisp/sawfish/wm/extras.jl
	* lisp/sawfish/wm/focus.jl
	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/gaol.jl
	* lisp/sawfish/wm/integration/gnome.jl
	* lisp/sawfish/wm/integration/kde.jl
	* lisp/sawfish/wm/keymaps.jl
	* lisp/sawfish/wm/menus.jl
	* lisp/sawfish/wm/misc.jl
	* lisp/sawfish/wm/placement.jl
	* lisp/sawfish/wm/placement/off-center.jl
	* lisp/sawfish/wm/placement/smart.jl
	* lisp/sawfish/wm/placement/stagger.jl
	* lisp/sawfish/wm/placement/top-left.jl
	* lisp/sawfish/wm/server.jl
	* lisp/sawfish/wm/session/init.jl
	* lisp/sawfish/wm/session/load.jl
	* lisp/sawfish/wm/session/save.jl
	* lisp/sawfish/wm/stacking.jl
	* lisp/sawfish/wm/state/configure.jl
	* lisp/sawfish/wm/state/iconify.jl
	* lisp/sawfish/wm/state/ignored.jl
	* lisp/sawfish/wm/state/maximize.jl
	* lisp/sawfish/wm/state/mwm.jl
	* lisp/sawfish/wm/state/open-look.jl
	* lisp/sawfish/wm/state/shading.jl
	* lisp/sawfish/wm/state/transient.jl
	* lisp/sawfish/wm/state/wm-spec.jl
	* lisp/sawfish/wm/swapper.jl
	* lisp/sawfish/wm/tabs/tab.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl
	* lisp/sawfish/wm/theming/make-theme-preview.jl
	* lisp/sawfish/wm/theming/make-theme.jl
	* lisp/sawfish/wm/user.jl
	* lisp/sawfish/wm/util/compat.jl
	* lisp/sawfish/wm/util/decode-events.jl
	* lisp/sawfish/wm/util/display-window.jl
	* lisp/sawfish/wm/util/display-wininfo.jl
	* lisp/sawfish/wm/util/edges.jl
	* lisp/sawfish/wm/util/font.jl
	* lisp/sawfish/wm/util/groups.jl
	* lisp/sawfish/wm/util/gtkrc.jl
	* lisp/sawfish/wm/util/keymap-diff.jl
	* lisp/sawfish/wm/util/keymap.jl
	* lisp/sawfish/wm/util/marks.jl
	* lisp/sawfish/wm/util/nokogiri.jl
	* lisp/sawfish/wm/util/ping.jl
	* lisp/sawfish/wm/util/play-audio.jl
	* lisp/sawfish/wm/util/prompt-extras.jl
	* lisp/sawfish/wm/util/prompt-wm.jl
	* lisp/sawfish/wm/util/prompt.jl
	* lisp/sawfish/wm/util/recolor-image.jl
	* lisp/sawfish/wm/util/rects.jl
	* lisp/sawfish/wm/util/stacking.jl
	* lisp/sawfish/wm/util/window-order.jl
	* lisp/sawfish/wm/util/window-outline.jl
	* lisp/sawfish/wm/util/with-output.jl
	* lisp/sawfish/wm/util/workarea.jl
	* lisp/sawfish/wm/viewport.jl
	* lisp/sawfish/wm/window-anim.jl
	* lisp/sawfish/wm/windows.jl
	* lisp/sawfish/wm/workspace.jl
	* scripts/sawfish-client.jl
	* scripts/sawfish-menu.jl
	* themes/Crux/theme.jl
	* themes/Elberg-tabbed/theme.jl
	* themes/absolute-e/theme.jl
	* themes/brushed-metal/theme.jl
	* themes/get-S-tabbed/theme.jl
	* themes/gradient/theme.jl
	* themes/gtk/theme.jl
	* themes/microGUI/theme.jl
	* themes/mono/theme.jl
	* themes/mxflat/theme.jl
	* themes/simple/theme.jl
	* themes/smaker/theme.jl: General whitespace cleanup.  Indentation
				  is standardized and lines (with a few
				  exceptions -- mostly long strings) are
				  capped at 80 chars.

2009-09-26  Christopher Bratusek <zanghar@freenet.de>
	* lisp/Makefile.in
	* lisp/sawfish/cfg/Makefile.in
	* configure.in
	* man/sawfish-ui.1
	* man/sawfish-config.1
	* lisp/sawfish/ui/
	* lisp/sawfish/cfg/: renamed `sawfish-ui' to `sawfish-config'

	* OPTIONS
	* README.IMPORTANT
	* TODO
	* lisp/sawfish/wm/custom.jl
	* lisp/sawfish/wm/ext/match-window.jl
	* sawfish.ebuild.in
	* sawfish.spec.in
	* sawfish-ksm.desktop
	* sawfish-wm.desktop
	* themes/mxflat/theme.jl
	* themes/mxflat/CHANGELOG
	* themes/mxflat/README
	* themes/mxflat/TODO
	* CONTRIBUTING
	* man/sawfish.texi
	* man/news.texi: updated

	* lisp/sawfish/cfg/widgets/match-window.jl: justify the `grab' button to the left
						    justify the labels to the left

	* KEYBINDINGS: explained macros (artist formerly known as `nested keybindings')
		       added Multikey (aka Compose)
		       better explaination of ISO_Level3_Shift

	* po/make-pot: removed --update (intltool + rep = puke)

	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/extras.jl: added customization options for changing font-color
				     *independently* of what frame-style is beeing used
				     -- [Matthew Love, Christopher Bratusek]

	* OPTIONS: updated

	* man/sawfish.texi: added update-frame-font-color

2009-09-25  Teika kazura <teika@lavabit.com>
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/windows.jl: rename-window functions are moved to wm/windows.jl

2009-09-23  Christopher Bratusek <zanghar@freenet.de>
	* man/news.texi: news items for 1.6.0 are partially rewritten [Teika Kazura]

	* lisp/sawfish/wm/ext/fdo-menu.jl: small fix in the exile function [Matthew Love]

	* lisp/sawfish/ui/widgets/frame-style.jl: also support tar.lzma and tar.xz here
						  make cursor invisible in the textview
						  set wrap-mode to word-char

	* lisp/sawfish/ui/shell.jl: changed wm class of sawfish-ui from "main" "Nokogiri"
				    to "sawfish-configurator" "Sawfish-Configurator"

	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/ext/match-window: rename "Matched Windows" group to "Window Rules" in UI

2009-09-22  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/viewport.jl: string-change

	* OPTIONS: updated
		   fixed typos
		   removed old GNOME stuff

2009-09-21  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/util/prompt.jl: temporary solution of previous work [Jeremy Hankins]

2009-09-20  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/fdo-menu.jl: use define instead of defun
					   changed name of a few variables
					   make it more error tolerant regarding bad .desktop files
					   make it work if any lang-setting variable is unset
					   -- [Matthew Love]

	* man/faq.texi: updated

	* lisp/sawfish/gtk/widget-text.jl: mark as broken

	* themes/Crux/theme.jl: make default text-color of inactive frames black
				for better readability

	* man/sawfish.1
	* man/sawfish-client.1
	* man/sawfish-ui.1
	* man/Makefile.in: actually add man-pages to git
			   improve man target

2009-09-19  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/commands/user.jl
	* lisp/sawfish/wm/workspace.jl: move display-workspace-name & helpers to workspace.jl

	* man/sawfish.texi
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/commands/move-resize.jl: added move-window-center command

	* man/sawfish.texi: fixed a glitch

	* man/news.texi: updated
			 added pxref to Input Focus

	* man/Makefile.in: add --no-validate flag for generating NEWS

	* lisp/sawfish/wm/ext/match-window: make `rename-window' also change (_NET_)WM_ICON_NAME

2009-09-15  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/util/prompt-extras.jl: fixed a newly introduced bug [Matthew Love]

	* man/sawfish.texi: added section to info file [Luis Rodrigo Gallardo Cruz]

	* scripts/Makefile.in: also expand REP_ENVIRON here [Luis Rodrigo Gallardo Cruz]

	* lisp/sawfish/wm/commands/move-resize.jl: change cursor to hand2 on move
						   change cursor to crosshair on resize

	* OPTIONS: small update

	* man/sawfish.1
	* man/sawfish-client.1
	* man/sawfish-ui.1: added man-page for sawfish
			 added man-page for sawfish-client
			 added man-page for sawfish-ui
			 -- [Debian]

	* man/Makefile.in: actually build FAQ
			   removed sawfish.dvi target
			   removed sawfish.ps target

	* man/news.texi: updated

2009-09-14  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/match-window.jl: string change in rename-window
					       improved keymap-trans
					       renamed rename-window to rename-window-func
					       fixed a glitch in rename-window-func

	* OPTIONS: small update

2009-09-13  Christopher Bratusek <zanghar@freenet.de>
	* sawfish.doap: added

	* lisp/sawfish/wm/commands/user.jl: added display-workspace-name
					    clipboard-preview-clip-length is now a defcustom
					    clipboard-preview-timeout is now a defcustom

	* OPTIONS
	* man/news.texi: updated

2009-09-12  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/focus.jl: doc for focus-revert
				    indention improvements
				    -- [Teika Kazura]

	* man/news.texi: major rewrite of 1.5.0 section [Teika Kazura]
			 updated

	* sawfish.desktop
	* sawfish-session.desktop
	* lisp/sawfish/wm/commands/viewport-extras.jl
	* man/news.texi
	* themes/Crux/README.gl
	* themes/absolute-e/README.ja
	* themes/brushed-metal/README.ja
	* themes/brushed-metal/README.pl
	* themes/gradient/README.gl
	* themes/gradient/README.ja
	* themes/gradient/README.pl
	* themes/gtk/README.gl
	* themes/gtk/README.ja
	* themes/gtk/README.pl
	* themes/microGUI/README.gl
	* themes/microGUI/README.it
	* themes/microGUI/README.ja
	* themes/microGUI/README.pl
	* themes/mono/README.gl
	* themes/mono/README.ja
	* themes/mono/README.pl
	* themes/simple/README.gl
	* themes/simple/README.ja
	* themes/simple/README.pl
	* themes/smaker/README.it
	* themes/smaker/README.ja
	* themes/smaker/README.pl: change encoding to UTF8 (latin -1 + -2 previously) [Teika Kazura]

	* scripts/sawfish-client.jl: added `,quit' command (like `C-d'), unlike `C-c' this won't kill sawfish [Teika Kazura]

	* lisp/sawfish/wm/customize.jl: With new "customize-redirect" option, Sawfish-UIs output can be redirected [Teika Kazura]

	* OPTIONS
	* man/news.texi: updated

	* lisp/sawfish/wm/misc.jl: squashed the last compiler warning in rep-code [Matthew Love]

	* Makefile.in: don't remove ancient Sawmill.desktop

	* lisp/sawfish/wm/user.jl: display-message-with-timeout now must be called with a timeout
				   header updated
				   description for view-clipboard

2009-09-11  Christopher Bratusek <zanghar@freenet.de>
	* configure.in
	* Makedefs.in
	* Makefile.in: check for installation path of sawfish-ksm.desktop via kde4-config

	* lisp/sawfish/wm/ext/fdo-menu.jl: added copyright header
					   make update-sawfish-menu work without restarting sawfish
					   -- (after intial call on sawfish-startup) [Matthew Love]

2009-09-08  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/util/prompt.jl: squashed the last compiler warnings [Matthew Love]

2009-09-07  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/user.jl
	* lisp/sawfish/wm/misc.jl
	* lisp/sawfish/wm/edge-flip.jl: squashed compiler warnings [Matthew Love]

	* lisp/sawfish/wm/ext/error-handler.jl: export `error-handler-function' [Matthew Love]

	* lisp/sawfish/wm/state/maximize.jl: squashed a compiler warning

	* lisp/sawfish/wm/integration/kde.jl: added logout, reboot and shutdown entries

	* lisp/sawfish/wm/theming/make-theme.jl: make-image is defined the *second* time here
						 the first time in gaol, rename this instance to
						 make-image-possibly-from-cache to avoid confusion
						 for both users and the rep-compiler
						 also squashes a compiler warning [Matthew Love]

	* src/play-sample.c
	* man/faq.texi: s/Gnome/GNOME/

2009-09-06  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/fdo-menu.jl: Partial rewrite of fdo-menu [Matthew Love]

	* lisp/sawfish/wm/user.jl
	* lisp/sawfish/wm/defaults.jl
	* lisp/sawfish/wm/extras.jl: sawfish.wm.extras removed
				     moved try-require from extras to defaults
				     since gnome-int does no longer change the behaviour of sawfish itself
				     load defaults even if there's an rc file
				     generate the fdo-menu if there's no customized apps-menu

2009-09-05  Christopher Bratusek <zanghar@freenet.de>
	* sawfish.spec.in: improved [Kim B. Heino]

	* lisp/sawfish/wm/ext/fdo-menu.jl: replace boundp check with variable-customized-p

2009-09-03  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/integration/kde.jl: initial kde integration module [incomplete atm]

	* man/sawfish.texi: fixed a typo

	* lisp/sawfish/wm.jl: removed deprecated command-line-arg for getting sm-id

	* po/POTFILES.in: updated

	* lisp/sawfish/wm/defaults.jl: try loading kde-int if kde is running

	* po/*.po: fixed-up

2009-09-02  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/commands/user.jl
	* lisp/sawfish/wm/commands/help.jl: replace display-url by browser
					    improved browser command

	* lisp/sawfish/wm/gnome/integration.jl
	* lisp/sawfish/wm/integration/gnome.jl: renamed file
						correctly change of browser-command
						only change browser-command if not customized
						use browser instead of display-url

	* lisp/sawfish/wm/ext/fdo-menu.jl: fixed a bug in language setting
					   removed obsolete code
					   trimmed down code
					   clean-up
					   -- [Matthew Love]

	* lisp/sawfish/wm/menus.jl: renamed `All Settings' menu-item to `Sawfish-UI'

2009-09-01  Christopher Bratusek <zanghar@freenet.de>
	* themes/simple/theme.jl: make windows resizable from right border

	* lisp/sawfish/wm/menus.jl: added Session sub-menu
				    move Display Errors here
				    move Restart Sawfish here
				    move Quit Sawfish here

	* lisp/sawfish/wm/help.jl: removed display-url-commands, use browser-command instead
				   removed help-call-info-gnome

	* lisp/sawfish/wm/user.jl: don't load sawfish.wm.state.gnome

	* lisp/sawfish/wm/state/gnome.jl: removed, since we support WM_STATE_*

	* lisp/sawfish/wm/commands/gnome.jl: removed

	* lisp/sawfish/wm/autoload.jl: removed sawfish.wm.commands.gnome autoloads

	* lisp/sawfish/wm/integration.jl: use browser-program instead of display-url-command
					  removed some obsolete bits
					  append Logout from GNOME to Session sub-menu
					  append Shutdown from GNOME to Session sub-menu
					  updated commands for more recent GNOME versions

	* po/POTFILES.in: updated

	* OPTIONS: more updates

2009-08-31  Christopher Bratusek <zanghar@freenet.de>
	* CONTRIBUTING: Encoding is changed to utf-8 from latin-1 [Teika Kazura]

	* lisp/sawfish/wm/state/maximize.jl: Renamed hooked function `after-add-window' to `maximize-after-add-window'.
	    				     This makes it self-descriptive, so that when you evaluate `after-add-window-hook',
					     you see what's hooked in. [Teika Kazura]

	* man/news.texi: Minor fixes in 1.5.0 section [Teika Kazura]
			 Improved 1.6.0 section

	* man/sawfish.texi: Better description on font type.
			    Description on window snapping and cycle-among-groups[-backwards].
			    Usage on environmental variables.
			    -- [Teika Kazura]

	* src/keys.h: Small comment added [Teika Kazura]

	* lisp/sawfish/wm/commands/move-resize.jl: string improvements [Teika Kazura]

	* lisp/sawfish/wm/fdo-menu.jl: make it avoidable via (setq use-fod-menu nil) in your resourcefile [Matthew Love]

	* OPTIONS: updated for sawfish.wm.commands.user:view-clipbard
		   updated for sawfish.wm.ext.fdo-menu

2009-08-30  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/gtk/widget.jl: Number widget can take optional initial value [Teika Kazura]

	* lisp/sawfish/wm/ext/match-window.jl: In configurator GUI, position parameter can take negative value.
					       Depth's initial value is 0. [Teika Kazura]

	* lisp/sawfish/wm/menus.jl: revamped root and window menu

	* lisp/sawfish/wm/ext/fdo-menu.jl: added FDO Applicationmenu support [Matthew Love]

	* lisp/sawfish/wm/commands/grow-pack.jl
	* lisp/sawfish/wm/commands/shrink-yank.jl: use same group for options

	* lisp/sawfish/wm/commands/user.jl: ex sawfish.wm.commands.xterm
					    `browser' command added (defaults to `www-broser')
					    `some' statement added () [Mark Triggs]
					    `display-message-with-timeout' function added
					    `program-available' function added [Mark Triggs]
					    `view-clipboard' command [Mark Triggs]

	* lisp/sawfish/wm/user.jl: load sawfish.wm.extras

	* lisp/sawfish/wm/extras.jl: `try-require' function added [Mark Triggs]
				     call update-saw-menu from here (generates fdo-menu)

	* lisp/sawfish/wm/gnome/menus.jl: removed, supersedded by desktop-independ fdo-menu

	* lisp/sawfish/wm/gnome/match-window.jl: removed, gnome-panel for a long time now understands
						 the standard tasklist-skip property, no need for the
						 for the GNOME specific anymore

	* CONTRIBUTING: added Matthew Love to `THANKS' section

	* man/news.texi: updated

	* po/POTFILES.in: updated

	* po/*.po: regenerated po-files

2009-08-29  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm.jl: changed position of user-level initialization

	* lisp/sawfish/wm/autoload.jl: unify entry syntax

	* lisp/sawfish/wm/gaol.jl: make default-directory safe-special

	* lisp/sawfish/wm/commands/move-resize.jl: added halve/double-window-size functions
						   added resize-by-factor meta functions

	* lisp/sawfish/wm/user.jl: rename .sawmillrc to .sawfishrc if the former exists, but the later not

	* lisp/sawfish/wm/ext/match-window.jl: improve position matcher to bind a window to a position
					       either center north north-east north-west east south south-east
					       south-west west south OR to a user-given position for the former
					       it will also set the gravity of the window to that position
					       -- [Jeremy Hankins]

	* man/news.texi: updated

	* man/sawfish.texi: added halve/double-window-size

2009-08-28  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/match-window.jl: accidently also commited keymap-trans window-matcher (...)
					       remove an unused export

	* CONTRIBUTING: updated `THANKS' section

2009-08-27  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/windows.jl: get-window-by-class/get-window-by-class-re [Christopher Bratusek]

	* lisp/sawfish/wm/viewports.jl: improved dynamic viewport-boundary-mode [Jeremy Hankins]

	* man/sawfish.texi: doc for above changes

	* Makefile.in
	* src/Makefile.in
	* man/Makefile.in
	* lisp/Makefile.in
	* TODO
	* lisp/sawfish/ui/WISHLIST: s/sawmill/sawfish/

	* po/Makefile.in: fixed call of make-pot

	* lisp/sawfish/gtk/widget.jl: fixed issue with translated tooltip strings [Teika Kazura]

	* lisp/sawfish/wm/commands/shrink-yank.jl: export commands

	* lisp/sawfish/wm/workspace.jl: export send-to-workspace
					fix a select-workspace-from-first call [Michal Maruska]

	* configure.in: bump minimum librep to 0.90.2, to make sure folks get a fixed sawfish-ui regarding UTF8 strings

	* man/news.texi: updated

	* lisp/sawfish/wm/match-window.jl: set default to 0 if unset previously (avoids -65355 as default)

2009-08-09  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/match-window.jl: move rename-window here, as it requires prompt but this either does not
					       load properly in windows.jl or breaks sawfish-ui if require'ed instead of open'ed

	* KEYBINDINGS: Added desckription of several keys

2009-08-05  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/windows.jl: make rename-window work again

2009-07-30  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/gtk/widgets/color.jl: since we now got gtk-color-button-get-color-interp in rep-gtk, replace
					     Button + ColorPreview [deprecated] + ColorSelection Trio by single ColorButton

	* lisp/sawfish/gtk/color-preview.jl: obsolete because of the above widget-transistion

	* Makefile.in: add sawfish-ksm.desktop to uninstall rule

	* sawfish.spec.in: package sawfish-ksm.desktop

2009-07-29  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/mmc/window-manipulation.jl: moved maximize-unframe/reframe into sawfish.wm.state.maximize
						      moved rename-window into sawfish.wm.windows

	* lisp/sawfish/wm/windows.jl: first change WM_NAME then _NET_WM_NAME in rename-window (so that we can grab
				      the new window-name with sawfish-ui and display it in the titlebar (some panels,
				      eg. gnome-panel, don't accept the new name, though))

	* lisp/sawfish/wm/ext/match-window.jl: added window-name matcher

	* lisp/sawfish/gtk/stock.jl: remove make-url-widget function as we now got GtkLinkButton in rep-gtk

	* scripts/sawfish-about.jl.in: use GtkLinkButton instead of make-url-widget
				       updated Johns Mail

2009-07-28  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/frames.jl: make doc-windows unframed [Timo Korvola]

	* lisp/sawfish/wm/windows.jl: set window-type to dock for panels [Timo Korvola]

	* configure.in: small fixup in x11r7 checks regarding SMlib and libICE

2009-07-27  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/viewport.jl: Added viewport-boundary-mode dynamic [Jeremy Hankins]

	* lisp/sawfish/wm/viewport.jl
	* lisp/sawfish/wm/ext/match-window.jl: added new-viewport window matcher and viewport-windows function [Jeremy Hankins]

2009-07-26  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/tabs/tab.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl
	* lisp/sawfish/wm/util/marks.jl: fixed license header

	* lisp/sawfish/wm/gnome-integration.jl: don't remove quit and restart entries from menu
						use gnome-www-browser instead of ancient gnome-moz-remote
						display applications in the apps-menu (currently uncategorized)
						remove Applnk from application search paths
						removed some yet obsolete code

2009-07-25  Christopher Bratusek <zanghar@freenet.de>
	* src/Makefile.in: include $CFLAGS in gtk-style rule

	* configure.in: ... non-bash compatibility

	* lisp/sawfish/wm/mmc/window-manipulation.jl: 3 new functions based on sawfish-mmc code (maximize-reframe, maximize-unframe, rename-window)

	* sawfish.ebuild.in: improved

	* sawfish.spec.in: fixed repexecdir definition

	* po/Makefile.in: renamed realclean rule to distclean rule

2009-07-24  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/frames.jl: support theme-tarballs compressed with XZ and LZMA (needs librep 0.90.1)

	* configure.in: require librep 0.90.1

	* lisp/sawfish/wm/ext/infinite-desktop.jl: fixed cursor warping [Jeremy Hankins]

	* lisp/sawfish/wm/defaults.jl: update GNOME-Check for recent versions [Alexey I. Froloff]

	* lisp/sawfish/wm/placement/stagger.jl: fix group of stagger option

	* sawfish.desktop
	* sawfish-wm.dektop: fixed a typo, removed unneeded entries

	* lisp/sawfish/ui/slot.jl: Re-add patch to make strings fully translatable [Alexey I. Froloff]

2009-07-18  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/gtk/widget.jl: 	- allow negative values in spinbuttons in sawfish-ui
					- connect spinbuttons to value-changed signal (allows typing in the value manually)

	* lisp/sawfish/wm/state/maximize.jl
	* lisp/sawfish/wm/ext/match-window.jl: added fullscreen-xinerama window matcher [Jeremy Hankins]

2009-07-15  Christopher Bratusek <zanghar@freenet.de>
	* src/Makefile.in: add --tag=CC there necessary on some systems [Gentoo]

	* lisp/sawfish/wm/ext/match-window.jl: added fullscreen and new-workspace matches [Jeremy Hankins]

2009-07-10  Christopher Bratusek <zanghar@freenet.de>
	* sawfish-ksm.desktop: make sawfish appear in KDEs WM Selector

2009-07-09  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/commands/move-cursor.jl: Fixed small glitch

2009-07-04  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/tabs/tab.jl: make changed value of
	raise-tabs-on-hover take effect immediately

2009-07-03  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: post-release version bump to 1.6.0 [branched 1.5.0],
	bump rep-gtk requirement to 0.90.0, therefore bumped gtk+ requirement
	to 2.12.0

	* lisp/sawfish/gtk/color-preview.jl: use GtkColorButton instead of
	GtkPreview (for rep-gtk 0.90.0)

	* lisp/sawfish/wm/commands/move-cursor.jl: added 5 new move-cursor
	command 4 for moving diagonally (move-cursor -northwest, -northeast,
	southwest, southeast) and move-cursor-center

	* man/sawfish.texi: updated doc for new move-cursor-commands

	* man/news.texi: added 1.6.0 section, updated

2009-07-02  Christopher Bratusek <zanghar@freenet.de>
	* po/*
	* configure.in: de-intltoolize sawfish ... is breaking current
	sawfish-ui badly, preparative tasks for tommorows 1.5.0 release

2009-06-26  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: added --with/without-nls option [disable installing
	translations files, default=enabled]

	* scripts/Makefile.in
	* lisp/Makefile.in
	* lisp/sawfish/ui/Makefile.in
	* lisp/sawfish/gtk/Makefile.in: expand REP_ENVIRON

	* lisp/sawfish/wm/session/init.jl: set RestartStyleHint to 2
	[Christian Marillat]

	* lisp/sawfish/wm/session/load.jl: when matching window to alist try
	to match according WM_NAME if there's no WM_CLASS [Christian Marillat]

	* README.IMPORTANT
	* man/news.texi: updated

2009-06-19  Christopher Bratusek <zanghar@freenet.de>
	* themes/microGUI/theme.jl: fixed a speed-issue

	* themes/Elberg-tabbed/theme.jl: make properly use of WM_NAME

	* lisp/sawfish/wm/ext/match-window.jl: expose fixed-position,
	never-iconify, never-maximize in the Window-Matcher UI

	* lisp/sawfish/wm/focus.jl
	* lisp/sawfish/wm/state/transient.jl: improve kde3 integration
	and new focus-revert logic [Timo Korvola]

	* README.IMPORTANT: Note about double-click in UI

	* man/sawfish.texi: updated doc for focus-revert [Timo Korvola]

	* man/news.texi: updated

2009-06-01  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/gtk/widget.jl: UTF-8 Support

2009-05-31  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/goups.jl
	* lisp/sawfish/wm/ext/beos-window-menu.jl: UTF-8 Support [Wang Diancheng]

	* configure.in: bump minimum librep to 0.90.0 for UTF-8 Support
			small fixup in rep-gtk check

2009-05-27  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/util/prompt.jl: fixed typo

2009-05-25  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/commands/move-cursor.jl: export all functions

2009-05-16  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/util/prompt.jl: improved prompt.jl [Sergey I. Sharybi]

	* OPTIONS: updated

2009-05-10  Timo Korvola  <tkorvola@iki.fi>

	* focus.jl, transient.jl: focus modes are now expected to respond
	to a new of event, `focus-revert'.  It is invoked when the
	focused window closes and transient-unmap-window does not have
	any candidate that should inherit the focus.  The focus mode is
	then expected to set focus somewhere reasonable, whatever that
	means.  The window argument is always nil.  All user-defined
	focus modes need to be updated!

2009-05-08  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/placement.jl: interactive placement mode now also for dialogs

	* OPTIONS: updated

2009-05-07  Christopher Bratusek <zanghar@freenet.de>
	* COPYING.SOUNDS: added

	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/commands/x-cycle.jl: added cycle-among-groups{,-backwards} [Fernando Carmano Varo]

	* lisp/sawfish/wm/autoload.jl: autoload Tabs-group

	* lisp/sawfish/wm/tabs/tab.jl: Tabbed Windowing Support: Raise Tabs on hover

	* lisp/sawfish/wm/keymaps.jl
	* lisp/sawfish/wm/tab.jl: rename add-to-group to tab-add-to-group

2009-05-06  Christopher Bratusek <zanghar@freenet.de>
	* sawfish.spec.in: don't re-define %{_host} [Ritz]

	* */ChangeLog.pre-1.5.0: remove old ChangeLog files

2009-05-05  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/util/window-outline.jl: some fixups for the draft animator [Teika]

2009-05-04  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: - fix the last incomplete AC_DEFINE
			- remove unsed configure flags
			- don't add CFLAGS if non given
			- check for intltool 0.40.0

	* autogen.sh: run intltoolize

	* po/POTFILES.in: updated

	* sawfish.ebuild.in: updated

	* po/LINGUAS: added

	* po/sawfish.pot
	* po/make-pot
	* po/sawfish-xgettext
	* po/update.sh: removed, using intltool instead

	* lisp/sawfish/ui/frame-style.jl: make frame-style string translatable

2009-05-03  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/ui/slot.jl: make defcustoms strings translatable [Alexey I. Froloff]

2009-04-20  Christopher Bratusek <zanghar@freenet.de>
	* src/keys.c: - AltGR is not always Mod5

2009-04-14  Christopher Bratusek <zanghar@freenet.de>
	* src/keys.c : - added AltGR as synonyme for Mod5
		       - make sure we don't mix Super and Hyper [Denis Barbier]

2009-04-05  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/windows.jl: Make Sawfish more error-tolerant if an app has an icomplete WM_CLASS (Martin Mares)

	* src/events.c
	* src/windows.c: Fix for iconify issue (improved solution) [Teika]

	* CONTRIBUTING
	* man/news.texi: updated

	* man/news.texi: removed dupped entries, fixed typos

	* sounds/Makefile.in
	* po/Makefile.in
	* src/Makefile.in: fix uninstall target

	* Makefile.in: uninstall all .desktop files

2009-04-04  Christopher Bratusek <zanghar@freenet.de>
	* BUGS
	* HACKING
	* THANKS
	* TREE: removed

	* CONTRIBUTING: the file replacing BUGS HACKING THANKS

	* README.IMPORTNAT: major update

	* README: updated

	* sawfish.ebuild.in
	* sawfish.spec.in: updated for doc file changes

2009-04-03  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/ext/window-history.jl: make window-history options appear in Sawfish-UI

	* man/news.texi: updated

2009-04-02  Christopher Bratusek <zanghar@freenet.de>
	* man/faq.texi: major update [Teika]

	* man/sawfish.texi: major update [Teika]
			    bump EDITION to 0.14
			    bump VERSION to 1.5.0
			    update UPDATED and UPDATE-MONTH

	* configure.in: don't run build-info

	* */ChangeLog: renamed to */ChangeLog.pre-1.5.0

2009-04-01  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/match-window.jl: move 'avoid' from placement to state [Teika]

	* lisp/sawfish/wm/state/maximize.jl: fixed position of a comment [Teika]

	* lisp/sawfish/wm/viewport.jl
	* lisp/sawfish/wm/focus.jl
	* lisp/sawfish/wm/windows.jl: replace several Wether by Whether [Teika]

	* lisp/sawfish/wm/util/compat.jl: maximize-always-expands, maximize-ignore-when-filling and
					  maximize-avoid-avoided are not obosolete [Teika]

	* lisp/sawfish/ui/layouts/keymaps.jl
	* lisp/sawfish/ui/layout.jl: replace several defvar with define [Teika]
				     some indention improvements [Teika]

	* man/news.texi: improvements [Teika]
			 updated [Chris]

2009-03-24  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/viewport.jl
	* lisp/sawfish/wm/autoload.jl: make viewport commands appear in sawfish-ui

	* configure.in: changed appearance of ending message a bit
			display additional infos
			added codename field
			re-ordered some checks
			only display cairo version if it exists
			put all AC_SUBST at the end of the file

	* Makedefs.in: remove nokogiridir (not beeing used)
		       first define host_type then stuff that refers to it
		       first define datarootdir then stuff that refers to it

	* man/news.texi: updated

2009-03-15  Christopher Bratusek <zanghar@freenet.de>
	* KEYBINDINGS: added description of several extra keys

2009-03-06  Christopher Bratusek <zanghar@freenet.de>
	* configure.in
	* Makedefs.in: don't ignore datarootdir setting

2009-03-05  Christopher Bratusek <zanghar@freenet.de>
	* HACKING: updated

	* sawfish.ebuild.in
	* sawfish.spec.in: add HACKING, COYPING, COPYING.SOUNDS to doc-files

	* sawfish.spec.in: package sawfish xsession file

	* autogen.sh
	* configure.in: de-intltoolize sawfish ... not working properly

	* po/LINGUAS
	* po/Makefile.in.in: removed

	* po/update.sh
	* po/make-pot
	* po/sawfish.pot
	* po/Makefile.in
	* po/sawfish-xgettext: added back

	* po/*.po
	* po/sawfish.pot: updated

	* COPYING.SOUNDS: license for the sounds is Artistic2.0beta4

	* THANKS: updated

	* sounds/focused.wav
	* sounds/iconify.wav
	* sounds/map-transient.wav
	* sounds/map.wav
	* sounds/maximize.wav
	* sounds/move-viewport.wav
	* sounds/shade.wav
	* sounds/unfocused.wav
	* sounds/uniconify.wav
	* sounds/unmap-transient.wav
	* sounds/unmap.wav
	* sounds/unmaximize.wav
	* sounds/unshade.wav: added new sounds, by glh Pimenta, taken from his Feather/Needle Soundthemes

	* sounds/activate.wav
	* sounds/clicked.wav
	* sounds/gameover.wav
	* sounds/slide.wav
	* sounds/toggled.wav: removed old sounds

	* lisp/sawfish/wm/ext/audio-events.jl: use new sounds

	* KEYBINDINGS: add how to remove keybindings manually

2009-03-04  Christopher Bratusek <zanghar@freenet.de>
	* KEYBINDINGS: - added description of ISO_Left_Tab
		       - mention Alt Gr
		       - mention Buttons 4 and 5
		       - add how to add keybindings manually

2009-03-03  Christopher Bratusek <zanghar@freenet.de>
	* man/user-doc.texi: fixed a typo

	* sawfish.ebuild.in
	* sawfish.spec.in: add USERDOC to doc-files

2009-03-01  Guillermo S. Romero <gsromero@svn.gnome.org>
	* man/user-doc.texi: on going work on user docs.

2009-02-19  Christopher Bratusek <zanghar@freenet.de>
	* sawfish.desktop
	* sawfish-wm.desktop
	* sawfish-session.desktop: remove useless translations, which are equal to the original string

	* lisp/sawfish/wm/ext/infinite-desktop.jl: update file-header

	* lisp/sawfish/wm/tabs/tab.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl: update file-headers

	* man/news.texi: better description for infinite-desktop.jl

	* themes/*/.jl: s/sawmill/sawfish/g

2009-02-17  Christopher Bratusek <zanghar@freenet.de>
	* Makefile.in
	* sawfish-session.desktop: added session desktop file

	* configure.in: don't just read README.IMPORTANT if this is an upgrade

	* lisp/sawfish/wm/ext/3d-hack.jl: remove annotate-points - not beeing used

	* man/sawfish.texi: Major Documentation updated [Derek Upham]

2009-02-16  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/animation/outline.jl: load sawfish.wm.gaol for screen-width/height to be set

	* man/news.texi: updated

2009-02-15  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: print message at the end that README.IMPORTANT should be read

	* lisp/sawfish/wm/viewport.jl: changed a string

2009-02-15  Guillermo S. Romero <gsromero@svn.gnome.org>
	* man/faq.texi: more s/sawmill/sawfish/ clean up
			also explained rc duality (~/.sawfish[/]rc).

	* KEYBINDINGS: Suggest xmodmap and xev. Super (not s) is Super

	* man/user-doc.texi: brain backup about workspaces, viewports, etc

2009-02-14  Christopher Bratusek <zanghar@freenet.de>
	* man/user-doc.texi: added introduction

	* KEYBINDINGS: fixed some misstakes

2009-02-12  Christopher Bratusek <zanghar@freenet.de>
	* man/user-doc.texi: added uniconify, maximize, unmaximize, delete, shade, unshade, raise, lower, cycle
			     nicer formatting

2009-02-11  Christopher Bratusek <zanghar@freenet.de>
	* man/user-doc.texi
	* man/Makefile.in: add intial try of a user-doc

2009-02-09  Christopher Bratusek <zanghar@freenet.de>
	* KEYBINDINGS: S is Super not Shift
		       W is Modifier and M is Alt
		       s/take place/are active/g

	* lisp/sawfish/wm/commands/shrink-yank: Don't forget to load sawfish.wm.custom

	* po/POTFILES.in: marks.jl is now in .util

	* lisp/sawfish/wm/animation/outline.jl
	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/ext/edge-flip.jl
	* lisp/sawfish/wm/ext/infinite-desktop.jl
	* lisp/sawfish/wm/ext/tooltips.jl
	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/ext/audio-events.jl
	* lisp/sawfish/wm/ext/error-handler.jl
	* lisp/sawfish/wm/ext/shade-hover.jl
	* lisp/sawfish/wm/ext/window-history.jl
	* lisp/sawfish/wm/ext/auto-raise.jl
	* lisp/sawfish/wm/workspace.jl
	* lisp/sawfish/wm/placement.jl
	* lisp/sawfish/wm/custom.jl
	* lisp/sawfish/wm/state/iconify.jl
	* lisp/sawfish/wm/state/maximize.jl
	* lisp/sawfish/wm/state/transient.jl
	* lisp/sawfish/wm/focus.jl
	* lisp/sawfish/wm/viewport.jl
	* lisp/sawfish/wm/tabs/tab.jl
	* lisp/sawfish/wm/menus.jl
	* lisp/sawfish/wm/window-anim.jl
	* lisp/sawfish/wm/windows.jl
	* lisp/sawfish/wm/commands/move-cursor.jl
	* lisp/sawfish/wm/commands/grow-pack.jl
	* lisp/sawfish/wm/commands/shrink-yank.jl
	* lisp/sawfish/wm/commands/xterm.jl
	* lisp/sawfish/wm/commands/x-cycle.jl
	* lisp/sawfish/wm/commands/move-resize.jl
	* lisp/sawfish/wm/stacking.jl
	* lisp/sawfish/wm/placement/stagger.jl
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/keymaps.jl
	* lisp/sawfish/wm/util/prompt.jl
	* lisp/sawfish/wm/util/stacking.jl
	* lisp/sawfish/wm/util/play-audio.jl
	* lisp/sawfish/wm/util/display-window.jl: temporarly remove translatable strings

2009-02-08  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/ext/infinite-desktop.jl: remove dtm. prefix from functions

	* lisp/sawfish/wm/frames.jl: fix an issue, that broke sawfish-ui

2009-02-07  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: use POSIX code [Mark Diekhans]

2009-02-07  Guillermo S. Romero <gsromero@svn.gnome.org>
	* lisp/sawfish/wm/tabs/marks.jl
	* lisp/sawfish/wm/util/marks.jl: move marks from tabs to util

	* lisp/sawfish/wm/tabs/tab.jl: update accordingly

2009-02-05  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/keymaps.jl
	* KEYBINDINGS: move tab-raising bindings from global to window keymap

	* po/POTFILES.in: updated for tab and shrink/yank files

	* OPTIONS: updated

	* man/news.texi: updated

	* lisp/sawfish/wm/commands/shrink-yank.jl: Shrinking/Yanking Support [Timo Korvola]

	* configure.in: bump minimum intltool version to 0.40.0

	* lisp/sawfish/wm/ext/infinite-desktop.jl : Added [David T. McWherter]

2009-02-04  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/keymaps.jl: remove tab-keymap, add grouping to Button2-Off on titlebar

	* KEYBINDINGS: complete list of default keybindings

	* OPTIONS: added new options coming from tabs

	* sawfish.spec.in: add KEYBINDINGS to %doc

	* sawfish.ebuild.in: add KEYBINDINGS README.IMPORTANT to %doc

	* README.IMPORTANT: changed syntax

2009-02-03  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: - re-add checks for XFree86 (add --without-xorg-x11r7 flag)
			- fixed a typo

	* README.IMPORTANT: updated

	* install-sh: added for libtool < 2.2

	* librep.spec.in: don't call make-pot (deprecated)
			  don't %doc deprecated files

	* lisp/sawfish/wm/keymaps.jl: - merged tab-keymap.jl
				      - add keymap for tabs (tab-keymap)

	* lisp/sawfish/wm/tabs/tab.jl
	* lisp/sawfish/wm/tabs/tabgroup.jl
	* lisp/sawfish/wm/tabs/marks.jl: Merged tab-system [Yann Hodique, Scott Scriven, Nathan Froyd, Christopher Bratusek]

	* lisp/Makefile.in: install tabbing code

	* po/Makefile.in.in: remove file, add symlink instead (fixes issue with older intltool)

	* autogen.sh: remove --copy flag from intltoolize

2009-02-02  Christopher Bratusek <zanghar@freenet.de>
	* Makefile.in: create $DESTDIR$datadir/applications before
		       installing desktop file into it

	* */Makefile.in: add distclean rule to all subdir Makefiles

	* autogen.sh: - make sure we check if intltoolize successfully exited
		      - make sure we don't use bash-specific syntax [Mark Diekhans]
		      - don't -I /usr/share/aclocal/ [Mark Diekhans]

	* configure.in: print usefull stuff at the end of configure

2009-02-01  Christopher Bratusek <zanghar@freenet.de>
	* MAINTAINERS: updated my mail address

	* autogen.sh
	* configure.in: intltoolize sawfish

	* po/LINGUAS: added

	* po/POTFILES.in: updated

	* po/Makefile.in
	* po/make-pot
	* po/sawfish.pot
	* po/sawfish-xgettext
	* po/update.sh
	* po/README: removed

	* lisp/sawfish/wm/animation/outline.jl
	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/ext/edge-flip.jl
	* lisp/sawfish/wm/ext/tooltips.jl
	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/ext/audio-events.jl
	* lisp/sawfish/wm/ext/error-handler.jl
	* lisp/sawfish/wm/ext/shade-hover.jl
	* lisp/sawfish/wm/ext/window-history.jl
	* lisp/sawfish/wm/ext/auto-raise.jl
	* lisp/sawfish/wm/workspace.jl
	* lisp/sawfish/wm/placement.jl
	* lisp/sawfish/wm/custom.jl
	* lisp/sawfish/wm/state/iconify.jl
	* lisp/sawfish/wm/state/maximize.jl
	* lisp/sawfish/wm/state/transient.jl
	* lisp/sawfish/wm/focus.jl
	* lisp/sawfish/wm/viewport.jl
	* lisp/sawfish/wm/window-anim.jl
	* lisp/sawfish/wm/windows.jl
	* lisp/sawfish/wm/commands/move-cursor.jl
	* lisp/sawfish/wm/commands/grow-pack.jl
	* lisp/sawfish/wm/commands/xterm.jl
	* lisp/sawfish/wm/commands/x-cycle.jl
	* lisp/sawfish/wm/commands/move-resize.jl
	* lisp/sawfish/wm/stacking.jl
	* lisp/sawfish/wm/placement/stagger.jl
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/util/prompt.jl
	* lisp/sawfish/wm/util/stacking.jl
	* lisp/sawfish/wm/util/play-audio.jl
	* lisp/sawfish/wm/util/display-window.jl
	* lisp/sawfish/wm/keymaps.jl: mark all translatable strings with (_ )

	* po/ne.po
	* po/sr@Latn.po
	* po/bs.po
	* po/cs.po
	* po/pt_BR.po
	* po/mk.po
	* po/es.po
	* po/wa.po
	* po/ko.po
	* po/eu.po
	* po/en_GB.po
	* po/hu.po
	* po/no.po
	* po/sk.po
	* po/vi.po
	* po/uk.po
	* po/ms.po
	* po/ro.po
	* po/ru.po
	* po/rw.po
	* po/nb.po
	* po/el.po
	* po/ar.po
	* po/gl.po
	* po/en_CA.po
	* po/fr.po
	* po/et.po
	* po/nl.po
	* po/az.po
	* po/nn.po
	* po/pl.po
	* po/it.po
	* po/dz.po
	* po/sl.po
	* po/lv.po
	* po/ca.po
	* po/pt.po
	* po/da.po
	* po/sr.po
	* po/tr.po
	* po/be.po
	* po/ga.po
	* po/bg.po
	* po/de.po
	* po/sv.po
	* po/ja.po
	* po/zh_TW.po
	* po/am.po
	* po/fi.po
	* po/pa.po
	* po/oc.po
	* po/zh_CN.po: make -C po update-po

2009-01-25  Daniel Nylander <po@danielnylander.se>

	* po/sv.po: Updated Swedish translation

2009-01-18  Christopher Bratusek <zanghar@freenet.de>
	* OPTIONS
	* lisp/sawfish/wm/animation/outline.jl
	* lisp/sawfish/wm/window-anim.jl
	* lisp/sawfish/wm/commands/move-resize.jl
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/util/window-outline.jl: added 3 new animators (cross, elliptical and draft)

	* src/events.c: Iconify before repyfying (as requested by WM_HINTS) [Ian Zimmerman]

	* sawfish.spec.in: - fixed download location
			   - changed extension to .tar.bz2
			   - don't require rep-gtk-libglade
			   - don't require control-center-devel
			   - don't create unused directories
			   - package sawfish.desktop
			   - package sawfish-wm.desktop
			   - package sawfish.pc
			   - package README.IMPORTANT
			   - let configure create librep/rep-gtk minimum requirement
			   - use _tmppath instead of /var/tmp
			   - merge changes from Michal Jaegermann's spec-file

2009-01-17  Christopher Bratusek <zanghar@freenet.de>
	* OPTIONS: fixed a typo

2009-01-14  Christopher Bratusek <zanghar@freenet.de>
	* lisp/sawfish/wm/commands/slide-window.jl: merge changes from sawfish-pager

	* lisp/sawfish/wm/state/shading.jl: merge changes from sawfish-pager

	* lisp/sawfish/wm/swapper
	* lisp/sawfish/wm/windows
	* lisp/sawfish/wm/util/display-window.jl: replace "librep"/"Jade" by "sawfish" in the copyright header

	* lisp/gtk/stock.jl: Added. (Why has it been missing?)

	* sawfish.pc.in: add libexecdir and sawfishhosttype

2009-01-11  Mario Blättermann  <mariobl@svn.gnome.org>
	* po/de.po: Updated German translation.

2009-01-06  Christopher Bratusek <nano-master@gmx.de>
	* Makefile.in: don't forget to uninstall sawfish.pc upon "make uninstall"

2009-01-03  Christopher Bratusek <nano-master@gmx.de>
	* po/sawfish.pot: updated .pot file

	* po/*.po: updated all .po files

2009-01-01  Christopher Bratusek <nano-master@gmx.de>
	* autogen.sh: small rework

	* config.h.in
	* configure.in
	* Makedefs.in: new configure.in working now (some necassary #define have not been created)

	* build-info: create ./src/build.h instead of ./build.in

	* configure.in: execute build-info, since some .c files include it, but it hasn't been there before

	* lisp/sawfish/wm/viewport.jl: move viewport-boundary-mode and scroll-viewport-steps from Workspace
				       to Workspace/Viewport in Sawfish-UI

	* m4: add that directory to make libtool 1.x shut up

	* lisp/sawfish/wm/gnome/menus.jl
	* lisp/sawfish/wm/util/display-wininfo.jl
	* lisp/sawfish/gtk/Makefile.in
	* lisp/sawfish/ui/Makefile.in
	* lisp/sawfish/ui/widgets/workspace-geometry.jl
	* lisp/sawfish/ui/widgets/icon.jl
	* configure.in: dropped libgnome|gnomeui|gnomecanvas related widgets, use pure-gtk instead

	* src/Makefile.in: make uninstall target work again

	* README.IMPORTANT: added

2008-12-31  Christopher Bratusek <nano-master@gmx.de>
	* config.h.in
	* configure.in
	* Makedefs.in: temporarily revert configure.in rework, since pango checks seem to not work

2008-12-30  Christopher Bratusek <nano-master@gmx.de>
	* Makedefs.in
	* configure.in: Major rework of configure.in [breaks build with XFree86 atm]

	* config.h.in: regenerated

	* sawmill.h
	* sawfish.h: renamed sawmill.h to sawfish.h

	* sawmill_subrs.h
	* sawfish_subrs.h: renamed sawmill_subrs.h to sawfish_subrs.h

	* src/*.[ch]: include sawfish.h/sawfish_subrs.h from now on
		      replace any occurence of sawmill with sawfish

	* etc/config.guess
	* etc/config.sub
	* etc/install-sh: don't ship those files

	* man/Makefile
	* man/sawmill.texi
	* man/sawfish.texi: renamed sawmill.texi to sawfish.texi

	* sawfish.ebuild.in: don't leak copyright info
			     more configure magic
			     don't apply libtool.patch -> obsolete
			     don't mark ppc64 as ~ since librep(svn) does now compile on ppc64

	* lisp/sawfish/wm/defaults.jl: renamed alias to sawfish-defaults

	* lisp/sawfish/wm/animation/outline.jl
	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/custom-defaults.jl
	* lisp/sawfish/wm/gaol.jl
	* lisp/sawfish/wm/customize.jl
	* lisp/sawfish/wm/theming/make-theme-preview.jl
	* lisp/sawfish/wm/theming/make-theme.jl
	* lisp/sawfish/wm/ext/edge-flip.jl
	* lisp/sawfish/wm/ext/tooltips.jl
	* lisp/sawfish/wm/ext/beos-window-menu.jl
	* lisp/sawfish/wm/ext/match-window.jl
	* lisp/sawfish/wm/ext/audio-events.jl
	* lisp/sawfish/wm/ext/error-handler.jl
	* lisp/sawfish/wm/ext/old-window-menu.jl
	* lisp/sawfish/wm/ext/shade-hover.jl
	* lisp/sawfish/wm/ext/window-history.jl
	* lisp/sawfish/wm/ext/auto-raise.jl
	* lisp/sawfish/wm/ext/hide-dialogs.jl
	* lisp/sawfish/wm/ext/3d-hack.jl
	* lisp/sawfish/wm/workspace.jl
	* lisp/sawfish/wm/placement.jl
	* lisp/sawfish/wm/custom.jl
	* lisp/sawfish/wm/state/wm-spec.jl
	* lisp/sawfish/wm/state/shading.jl
	* lisp/sawfish/wm/state/iconify.jl
	* lisp/sawfish/wm/state/mwm.jl
	* lisp/sawfish/wm/state/configure.jl
	* lisp/sawfish/wm/state/maximize.jl
	* lisp/sawfish/wm/state/open-look.jl
	* lisp/sawfish/wm/state/gnome.jl
	* lisp/sawfish/wm/state/ignored.jl
	* lisp/sawfish/wm/state/transient.jl
	* lisp/sawfish/wm/user.jl
	* lisp/sawfish/wm/viewport.jl
	* lisp/sawfish/wm/focus.jl
	* lisp/sawfish/wm/session/save.jl
	* lisp/sawfish/wm/session/load.jl
	* lisp/sawfish/wm/session/init.jl
	* lisp/sawfish/wm/menus.jl
	* lisp/sawfish/wm/window-anim.jl
	* lisp/sawfish/wm/misc.jl
	* lisp/sawfish/wm/commands/size-window.jl
	* lisp/sawfish/wm/commands/groups.jl
	* lisp/sawfish/wm/commands/describe.jl
	* lisp/sawfish/wm/commands/move-cursor.jl
	* lisp/sawfish/wm/commands/viewport-linear.jl
	* lisp/sawfish/wm/commands/help.jl
	* lisp/sawfish/wm/commands/cycle.jl
	* lisp/sawfish/wm/commands/raise-commands.jl
	* lisp/sawfish/wm/commands/x-cycle.jl
	* lisp/sawfish/wm/commands/slide-window.jl
	* lisp/sawfish/wm/commands/move-resize.jl
	* lisp/sawfish/wm/commands/gnome.jl
	* lisp/sawfish/wm/cursors.jl
	* lisp/sawfish/wm/gnome/match-window.jl
	* lisp/sawfish/wm/gnome/integration.jl
	* lisp/sawfish/wm/gnome/menus.jl
	* lisp/sawfish/wm/stacking.jl
	* lisp/sawfish/wm/placement/smart.jl
	* lisp/sawfish/wm/server.jl
	* lisp/sawfish/wm/defaults.jl
	* lisp/sawfish/wm/autoload.jl
	* lisp/sawfish/wm/util/groups.jl
	* lisp/sawfish/wm/util/window-order.jl
	* lisp/sawfish/wm/util/rects.jl
	* lisp/sawfish/wm/util/compat.jl
	* lisp/sawfish/wm/util/window-outline.jl
	* lisp/sawfish/wm/util/decode-events.jl
	* lisp/sawfish/wm/util/prompt-extras.jl
	* lisp/sawfish/wm/util/keymap.jl
	* lisp/sawfish/wm/util/edges.jl
	* lisp/sawfish/wm/util/prompt-wm.jl
	* lisp/sawfish/wm/util/play-audio.jl
	* lisp/sawfish/wm/util/with-output.jl
	* lisp/sawfish/wm/util/gtkrc.jl
	* lisp/sawfish/wm/keymaps.jl
	* lisp/sawfish/wm.jl: replaced any occurence of sawmill with sawfish

	* sawfish.spec.in
	* scripts/sawfish-about.jl.in: corrected homepage

	* lisp/sawfish/wm/user.jl: remove ~/.sawmillrc from list of config files

	* lisp/sawfish/wm/animation/outline.jl
	* lisp/sawfish/wm/frames.jl
	* lisp/sawfish/wm/ext/edge-flip.jl
	* lisp/sawfish/wm/ext/tooltips.jl
	* lisp/sawfish/wm/ext/window-history.jl
	* lisp/sawfish/wm/workspace.jl
	* lisp/sawfish/wm/placement.jl
	* lisp/sawfish/wm/custom.jl
	* lisp/sawfish/wm/focus.jl
	* lisp/sawfish/wm/viewport.jl
	* lisp/sawfish/wm/window-anim.jl
	* lisp/sawfish/wm/windows.jl
	* lisp/sawfish/wm/commands/move-cursor.jl
	* lisp/sawfish/wm/commands/x-cycle.jl
	* lisp/sawfish/wm/commands/move-resize.jl
	* lisp/sawfish/wm/util/compat.jl
	* lisp/sawfish/ui/main.jl.in
	* lisp/sawfish/ui/shell.jl: Reworked Sawfish-UI

2008-12-28 Christopher Bratusek <nano-master@gmx.de>
	* src/server.c: fixed an "unknown remote error", that might appear [Alexey I. Froloff]

2008-12-27  Christopher Bratusek <nano-master@gmx.de>
	* lisp/sawfish/wm/commands/x-cycle.jl: Warp pointer to windows when cycling, if warp-cursor is enabled

	* lisp/sawfish/wm/state/maximize.jl: Warp pointer to windows when unmaximizing, if warp-cursor is enabled
					     [Fernando Carmona Varo]

2008-12-24  Christopher Bratusek <nano-master@gmx.de>
	* autogen.sh: fixed for libtool >2.2

2008-12-23  Christopher Bratusek <nano-master@gmx.de>
	* Makedefs.in: workaround an compilation-error caused by glib [Michal Jaegermann]

	* src/images.c: make building with imlib1 instead of gdk-pixbuf work again [Michal Jaegermann]

	* man/news.texi: updated

	* Makefile.in: improved distclean rule

2008-12-22  Christopher Bratusek <nano-master@gmx.de>
	* sawfish.ebuild.in: forgot to add this file

	* configure.in: improved [ALT-Linux]

	* man/news.texi: updated

	* sawfish.desktop
	* sawfish-wm.desktop: added sawfish-wm.desktop
			      updated content to make it possible for gnome-session >=2.23 to auto-start sawfish

	* Makefile.in: updated to install both .desktop files into correct directory

	* src/Makefile.in: remove a "." by $(srcdir)

	* OPTIONS: added viewport-boundary-mode, error-handler -> both, focus-mode -> enter-click
		   and scroll-viewport-steps

	* sawfish.desktop
	* sawfish-wm.desktop: different files. drop unused stuff from both.

2008-12-20  Christopher Bratusek <nano-master@gmx.de>
	* configure.in: 1.3.5 released, bump to 1.5.0
			bumped minimum librep to 0.17.3 and rep-gtk to 0.18.4,
			since rep.m4 has been removed in favour of an improved librep.pc/rep-gtk.pc

	* configure.in
	* sawfish.ebuild.in: Added ebuild [Harald van Dijk]

	* man/news.texi: Updated

	* configure.in
	* Makefile.in
	* sawfish.pc.in: Added pc file for sawfish

	* Makefile.in: Improved distclean rule

2008-12-18  Christopher Bratusek <nano-master@gmx.de>
	* lisp/sawfish/wm/gnome/integration.jl: invoke x-terminal-emulator instead of gnome-terminal [Christian Marillat]

	* lisp/sawfish/wm/gnome/menus.jl: invoke x-terminal-emulator instead of gnome-terminal
	and add /usr/share/applications aswell as /var/lib/menu-xdg/applications/menu-xdg to the menu-paths [Christian Marillat]

	* lisp/sawfish/wm/gnome/integration.jl: add gnome-menu to sawfish-menu [Christian Marillat]

	* lisp/sawfish/ui/widgets/workspace-geometry.jl: does not require gdk-pixbuf

	* man/news.texi: Updated NEWS

2008-12-17  Christopher Bratusek <nano-master@gmx.de>
	* man/news.texi: Updated NEWS

	* lisp/sawfish/wm/commands/slide-window.jl: Add the "before-slide-hook" [Andrea Vettorello]

	* man/sawmill.texi: added documentation for the "before-slide-hook" [Andrea Vettorello]

	* lisp/sawfish/wm/placement/smart.jl
	* lisp/sawfish/wm/autoload.jl: Expose the smart placement modes

2008-12-16  Christopher Bratusek <nano-master@gmx.de>

	* lisp/sawfish/wm/placement/stagger.jl
	* lisp/sawfish/wm/placement/off-center.jl
	* lisp/sawfish/wm/autoload.jl: Re-expose the Stagger and Off-Center Placement Modes in Sawfish-ui [Andrea Vettorello]

2008-11-28  Christopher Bratusek <nano-master@gmx.de>
	* themes/Makefile.in: Fix installation of mxflat [Michal Jagermann]

	* lisp/sawfish/wm/state/wm-spec.jl
	* lisp/sawfish/wm/state/transient.jl: Suppert _NET_WM_USER_TIME [Helmut Eller]

	* sawfish/lisp/sawfish/ui/layouts/keymaps.jl
	* sawfish/lisp/sawfish/ui/layout.jl
	* lisp/sawfish/ui/widgets/frame-style.jl: Added ATK-A11Y Support [Shobbit Marthur]

	* configure.in: bump librep req to 0.17, rep-gtk req to 0.18.3 and version to 1.3.5

2008-11-20  Christopher Bratusek <nano-master@gmx.de>
	* lisp/sawfish/wm/autoload.jl: load all keybindings

	* lisp/sawfish/wm/viewport.jl: forgot one hunk of the viewport scroll feature

	* lisp/sawfish/wm/viewport.jl: added viewport boundary

	* lisp/sawfish/wm/ext/error-handler.jl: added error-handler "both"

2008-11-19  Christopher Bratusek <nano-master@gmx.de>
	* man/sawmill.texi: Updated Documentation [Derek Upham]

	* */*: remove ^L [Teika Kazura]

	* MAINTAINERS: updated

	* theme/Crux/theme.jl: Added two new button layouts:
	Complete and Complete-Inverse

2008-11-18  Christopher Bratusek <nano-master@gmx.de>
	* config.sub
	* config.guess: updated both files

	* src/windows.c: another small clean-up

	* lisp/sawfish/wm/windows.jl
	* lisp/sawfish/wm/commands/move-resize.jl: Honour ICCCM Aspect Ratio [Andrea Vetorello]

	* lisp/sawfish/wm/viewport.jl: Added Animated Viewport Scrolling [Fernando Carmona Varo]

2008-11-03  Christopher Bratusek <nano-master@gmx.de>
	* configure.in: minimum pango version is 1.8.0

2008-08-29  Janek Kozicki <cosurgi@gmail.com>
	* lisp/sawfish/wm/commands/grow-pack.jl
	* lisp/sawfish/wm/stacking.jl
	* lisp/sawfish/wm/util/rects.jl: Add stacking visibility patch by Timo
	Korvola. This fixes raise-lower window problems with xcomposite
	extension.

	* lisp/sawfish/wm/state/maximize.jl: Add maximize fullscreen xinerama
	patch by Jonathan Sambrook (Uploaded by Christopher Bratusek)

2008-08-07  Christopher Bratusek <nano-master@gmx.de>
	* themes/Makefile.in: install Elberg-tabbed

2008-08-07  Scott Scriven <sawfish@toykeeper.net>
	* themes/Elberg-tabbed/: added Elberg-tabbed theme

2008-08-06  Guillermo S. Romero <gsromero@svn.gnome.org>
	* lisp/sawfish/wm/commands/x-cycle.jl
	* man/sawmill.texi: added after-cycle-step-hook and related docs,
	originally by Teika kazura. Changed some white space in the
	process.

2008-08-05  Timo Korvola <tkorvola@svn.gnome.org>
	* src/windows.c, man/sawmill.texi: Call property
	handlers in window-remprop. Make window-plist return
	the list itself not a copy

2008-08-05  Christopher Bratusek <nano-master@gmx.de>
	* themes/Makefile.in: actually install get-S-tabbed

	* themes/mxflat
	* themes/Makefile.in: add the mxflat theme

2008-08-05  Scott Scriven <sawfish@toykeeper.net>
	* themes/get-S-tabbed/: added get-S-tabbed theme

2008-08-05  Christopher Bratusek <nano-master@gmx.de>
	* configure.in
	* po/POTFILES.in
	* capplet/*
	* Makefile.in
	* sawfish.spec.in: removed the capplet

2008-08-04  Guillermo S. Romero <gsromero@svn.gnome.org>
	* lisp/sawfish/wm/menus.jl: added some missing accelerators in
	window-ops-menu as well as Move and Resize entries, issue reported
	by Fernando Carmona Varo. Also removed tabs in the affected
	defvar.

2008-08-04  Timo Korvola <tkorvola@svn.gnome.org>
	* src/windows.c, src/sawmill_subrs.h, man/sawmill.texi: Rename
	window-prop-del to window-remprop.

2008-08-04  Christopher Bratusek <nano-master@gmx.de>
	* Makefile.in
	* sawfish.spec.in: Sawfish.desktop is now sawfish.desktop

	* po/sawfish.pot
	* po/*.po: updated the pot file and all po files
		- removed deprecated strings
		- removed executable bits from po files

2008-08-04  Janek Kozicki <cosurgi@gmail.com>
	* mark all subdir */Changelog as deprecated

	* lisp/sawfish/wm/focus.jl: add Enter-Click Focus Mode by
	Dagfinn I. Mannsåke (Original Author), Christopher Bratusek
	and Timo Korvola (Simplyfied Code)

	* themes/Crux/theme.jl: Refresh icons patch by Timo Korvola

	* Sawfish.desktop: Update desktop file (again) by Christopher Bratusek

	* configure.in: Bump version requirements: pango 1.16, gtk 2.6, gdk 2.6
	Christopher Bratusek.

	*  src/keys.c, src/frames.c, src/windows.c, src/sawmill_subrs.h,
	man/sawmill.texi: Added Negative-property-p by Teika Kazura
	NOTE: we also need window-setplist

	* src/windows.c, src/sawmill_subrs.h, man/sawmill.texi: Add Window
	prop list & prop del by Teika Kazura.

	* lisp/sawfish/wm/frames.jl: Decorations toolbar windows by Andrea
	Vettorello. This was actually applied in revision 4229.

	* Major C part clean up by Christopher Bratusek

	* Remove .cvsignore files by Christopher Bratusek

	* lisp/sawfish/wm/viewport.jl: Keep Focus on move-window-direction by
	Mark Schreiber.

	* Sawfish.desktop: renamed to sawfish.desktop

2008-07-29  Christopher Bratusek <nano-master@gmx.de>
	* po/make-pot: make this script work again

	* po/POTFILES.in: added. needed by the new make-pot

	* sawfish.spec.in: spec file did use deprecated keywords,
		this patch by Ian Dall fix that.

	* lisp/sawfish/wm/commands/help.jl: the "xterm" command for
		viewing the info file is still hardcoded, instead
		use the user-defined "xterm" command - patch by
		Dagfinn I. Mannsåker.

	* src/Makefile.in: Fix build with -j2 or higher - patch
		by Harald van Dijk

2008-07-28  Christopher Bratusek <nano-master@gmx.de>
	* themer/ : remove the themer from trunk and move
		it to the sawfish-themer branch. The reason
		for doing so, is that rep-glade is not yet
		ported to glade2, therefore the themer does
		not work.

	* configure.in
	* Makefile.in
	* TODO
	* OPTIONS: remove references to the themer

2008-02-18  Janek Kozicki <cosurgi@gmail.com>
	* configure.in: version 1.3.3

	* "Utf 8 names fix" by Timo Korvola: window titles with UTF-8 working
	and no openoffice crashes

	* "Pango draw() ignores font" by Yuuki Harano and Rodrigo Gallardo:
	allows using pango fonts correctly.

	* "Titlebar updates" by Harald van Dijk and Timo Korvola: don't forget
	to tell the running theme that window title length has changed.

	* "KDE tray fix 2" by Timo Korvola: KDE is not always using
	freedesktop.org protocol so we need to adjust a few glitches.

2008-01-20  Janek Kozicki <cosurgi@gmail.com>
	* configure.in: version 1.3.2

	* documentation from Derek Upham v0.12

	* Updated Occitan translation (Yannig Marchegay)

	* patch by Luis Rodrigo Gallardo Cruz taken upstream from debian:
	http://sawfish.wikia.com/wiki/Noprop_desktop_save
	Sawfish saves the size of the desktop window, and although nautilus
	requests the widget to be the same size as your screen it's forced to
	the size that sawfish saved.

	* patch by Rodrigo Gallardo: http://sawfish.wikia.com/wiki/Update_desktop_file
	The current Sawfish.desktop file did not comply with the
	freedesktop.org standard.

	* patch by GSR: http://sawfish.wikia.com/wiki/Fix_select_workspace
	fix-select-workspace, Fixes select-workspace in
	lisp/sawfish/wm/workspace.jl to make sure it uses key params in its
	call to select-workspace*

	* patch by Thadeu Lima de Souza Cascardo:
	http://sawfish.wikia.com/wiki/Fix_Xlib_client_message
	sawfish had problems with 64 bit client messages.

	* patch by Sven Schoenung: http://sawfish.wikia.com/wiki/Blank_lines_in_prompt
	The window opened by the prompt function shows two blank lines before
	the prompt even when they aren't needed.

	* patch by Timo Korvola: http://sawfish.wikia.com/wiki/Reparenting_cleanup
	This fixes reparenting fights that occur between Sawfish and the KDE
	system tray. Both try to reparent system tray icons as they are
	mapped, leading to a lot of flicker and an unpredictable end result.

	* patch by Rodrigo Gallardo: http://sawfish.wikia.com/wiki/Net_wm_properties
	strings are re-encoded in UTF8
	window titles will be set correctly regardless of title encoding
	(useful when browsing foreign pages).

	* patch by Timo Korvola: http://sawfish.wikia.com/wiki/KDE_system_tray_fix
	With this it will ignore out of bounds _NET_CURRENT_DESKTOP requests silently.
	KDE system tray apps have a nasty habit of sending
	_NET_CURRENT_DESKTOP client messages with a parameter of -1, which
	confuses Sawfish. This patch adds some bounds checking.

	* patch by Harald van Dijk: http://sawfish.wikia.com/wiki/KDE_menus_focus
	QT applications were losing focus when menu was active.

	* patch by Fuchur and Andrea Vettorello:
	http://sawfish.wikia.com/wiki/Multihead_placed_patch
	fixes bad placement on xinerama/dualhead. Previous all windows always
	appeared on first monitor, when using centered/centered-on-parent

2007-07-27  Janek Kozicki <cosurgi@gmail.com>
	* configure.in: version 1.3.1 - This version is to let people know
	that Sawfish is being revived by the community, and we are awaiting
	patches to be submitted for incoming 1.3.2 release
	* added tool for automatic screenshot generation for huge number of
	themes (Scott Scriven)
	* fixed typo in man/sawmill.texi (Philippe-Pierre)
	* updated man/faq.texi about not working theme generator GimpMill
	(Andrea Vettorello)
	* fixed possible buffer overflow in src/fonts.c (Yoshiaki Kasahara)

2007-07-16  Janek Kozicki <cosurgi@gmail.com>
	* docs from Derek Upham v0.11 : http://home.avvanta.com/~sand/sawfish/
	* update information in README about John's resignation from
	maintainership
	* update FAQ from: http://sawfish.wikia.com/wiki/FAQ

2006-01-26  Daniel Nylander <po@danielnylander.se>

	* po/sv.po: Updated Swedish translation

2005-06-26  Philip Langdale <philipl@mail.utexas.edu>

	* configure.in
	* config.h.in
	* Makedefs.in: Add detection for Xrandr extension.

2005-04-01  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-01-17	Amanpreet Alam <amanpreetalam@yahoo.com>

	* po/pa.po is added for Punjabi Lanaguage

2004-04-05  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* ChangeLog: converted to UTF-8

2003-08-16  John Harper  <jsh@unfactored.org>

	* configure.in: generate sawfish.gtk.widgets.font from
	font.jl.in, define have_pango_xft in the substitutions

2003-08-14  John Harper  <jsh@unfactored.org>

	* configure.in, config.h.in, Makedefs.in: check for pango libs
	and flags (optional dependency)

2003-04-02  John Harper  <jsh@unfactored.org>

	* Makefile.in: install Sawfish.desktop unconditionally

2003-03-25  John Harper  <jsh@unfactored.org>

	* configure.in, man/news.texi: version 1.3

2003-03-01  John Harper  <jsh@unfactored.org>

	* Sawfish.desktop: moved ConfigExec field to main section.
	Patch from Christian Krause <chkr@plauener.de>

2003-01-12  John Harper  <jsh@unfactored.org>

	* merged all differences between gnome-2 and HEAD branches back
	onto HEAD. All future development will be on HEAD for gtk2 only

	* configure.in: capplet defaults to off

2002-11-10  Ole Laursen  <olau@hardworking.dk>

	* po/da.po: Updated Danish translation.

2002-11-09  John Harper  <jsh@unfactored.org>

	* configure.in: version 1.2

2002-11-08  John Harper  <jsh@unfactored.org>

	* configure.in, Makedefs.in: use pkg-config to look for xft.pc
	before searching by hand. This is because Xft2 (which has the
	xft.pc may not be recognized by the hand-crafted tests)

2002-11-03  John Harper  <jsh@unfactored.org>

	* po/sawfish.pot: rebuilt

2002-11-02  John Harper  <jsh@unfactored.org>

	* configure.in: disabled --enable-gnome-widgets by default, it
	probably doesn't work anyway. Also be smarter when testing for
	rep-gtk plugins

	* configure.in, config.h.in, Makedefs.in: check for Xft
	libraries and headers (merged from HEAD)

2002-09-26  Stanislav Brabec  <sbrabec@suse.cz>

	* po/cs.po: Updated Czech translation from Miloslav Trmac
	<mitr@volny.cz>.

2002-06-28  John Harper  <jsh@unfactored.org>

	* configure.in: version 1.1

	The "version 2.0" below was a mistake

	* sawfish.spec.in: updated (untested)

2002-06-21  Federico Mena Quintero  <federico@ximian.com>

	Released version 2.0.

	* configure.in: Bumped version number to 2.0.

2002-06-21  Changwoo Ryu  <cwryu@debian.org>

	* po/ko.po: Updated Korean translation from Michelle Kim
	<mkim@brisbane.redhat.com>.

2002-06-02  Carlos Perelló Marín <carlos@gnome-db.org>

	* po/es.po: Recoded as UTF-8

2002-06-01  Tõivo Leedjärv  <toivo@linux.ee>

	* po/et.po: Updated Estonian translation.

2002-06-01  Kjartan Maraas  <kmaraas@gnome.org>

	* po/no.po: Updated Norwegian (bokmål) translation.
	* po/sawfish.pot: Updated.

2002-05-17  Abel Cheung  <maddog@linux.org.hk>

	* po/zh_TW.po: Converted to UTF-8.

2002-05-11  Ole Laursen  <olau@hardworking.dk>

	* po/da.po: Updated Danish translation and converted it to UTF-8.

2002-05-07  Duarte Loreto <happyguy_pt@hotmail.com>

	* po/pt.po: Updated Portuguese translation and converted to UTF-8.

2002-05-01  Christian Rose  <menthos@menthos.com>

	* po/sv.po: Updated Swedish translation.

2002-04-30  Kjartan Maraas  <kmaraas@gnome.org>

	* po/no.po: Updated Norwegian (bokmål) translation.

2002-04-26  Tõivo Leedjärv  <toivo@linux.ee>

	* po/et.po: Updated Estonian translation.

2002-04-21  John Harper  <jsh@unfactored.org>

	* Merged changes from HEAD:

	2002-04-21  John Harper  <jsh@unfactored.org>

	* configure.in, Makedefs.in: don't AC_SUBST(LIBOBJS), doesn't
	work on autoconf 2.53

	2002-04-13  John Harper  <jsh@unfactored.org>

	* man/Makefile.in: use --info-dir option to install-info, works
	with install-info on debian systems. Patch from Kai Großjohann
	<Kai.Grossjohann@CS.Uni-Dortmund.DE>

	2002-03-28  John Harper  <jsh@unfactored.org>

	* themes/Crux/theme.jl (make-button): added removable property
	to buttons

2002-03-19  John Harper  <jsh@unfactored.org>

	* Merged changes from HEAD:

	2002-03-17  Tõivo Leedjärv  <toivo@linux.ee>

	* po/et.po: Updated Estonian translation.

	2002-03-17  Tõivo Leedjärv  <toivo@linux.ee>

	* po/et.po: Added Estonian translation from gnome-2 branch.

	2002-03-15  Valek Filippov  <frob@df.ru>

	* ru.po: updated russian translation.

	2002-02-28  Hasbullah Bin Pit <sebol@ikhlas.com>

	* po/ms.po: Added Malay Translation from gnome-2 branch

	2002-02-20  John Harper  <jsh@unfactored.org>

	* configure.in: don't ever compile our own dlmalloc, it breaks
	on too many platforms

	2002-02-01  Kjartan Maraas  <kmaraas@gnome.org>

	* po/no.po: Updated Norwegian (bokmål) translation.

	2002-01-31  Simos Xenitellis  <simos@hellug.gr>

	* po/el.po: Updated Greek translation.

	2002-01-23  Peteris Krisjanis <peteris.krisjanis@ttc.lv>

	* po/lv.po: Updated Latvian translation.

	2002-01-15  Wang Jian  <lark@linux.net.cn>

	* po/zh_CN.po: Updated Simplified Chinese translation by
	Wang Li <charlesw1234@163.com>.

2002-03-17  Tõivo Leedjärv  <toivo@linux.ee>

	* po/et.po: Updated Estonian translation.

2002-03-03  John Harper  <jsh@pixelslut.com>

	* po/sawfish.pot: updated

2002-03-02  JeyaSudha <jeyasudha.duraipandy@wipro.com>

	* configure.in: No need for checking the cflags and libs for
	gnome capplets as sawfish-ui is used instead of sawfish-capplet

2002-03-02  John Harper  <jsh@pixelslut.com>

	* configure.in: readded the --with-gnome-prefix option that
	someone had removed

2002-02-28  Tõivo Leedjärv  <leedjarv@interest.ee>

	* po/et.po: Added Estonian translation.

2002-02-26  Hasbullah Bin Pit <sebol@ikhlas.com>

	* po/ms.po: Added Malay Translation.

2002-02-12  John Harper  <jsh@unfactored.org>

	* po/sawfish.pot: committed an updated version

	* configure.in: don't use AM_PATH_IMLIB to detect Imlib, do it
	by hand (but no version check, which shouldn't be too
	important). Also added a (bogus?) fix for the capplet

	Status of port: sawfish-ui mostly works (in non-tree mode).
	Some problems with appearance pop-down list?

2002-02-12  Kjartan Maraas  <kmaraas@gnome.org>

	* po/no.po: Updated Norwegian (bokmål) translation.

2002-02-03  Kjartan Maraas  <kmaraas@gnome.org>

	* po/no.po: Updated Norwegian (bokmål) translation.

2002-02-01  Kjartan Maraas  <kmaraas@gnome.org>

	* po/no.po: Updated Norwegian (bokmål) translation.

2002-01-29  John Harper  <jsh@unfactored.org>

	* configure.in: Fix imlib mess. Add -gnome2-n prefix to the
	version string. Check for the gnome2 rep-gtk

2002-01-27  Kjartan Maraas  <kmaraas@gnome.org>

	* po/no.po: Updated this a bit.

2002-01-27  Christian Rose  <menthos@menthos.com>

	* po/sv.po: Converted to UTF-8.

2002-01-10  Sander Vesik <sander.vesik@sun.com>

	* configure.in: move from using gnome-config to pkg-config

2002-01-04  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added "eu" to ALL_LINGUAS

2001-12-17  Germán Poo-Caamaño  <gpoo@ubiobio.cl>

	* po/es.po: Updates spanish translation from Eneko Lacunza
		<enlar@iname.com>

2001-12-02  John Harper  <jsh@unfactored.org>

	* configure.in: fix /bin/sh bogosity

2001-11-27  Alexander Shopov <al_shopov@web.bg>

	* po/bg.po: Added initial Bulgarian tranlsation by Borislav
	Alexandrov

2001-11-24  Peteris Krisjanis <pecisk@inbox.lv>

	* po/lv.po: Added latvian translation.

2001-11-17  Roy-Magne Mo  <rmo@sunnmore.net>

	* po/nn.po: Added initial Norwegian (nynorsk) translation.

2001-11-15  Karl Eichwalder  <ke@suse.de>

	* po/de.po: Update.  Merge in proposals by Benjamin Greiner.

2001-11-14  Carlos Perelló Marín <carlos@gnome-db.org>

	* po/es.po: Updated Spanish translation by Eneko
	Lacunza <enlar@iname.com>

2001-11-03  Carlos Perelló Marín <carlos@gnome-db.org>

	* po/pt.po: Updated by Duarte Loreto <happyguy_pt@hotmail.com>

2001-10-27  Sami Pesonen  <spesonen@dlc.fi>

	* po/fi.po: Updated Finnish translation by
	Antti Ahvensalmi  <aahven@mbnet.fi>.

2001-10-14  John Harper  <jsh@unfactored.org>

	* configure.in: version 1.0.1

	* configure.in: disabled dlmalloc on sparc platforms. Brian
	Nitz <Brian.Nitz@Sun.COM> reports that this is necessary to
	stop sawfish crashing in certain circumstances

2001-10-07  Carlos Perelló Marín <carlos@gnome-db.org>

	* po/pt.po: Renamed from po/pt_PT.po.

2001-09-24  John Harper  <jsh@unfactored.org>

	* po/it.po: update from Michele Campeotto <micampe@f2s.com>

2001-09-17  Zbigniew Chyla  <cyba@gnome.pl>

	* po/pl.po: Updated Polish translation.

2001-09-15  John Harper  <jsh@unfactored.org>

	* config.h.in: removed spurious close-comment from after
	`#undef HAVE_MEMORY_H'. From Ali Akcaagac
	<ali.akcaagac@stud.fh-wilhelmshaven.de>

2001-09-09  Wang Jian  <lark@linux.net.cn>

	* po/zh_CN.po: Renamed from po/zh_CN.GB2312.po.

2001-09-05  Abel Cheung  <maddog@linux.org.hk>

	* po/zh_TW.Big5.po: Rename to...
	* po/zh_TW.po: this, to prevent future encoding naming problem.

2001-09-03  Carlos Perelló Marín <carlos@gnome-db.org>

	* po/es.po: Updated Spanish translation by Eneko
	Lacunza <enlar@iname.com>

2001-09-02  Fatih Demir <kabalak@gtranslator.org>

	* po/tr.po: Committed updated Turkish translation by
		Ömer.

2001-09-02  Christian Rose  <menthos@menthos.com>

	* po/sv.po: Corrected Swedish translation. Thanks to
	Göran Uddeborg <goeran@uddeborg.pp.se>.

2001-09-01  Christian Rose  <menthos@menthos.com>

	* po/sv.po: Updated Swedish translation.

2001-08-27  Ole Laursen  <olau@hardworking.dk>

	* po/da.po: Fixed a few strings in Danish translation.

2001-08-27  Abel Cheung  <maddog@linux.org.hk>

	* po/zh_TW.Big5.po: Updated traditional Chinese translation, and
	  intentionally disabled some translations to make both
	  newer/older gettext work.

2001-08-21  John Harper  <jsh@pixelslut.com>

	* po/it.po: update from Michele Campeotto <micampe@f2s.com>

2001-08-19  Jesus Bravo Alvarez  <jba@pobox.com>

	* po/gl.po: Updated Galician translation.

2001-08-15  Abel Cheung  <maddog@linux.org.hk>

	* po/zh_TW.Big5.po: Updated traditional Chinese translation.

2001-07-28  Abel Cheung  <maddog@linux.org.hk>

	* po/zh_TW.Big5.po: msgmerge'd with sawfish.pot, marked all
	  questionable strings with fuzzy, so that both newer and older
	  gettext works.

2001-07-12  Ole Laursen  <olau@hardworking.dk>

	* capplet/desktop-entries/appearance-properties.desktop,
	capplet/desktop-entries/move-properties.desktop, po/da.po: Fixed a
	few things in Danish translation.

2001-07-09  John Harper  <jsh@pixelslut.com>

	* configure.in: version 1.0

	* po/fr.po: update from Christian Marillat

2001-07-02  John Harper  <jsh@pixelslut.com>

	* configure.in: version 0.99

	* THANKS, README, HACKING, BUGS, AUTHORS: updated

	* po/ja.po: update from Sato Satoru

2001-06-22  Kjartan Maraas  <kmaraas@gnome.org>

	* no.po: Updated Norwegian translation.

2001-06-20  John Harper  <jsh@pixelslut.com>

	* Makefile.in: fixed SUBDIRS commands to exit if an error
	occurs

2001-06-04  John Harper  <jsh@pixelslut.com>

	* po/sawfish.pot: updated

	* configure.in, sawfish.spec.in: require librep 0.14 (for the
	compiler fix)

2001-05-23  John Harper  <jsh@pixelslut.com>

	* po/zh_TW.Big5.po: reverted to revsion 1.1, `pablo's commit
	breaks on my version of gettext (Red Hat 7.1)

2001-05-22  Kjartan Maraas  <kmaraas@gnome.org>

	* po/no.po: Updated Norwegian translation.

2001-05-21  Carlos Perelló Marín <carlos@gnome-db.org>

	* po/es.po: Merged with sawfish.pot file

2001-05-20  Antti Ahvensalmi  <aahven@mbnet.fi>

	* po/fi.po: Updated Finnish translation.

2001-03-05  Stanislav Brabec  <utx@penguin.cz>

	* po/cs.po: Updated translation from Jiri Cerny
	<cerny@masg1.epfl.ch>.

2001-05-12  John Harper  <jsh@pixelslut.com>

	* po/fr.po: update from Christian Marillat

2001-05-06  Matthias Warkus  <mawarkus@gnome.org>

	* po/de.po: Conflicts detected. Commit.

2001-05-03  Matthias Warkus  <mawarkus@gnome.org>

	* po/de.po: Updated.

2001-05-01  John Harper  <jsh@eazel.com>

	* themes/Crux/theme.jl: don't include close buttons on
	transient windows, since it may lead to confusion (ideally,
	we'd only remove close buttons from dialogs with more than one
	choice, but the wm can't determine that)

	Also, moved all button theme definitions into the special
	variable Crux:button-themes, then the button-theme function
	just dereferences this

2001-04-25  Ole Laursen  <olau@hardworking.dk>

	* po/da.po: Updated Danish translation.

	* po/update.sh: Added a convenient script for updating .po files.

2001-04-22  John Harper  <jsh@eazel.com>

	* configure.in: s/X11_CFLAGS/X_CFLAGS/

2001-04-21  John Harper  <jsh@eazel.com>

	* configure.in: temporarily set CPPFLAGS to include X11_CFLAGS
	while looking for X header files

2001-04-20  John Harper  <jsh@eazel.com>

	Adapted from a patch by Vlad Harchev <hvv@hippo.ru>:

	* po/sawfish-xgettext: extract beautified keymap names.
	Consider i18n-defvar and i18n-define forms on a variable by
	variable basis. Also add beautified command names

	* po/sawfish.pot: updated

2001-04-05  Ole Laursen  <olau@hardworking.dk>

	* po/da.po: Updated Danish translation.

2001-04-05  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* po/pl.po: Corrected charset header
	* po/pt_BR.po: changed DOS end of lines to Unix ones

2001-03-06  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* po/sk.po: Updated Slovak translation

2001-03-05  Stanislav Brabec  <utx@penguin.cz>

	* po/cs.po: Added Czech translation from Jiri Cerny
	<jiri.cerny@epfl.ch>.

2001-03-03  Antti Ahvensalmi  <aahven@mbnet.fi>

	* po/fi.po: Updated Finnish translation.

2001-02-28  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* po/az.po: Added Azeri file
	* po/{fi,it,pl,ro,sl}.po: corrected/enabled header

2001-03-05  Stanislav Brabec  <utx@penguin.cz>

	* po/cs.po: Update from Jiri Cerny <jiri.cerny@epfl.ch>.

2001-03-27  Ole Laursen  <olau@hardworking.dk>

	* po/da.po: Minor fixes in Danish translation.

2001-03-27  Matthias Warkus  <mawarkus@gnome.org>

	* po/de.po: Huge update.

2001-03-24  Matthias Warkus  <mawarkus@gnome.org>

	* po/de.po: Commit this to be sure.

2001-03-22  Fatih Demir <kabalak@gtranslator.org>

	* po/tr.po: Committed updated Turkish translation
		by Özgür.

2001-03-19  John Harper  <jsh@eazel.com>

	* configure.in: patch from albert chin
	(china@thewrittenword.com):

	1. No need to AC_MSG_CHECKING if the user has disabled the
	feature

	2. /usr/ccs/lib/cpp is a more portable location for cpp under
	Solaris

	3. Run some *-config scripts in a sub-process so we can handle
	the case where the command is not found (else the shell outputs
	<blah> command not found).

2001-03-14  John Harper  <jsh@eazel.com>

	* configure.in: version 0.38

2000-03-14  Jesus Bravo Alvarez  <jba@pobox.com>

	* po/gl.po: Updated Galician translation.

2001-03-13  Martin Norbäck  <d95mback@dtek.chalmers.se>

	* po/sv.po: Made a big overhaul, and updated Swedish translation.

2001-03-11  Matthias Warkus  <mawarkus@gnome.org>

	* po/de.po: Patched in diff from Christian Meyer.

2001-03-11  Timur Bakeyev  <mc@bat.ru>

	* capplet/desktop-entries/*.desktop:  added Russian translations
	from Vlad Harchev <hvv@hippo.ru>

2001-03-11  Carlos Perelló Marín <carlos@gnome-db.org>

	* po/es.po: Updated Spanish translation by Joseba García
	  Etxebarria <josebagar@euskalnet.net>

2000-03-11  Christian Meyer  <chrisime@gnome.org>

	* po/de.po: Cleaned up the file a little bit.

2000-03-08  Jesus Bravo Alvarez  <jba@pobox.com>

	* po/gl.po: Updated Galician translation.
	* themes/Crux/README.gl: Added Galician description file.

2001-03-06  John Harper  <jsh@eazel.com>

	* po/ChangeLog: removed (po ChangeLog entries should go in the
	top-level ChangeLog)

2001-03-03  John Harper  <jsh@eazel.com>

	* po/pl.po: update from Daniel Koć <kocio@bigfoot.com>
	* po/ru.po: update from Vlad Harchev <hvv@hippo.ru>

2001-03-03  Antti Ahvensalmi  <aahven@mbnet.fi>

	* po/fi.po: Updated Finnish translation.

2001-03-02  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* po/sawfish.pot:
	* po/sk.po:

2001-02-28  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* po/az.po: Added Azeri file
	* po/{fi,it,pl,ro,sl}.po: corrected/enabled header

2001-03-05  Stanislav Brabec  <utx@penguin.cz>

	* Sawfish.desktop: Added Czech translation from Jiri Cerny
	<jiri.cerny@epfl.ch>.

2001-02-28  John Harper  <jsh@eazel.com>

	* themes/Crux/theme.jl (Crux:button-theme): default theme is
	now `default'

	* themes/Crux/theme.jl (button-theme): new button theme
	`default'. Like `platinum' but show an iconify button on the
	right in nomal windows

2001-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* po/no.po: Updated Norwegian (bokmål) translation.

2001-02-25  Simos Xenitellis  <simos@hellug.gr>

	* po/el.po: Updated Greek translation.

2001-02-24  John Harper  <jsh@eazel.com>

	* po/it.po: update from Michele Campeotto <micampe@f2s.com>

	* po/fr.po: update from Christian Marillat
	<marillat.christian@wanadoo.fr>

	* po/sawfish-xgettext (helper): extract choices from `:options'
	and `:type (choice ..)' fields. Patch from Vlad Harchev
	<hvv@hippo.ru>

2001-02-23  Marius Andreiana  <mandreiana@yahoo.com>

	* po/ro.po: Updated

2001-02-21  Fatih Demir	<kabalak@gtranslator.org>

	* po/ko.po: Committed updated Korean translation.

2001-02-19  John Harper  <jsh@eazel.com>

	* configure.in: version 0.37.3

	* po/ru.po: Updated Russian translation from Vlad Harchev
	<hvv@hippo.ru>

2001-02-18  Simos Xenitellis  <simos@hellug.gr>

	* po/el.po: Updated Greek translation.

2001-02-14  John Harper  <jsh@eazel.com>

	* configure.in: version 0.37.2

	* configure.in: version 0.37.1

2001-02-13  John Harper  <jsh@eazel.com>

	* configure.in: version 0.37

	* themes/Crux/theme.jl (button-theme): in `Mac OS Platinum'
	mode, only show close button on transients

2001-02-12  John Harper  <jsh@eazel.com>

	* po/sawfish.pot: committed the translation template (requested
	by kmaraas), will try to periodically update this
	auto-generated file..

2001-02-09  John Harper  <jsh@eazel.com>

	* themes/mono/theme.jl: rewritten in `define' form. The
	mono:active-color is now optional and defaults to the GTK
	selection color

2001-02-10  John Harper  <jsh@eazel.com>

	* po/ja.po: updated Japansese translations from Sato Satoru

2001-02-09  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* po/sk.po: Updated Slovak translation.

2001-02-07  John Harper  <jsh@eazel.com>

	* po/es.po: updated Spanish translation from Iñaki García
	Etxebarria <garetxe@euskalnet.net>

2001-02-07  Szabolcs Ban  <shooby@gnome.hu>

	* po/hu.po: Updated Hungarian translation by Robert Vanyi

2001-02-07  Fatih Demir	<kabalak@gmx.net>

	* po/tr.po: Updated Turkish translation ci'd.

2001-01-29  John Harper  <jsh@eazel.com>

	* themes/Crux/theme.jl: was rebuilding _all_ windows when the
	WM_NAME of one window changed. Fixed this inefficiency

2001-02-03  Marius Andreiana  <mandreiana@yahoo.com>

	* po/ro.po: Added Romanian translation (thanks to Tutu Valentin)

2001-01-30  Kjartan Maraas  <kmaraas@gnome.org>

	* po/no.po: Updated Norwegian translation.

2001-01-27  John Harper  <jsh@eazel.com>

	* po/it.po: updated Italian translation from Michele Campeotto
	<micampe@f2s.com>

	* themes/Crux/theme.jl,
	themes/Crux/inactive:menu-button-pressed.png,
	themes/Crux/inactive:menu-button-hilight.png,
	themes/Crux/inactive:button-pressed.png,
	themes/Crux/inactive:button-hilight.png: buttons on inactive
	frames now prelight like active frames

	* po/pl.po: updated Polish translation from Daniel Koc
	<kocio@bigfoot.com>

2001-01-25  John Harper  <jsh@eazel.com>

	* themes/Crux/theme.jl: s/MacOS/Mac OS/

2001-01-20  John Harper  <jsh@eazel.com>

	* configure.in: version 0.36

2001-01-19  John Harper  <jsh@eazel.com>

	* themes/Makefile.in:
	* themes/Crux/theme.jl,	themes/Crux/*.png, themes/Crux/README:

	New theme `Crux' - designed by Arlo, implemented by me. The new
	default theme. Recolors itself to match the GTK+ theme, has
	various customizable options

2001-01-17  John Harper  <jsh@eazel.com>

	* sawfish.spec.in: unset LC_ALL, LINGUAS and LANG before
	building

2001-01-11  John Harper  <jsh@eazel.com>

	* themes/gtk/theme.jl: rewrote to use define instead of let*
	for creating bindings

	* po/it.po, po/fr.po: updated translations from Michele
	Campeotto <micampe@f2s.com> and Christian Marillat
	<marillat.christian@wanadoo.fr> respectively

2001-01-05  John Harper  <jsh@eazel.com>

	* configure.in: version 0.35

2000-12-20  John Harper  <jsh@eazel.com>

	* po/sawfish-xgettext (helper): corrected off-by-one error when
	grabbing real name from defgroup forms

	* po/it.po: update from Michele Campeotto <micampe@f2s.com>

2000-12-18  John Harper  <jsh@eazel.com>

	* po/zh_TW.Big5.po: new file, ``po file for the zh_TW locale in
	big5 encoding'', from Chun-Chung Chen <cjj@u.washington.edu>

	* po/ja.po: update from SATO Satoru <ssato@redhat.com>

2000-12-14  John Harper  <jsh@eazel.com>

	* configure.in, config.h.in: added check for endianness. Define
	WORDS_BIGENDIAN if appropriate. Fixes #4244

2000-12-12  John Harper  <jsh@eazel.com>

	* HACKING, BUGS, man/faq.texi: changed mailing list address to
	sawfish@lists.eazel.com

2000-12-10  John Harper  <jsh@eazel.com>

	* po/pl.po: update from Daniel Koc <kocio@bigfoot.com>

2000-12-06  John Harper  <jsh@eazel.com>

	* po/sk.po: added Slovak translation from Stanislav Visnovsky
	<visnovsky@nenya.ms.mff.cuni.cz>

2000-12-04  John Harper  <jsh@eazel.com>

	* configure.in: version 0.34

	* themes/absolute-e/README.it, themes/brushed-metal/README.it,
	themes/gradient/README.it, themes/gtk/README.it,
	themes/microGUI/README.it, themes/mono/README.it,
	themes/simple/README.it, themes/smaker/README.it: new files,
	from Michele Campeotto <micampe@interpuntonet.it>

	* po/it.po: update from Michele Campeotto
	<micampe@interpuntonet.it>

2000-11-16  John Harper  <jsh@eazel.com>

	* po/fr.po: update from Christian Marillat
	<marillat.christian@wanadoo.fr>

	* build-info, Makefile.in: added a cpp macro SAWFISH_LOCALEDIR

	* configure.in: ${localedir} is now ${datadir}/locale (e.g.
	`/usr/share/locale' instead of `/usr/share/sawfish/0.n/locale)

2000-11-16  Richard Hult  <rhult@codefactory.se>

	* po/sv.po: Updated Swedish translation.

2000-11-15  John Harper  <jsh@eazel.com>

	* po/sawfish-xgettext (helper): ensure that `:type*' keys get
	scanned for `_' calls

2000-11-13  John Harper  <jsh@eazel.com>

	* configure.in: version 0.33.1

	* po/sawfish-xgettext: fixed memq error

2000-11-08  John Harper  <jsh@eazel.com>

	* configure.in: version 0.33

	* po/uk.po, po/pt_BR.po: updated from gnome-i18n/extra-po
	directory

2000-11-01  John Harper  <jsh@eazel.com>

	* po/de.po: update from Matthias Warkus <mawarkus@t-online.de>

2000-10-30  John Harper  <jsh@eazel.com>

	* po/fi.po: update from Antti Ahvensalmi <aahven@mbnet.fi>

2000-10-26  John Harper  <jsh@eazel.com>

	* themes/microGUI/theme.jl: foreground color of title bars is
	now more visible

2000-10-19  John Harper  <jsh@eazel.com>

	* configure.in: version 0.32

	* po/uk.po, po/pt_BR.po, po/hu.po, po/de.po: sync'd from gnome
	cvs (uk: Yuri Syrota, pt_BR: Douglas Moura Ferreira, hu: Róbert
	Ványi, de: Christian Meyer)

2000-10-13  John Harper  <john@dcs.warwick.ac.uk>

	* po/ja.po: update from SATO Satoru <ssato@redhat.com>

2000-10-09  John Harper  <john@dcs.warwick.ac.uk>

	* Makefile.in: scan all lisp files for `::doc:' embedded doc
	strings, as well as C files

	* po/da.po: update from Keld Jørn Simonsen <keld@dkuug.dk>

	* themes/brushed-metal/theme.jl: fixed off-by-one error in
	right-hand position of title piece

2000-10-07  John Harper  <john@dcs.warwick.ac.uk>

	* po/es.po: update from Iñaki García Etxebarria

2000-09-29  John Harper  <john@dcs.warwick.ac.uk>

	* sawfish.spec.in: override infodir in `make install' command

2000-09-28  John Harper  <john@dcs.warwick.ac.uk>

	* po/uk.po, po/sv.po, po/pt_BR.po, po/no.po, po/de.po,
	po/da.po: updated from cvs.gnome.org (uk: Yuri Syrota, sv:
	Johan Dahlin, pt_BR: Rui Miguel Silva Seabra, no: Kjartan
	Maraas, de: Christian Meyer, da: Kenneth Christiansen)

2000-09-25  John Harper  <john@dcs.warwick.ac.uk>

	* po/fr.po: update from Christian Marillat
	<marillat.christian@wanadoo.fr>

	* po/sawfish-xgettext: grok how :tooltip's are embedded into
	doc strings of customization options

2000-09-20  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.31

2000-09-19  John Harper  <john@dcs.warwick.ac.uk>

	* build-info: use `$LOCALDOMAIN', then `dnsdomainname', before
	falling back to `domainname'

2000-09-14  John Harper  <john@dcs.warwick.ac.uk>

	* Sawfish.desktop: added Greek translations from Simos
	Xenitellis <root@pc96.ma.rhbnc.ac.uk>

2000-09-13  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.31pre2

2000-09-07  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in, sawfish.spec.in: require rep-gtk 0.14

2000-09-04  John Harper  <john@dcs.warwick.ac.uk>

	* po/sawfish-xgettext (helper): include the name of the current
	module when looking for command doc strings; also grok #:doc
	and #:doc-key keywords in parameters

	* configure.in: version -> 0.31pre1

	* po/sl.po, po/ru.po, po/ga.po, po/es.po, po/el.po, po/de.po:
	updated from GNOME cvs

	* configure.in: revert to using Imlib by default -- current
	gdk-pixbuf xlib (0.9) library is slightly broken

	* configure.in: fixed gdk_pixbuf checks to avoid gnome-config
	brokenness

2000-09-02  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: new option --enable-gnome-widgets. This is
	usually inferred automatically, but it's useful to use
	--disable-gnome-widgets for testing the GTK+-only code

2000-09-01  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: build `scripts' subdirectory

	* configure.in: don't build `nokogiri' subdirectory, do
	`sawfish/ui' and `sawfish/gtk' instead

	* configure.in: check for gdk-pixbuf by default now, then fall
	back to checking for Imlib if that fails

2000-08-29    <john@dcs.warwick.ac.uk>

	* sawfish.spec.in: sawfish-themer requires exactly @version@ of
	sawfish package

2000-08-21  John Harper  <john@dcs.warwick.ac.uk>

	* po/zh_CN.GB2312.po: Chinese translation from zw@zhaoway.com

2000-08-20  John Harper  <john@dcs.warwick.ac.uk>

	* po/make-pot: use sawfish-xgettext to extract localized
	strings

	* po/sawfish-xgettext: new script, tailored to the specifics of
	sawfish Lisp code

2000-08-14  John Harper  <john@dcs.warwick.ac.uk>

	* themes/brushed-metal/theme.jl, themes/gradient/theme.jl,
	themes/gtk/theme.jl, themes/mono/theme.jl,
	themes/simple/theme.jl: applied patches from Daniel Lundell
	<danlu@home.se> to fix vertical movement when shading

	* po/es.po: update from Iñaki
	* po/tr.po: update from Fatih Demir

2000-08-03  John Harper  <john@dcs.warwick.ac.uk>

	* autogen.sh: added

2000-07-28  John Harper  <john@dcs.warwick.ac.uk>

	* po/pl.po: update from Daniel Koc

	* Makedefs.in: added REP_ENVIRON macro

2000-07-27  John Harper  <john@dcs.warwick.ac.uk>

	* sawfish.spec.in: in files section, include
	%{_libexecdir}/rep/%{_target_platform}/sawfish

	* configure.in: require rep 0.13, removed readline junk

2000-07-24  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.30.3

2000-07-20  Joaquim Fellmann <joaquim@hrnet.fr>

	* po/fr.po: Updated French translation with patch from
	  Christian Marillat <marillat.christian@wanadoo.fr>

2000-07-23  John Harper  <john@dcs.warwick.ac.uk>

	* sawfish.spec.in: added texinfo to BuildPrereq field

2000-07-19  John Harper  <john@dcs.warwick.ac.uk>

	* po/fr.po, po/en_GB.po, po/de.po, po/da.po, po/ru.po,
	po/sl.po: updated from GNOME CVS (fr: Joaquim Fellmann, GB:
	Robert Brady, de: Kai Lahmann, da: Keld Simonsen, ru - Valek
	Filippov, sl - Andraz Tori)

	* po/no.po: update from Kjartan Maraas

	* po/gl.po: update from Jesus Bravo Alvarez

	* po/it.po: Italian translation from Michele Campeotto
	<micampe@interpuntonet.it>

2000-07-14  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.30.2

	* po/sl.po, po/no.po, po/nl.po, po/de.po: sync'ed from gnome
	cvs repository

2000-07-13  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.30.1

2000-07-12  John Harper  <john@dcs.warwick.ac.uk>

	* po/tr.po: update from Fatih Demir

2000-07-10  John Harper  <john@dcs.warwick.ac.uk>

	* po/ja.po: update from SATO Satoru

	* sawfish.spec.in: replaced `/usr/info' by `%{_infodir}'. Patch
	from MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>

2000-07-09  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.30

	* sawfish.spec.in: merged -gnome package into base, require
	rep-gtk 0.13

	* po/uk.po, po/ru.po: imported from cvs.gnome.org (ru - Valek
	Filippov, uk - Yuri Syrota)

2000-07-06  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in, Makefile.in, capplet/Makefile.in,
	man/Makefile.in, nokogiri/Makefile.in, po/Makefile.in,
	sounds/Makefile.in, src/Makefile.in, themer/Makefile.in,
	themes/Makefile.in): some support for building in a separate
	directory tree; but this still doesn't work properly  (adapted
	from Martin Pottendorfer <pottendo@utanet.at>)

	* po/pl.po: updated Polish translation from Daniel Koc

	* configure.in: remember to delete `conftest' file after
	checking for rep-gtk (from Brad Thompson <yak@mit.edu>)

2000-07-05  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: require rep-gtk 0.13 (unreleased)

	* configure.in: test if we're able to use GNOME parts of
	rep-gtk (for the configurator)

2000-07-04  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: set REP_GTK_DONT_INITIALIZE=1 when testing for
	rep-gtk functions

	* po/pl.po: updated Polish translation from Daniel Koc

2000-07-03  John Harper  <john@dcs.warwick.ac.uk>

	* po/es.po: updated Spanish translation from Iñaki García
	Etxebarria

2000-07-02  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.29

	* configure.in: added code to check for required rep-gtk
	version

	* sawfish.spec.in: require rep-gtk 0.12+

2000-06-29  John Harper  <john@dcs.warwick.ac.uk>

	* po/make-pot: renamed this from .make-pot, and added nokogiri
	source files to REP_SRCS

2000-06-28  John Harper  <john@dcs.warwick.ac.uk>

	* themes/gradient/theme.jl, themes/mono/theme.jl,
	themes/simple/theme.jl, themes/smaker/theme.jl: changes for new
	config system

	* configure.in, Makedefs.in: added `nokogiri' subdir

2000-06-20  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in, config.h.in, Makedefs.in: added support for
	--with-gdk-pixbuf

	[ gdk-pixbuf currently doesn't include support for Xlib, I have
	sent my patches to its maintainer, so hopefully it will soon.. ]

2000-06-19  John Harper  <john@dcs.warwick.ac.uk>

	* po/ru.po, po/da.po: from val <frob@df.ru>

	* po/de.po: update from Karl Eichwalder

2000-06-16  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.28.1

	* configure.in: require rep 0.12+ (table-ref in earlier
	versions has a bug that is exposed by window-history)

	* po/es.po: update from Iñaki García Etxebarria
	<garetxe@euskalnet.net>

2000-06-14  John Harper  <john@dcs.warwick.ac.uk>

	* sawfish.spec.in: merged some differences from RH spec file

2000-06-13  John Harper  <john@dcs.warwick.ac.uk>

	* Makefile.in (installdirs): need to create sawfishexecdir

	* capplet/desktop-entries/workspace-properties.desktop,
	capplet/desktop-entries/sound-properties.desktop,
	capplet/desktop-entries/placement-properties.desktop,
	capplet/desktop-entries/move-properties.desktop,
	capplet/desktop-entries/misc-properties.desktop,
	capplet/desktop-entries/maximize-properties.desktop,
	capplet/desktop-entries/match-properties.desktop,
	capplet/desktop-entries/focus-properties.desktop,
	capplet/desktop-entries/bindings-properties.desktop,
	capplet/desktop-entries/appearance-properties.desktop,
	capplet/desktop-entries/.directory: added Turkish translations
	from Fatih Demir <kabalak@gmx.net>

2000-06-12  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.28

	* configure.in: check for imlib png support (Brad Thompson
	<yak@mit.edu>)

2000-06-09  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: when extracting dependences from C files using
	GCC, use `-MM' not `-MM -MG' (from Brad Thompson <yak@mit.edu>)

2000-06-07  John Harper  <john@dcs.warwick.ac.uk>

	* Makefile.in: moved DOC file to ${sawfishexecdir}

2000-06-06  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: substitute IMAGE_CFLAGS and IMAGE_LIBS to be
	IMLIB_CFLAGS and IMLIB_LIBS respectively; define HAVE_IMLIB

	* config.h.in: new macros HAVE_IMLIB and NEED_PIXMAP_CACHE

	* Makedefs.in: added -lXext to $(X11_LIBS)

	* Makedefs.in: added IMAGE_CFLAGS and IMAGE_LIBS macros
